commit 8cf46e4886c0ce2c1c19d8ea09d14621a956be6d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 5 19:23:40 2021 +0000

    docs: Add release notes for libguestfs 1.44.
    
    This is quite a small release.

commit 675b336f63bdf26bccc073e8f7d09ddc8fb365c6
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 5 15:35:47 2021 +0000

    gnulib: Update to latest.

commit 8ec4f256f2cbb48373eb70101fa3701340f1739f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 5 14:22:51 2021 +0000

    Version 1.43.4.

commit a9975a5a9b864e2dd62e8b463f67d9754b08a91f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 5 10:32:20 2021 +0000

    common: Update to latest.

commit 26f5cdaab3e8a0dc185ff222c9bba46b686993c9
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 5 10:31:08 2021 +0000

    rescue: Don't call exit(3) from a signal handler.
    
    Found by GCC 11 analyzer.

commit 4bbbf03b8bc266ed2b63c461cd0945250bb134fe
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 5 10:13:27 2021 +0000

    Ignore completely bogus GCC 11 warnings.
    
    Various varieties of this:
    
               |   45 |   tempfile = strdup ("/tmp/luksXXXXXX");
               |      |              ~~~~~~~~~~~~~~~~~~~~~~~~~~
               |      |              |
               |      |              (19) this call could return NULL
               |   46 |   if (!tempfile) {
               |      |      ~
               |      |      |
               |      |      (20) following 'false' branch (when 'tempfile' is non-NULL)...
               |......
               |   51 |   fd = mkstemp (tempfile);
               |      |   ~~   ~~~~~~~~~~~~~~~~~~
               |      |   |    |
               |      |   |    (22) argument 1 ('tempfile') from (19) could be NULL where non-null expected
               |      |   (21) ...to here

commit 07585189cf2fbe0184b4d60ce9440b10f575d4a2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 5 10:09:21 2021 +0000

    lib: Ignore a bunch of bogus GCC 11 warnings.
    
    -Werror=analyzer-file-leak doesn't follow CLEANUP_FCLOSE properly.
    
    yara.c:64:24: error: leak of FILE '<unknown>' [CWE-775] [-Werror=analyzer-file-leak]
       64 |   CLEANUP_FCLOSE FILE *fp = NULL;
          |                        ^~

commit 6d0ab14b56743679638ead0829ff3131749ac59b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 13 12:47:43 2016 +0100

    tar-in: Add workaround because tar doesn't restore capabilities (RHBZ#1384241).
    
    Current GNU tar does not restore all extended attributes.  In
    particular only user.* capabilities are restored (although all
    are saved in the tarball).
    
    To restore capabilities, SELinux security attributes, and other things
    we need to use --xattrs-include=*
    
    For further information on the tar bug, see:
    https://bugzilla.redhat.com/show_bug.cgi?id=771927

commit b2e457767d3b6f9399e58d86a534092e8e0012a8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 1 16:47:32 2020 +0000

    Version 1.43.3.

commit 8a4275c5686de6e156b449581c9c91199447e2d3
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 1 15:39:53 2020 +0000

    tests/charsets/test-charset-fidelity.c: Asserts to avoid bogus CWE-690.
    
    The new GCC static analyzer has trouble understanding when some
    strings are non-NULL.  Adding asserts helps avoid warnings.

commit 6573ae6ee453932359d68f0c509e39213e980e1b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 1 13:15:49 2020 +0000

    Update gnulib to latest.

commit 3d2c38d5ab9034fa541377c6fb32a14f978e083f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 1 14:13:12 2020 +0000

    m4: Define INCLUDE_DIRECTORY for libguestfs only.

commit a624016baaf6a23d1a6e3cc432698c881804af54
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 1 12:39:47 2020 +0000

    common: Update to latest submodule.

commit d2611b62e990c06a46903acecbfb96b0474604a0
Author: Thierry Vignaud <thierry.vignaud@gmail.com>
Date:   Tue Nov 24 03:29:39 2020 +0100

    include rpm for Mageia
    
    This fixes:
    "-supermin: ext2fs_namei: parent directory not found:
    /var/lib/rpm: File not found by ext2_lookup"
    
    This because chkconfig contains /var/lib/rpm/alternatives on Mageia

commit 32021c72fe0bbdc0c467931df7797cb76bcec0e6
Author: Thierry Vignaud <thierry.vignaud@gmail.com>
Date:   Tue Nov 24 00:00:09 2020 +0100

    Include exfatprogs
    
    It's the new upstream name of exfat-utils.
    As eg found on Mageia.

commit d63c8041d5cadf915f8c1cbe1e0e57417b318180
Author: Thierry Vignaud <thierry.vignaud@gmail.com>
Date:   Mon Nov 23 23:59:05 2020 +0100

    fix detecing db_* tool on Mageia

commit e62ccfca4adbc5dd8661a572d45085cdef84f69b
Author: Thierry Vignaud <thierry.vignaud@gmail.com>
Date:   Mon Nov 23 23:57:02 2020 +0100

    explain how to install on Mageia

commit 999fca8731a14b1cfbfef560ca7acc72ce997375
Author: Thierry Vignaud <thierry.vignaud@gmail.com>
Date:   Thu Nov 12 11:26:24 2020 +0100

    appliance: Add ntfs-3g-system-compression for Mageia
    
    This package in Mageia enables optional support for Windows 10
    "CompactOS" (file-level compression), read-only, which is sufficient
    for inspecting Windows guests and doing certain types of modifications
    to them.  Virt-v2v appears to work, but it may be that anything that
    involves modifying a compressed file might not work.
    
    See commit e6764a5415b198a9e563473fd9b41077b9e71970

commit 3f5d080d02faf8a1c239f3c4df36b017ce232cf2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Nov 2 10:12:20 2020 +0000

    builder: templates: Add Fedora 33

commit fe52d9fd0cb454edbad2eef305022ff6bc963d54
Author: Dmitry Tantsur <dtantsur@protonmail.com>
Date:   Wed Oct 28 11:15:20 2020 +0100

    rust: fix a typo in the crates.io link

commit 0896dea3382293cc21b92c9b94d3f6b0083e1aad
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 22 14:50:58 2020 +0100

    gnulib: Replace hash_delete with hash_remove.
    
    Renamed in gnulib with the old function deprecated.

commit e49be556303655a0a4fa1a5259a5b667d333cfda
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 22 14:50:33 2020 +0100

    m4/.gitignore: Update.
    
    Fixes: commit cfcd3385ccf3da3d8b2a9c1c0ece28f6e691344d

commit cfcd3385ccf3da3d8b2a9c1c0ece28f6e691344d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 22 14:05:35 2020 +0100

    Update gnulib to master.

commit 133a49167778195f0cf043a1d380c60956aa46b1
Author: Hilko Bengen <bengen@hilluzination.de>
Date:   Sat Oct 17 19:38:34 2020 +0200

    Use guestfsd binary to auto-generate library dependencies for appliance
    
    The ELF NEEDED are used to determine guestfsd's library dependencies
    with help from the dynamic linker and the package manager.
    
    This was prompted by Debian bug #972241 which was caused by a
    libtirpc package renaming in Debian/unstable because the SONAME had
    been changed.

commit 3f4a529ab753bea43a9cef7f8aaed48a2be23e30
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 12 15:05:07 2020 +0100

    fuse: Don't override access(X_OK) if user is root.
    
    Bug originally reported here by trysis:
    https://stackoverflow.com/questions/64273334/test-x-in-mounted-filesystem
    
    If the user is root then we override normally access controls in FUSE,
    see https://bugzilla.redhat.com/show_bug.cgi?id=1106548.
    
    However this causes test -x to mark all files as executable.  We
    shouldn't let root execute any file, only ones which have the 'x' bit
    set.  Therefore this narrows the fix in bug 1106548 so it only applies
    to read and write bits.
    
    To test this I created a disk with guestfish which had an executable
    and a non-executable file:
    
      $ guestfish -N fs -m /dev/sda1
      ><fs> touch /file1
      ><fs> touch /file2
      ><fs> chmod 0755 /file1
      ><fs> ll /
      total 24
      drwxr-xr-x  3 root root  4096 Oct 12 14:04 .
      drwxr-xr-x 19 root root  4096 Oct 12 14:04 ..
      -rwxr-xr-x  1 root root     0 Oct 12 14:04 file1
      -rw-r--r--  1 root root     0 Oct 12 14:04 file2
      drwx------  2 root root 16384 Oct 12 14:04 lost+found
    
    I then mounted and tested it as non-root:
    
      $ guestmount -a test1.img -m /dev/sda1 /tmp/mnt -v -x
      $ ls -l /tmp/mnt
      total 16
      -rwxr-xr-x. 1 root root     0 Oct 12 15:04 file1
      -rw-r--r--. 1 root root     0 Oct 12 15:04 file2
      drwx------. 2 root root 16384 Oct 12 15:04 lost+found
      $ test -x /tmp/mnt/file1; echo $?
      0
      $ test -x /tmp/mnt/file2; echo $?
      1
    
    and as root:
    
      $ sudo guestmount -a test1.img -m /dev/sda1 /tmp/mnt -v -x
      $ test -x /tmp/mnt/file1; echo $?
      0
      $ test -x /tmp/mnt/file2; echo $?
      0
    
    In the debug output for non-root we can see the difference:
    
      libguestfs: /file1: testing access mask X_OK: caller UID:GID = 1000:1000, file UID:GID = 0:0, file mode = 100755, result = OK
      libguestfs: /file2: testing access mask X_OK: caller UID:GID = 1000:1000, file UID:GID = 0:0, file mode = 100644, result = EACCESS
    
    and for root:
    
      libguestfs: /file1: testing access mask X_OK: caller UID:GID = 0:0, file UID:GID = 0:0, file mode = 100755, result = OK
      libguestfs: /file2: testing access mask X_OK: caller UID:GID = 0:0, file UID:GID = 0:0, file mode = 100644, result = OK
    
    After this commit the root output changes to this (ie. same decision
    as non-root):
    
      libguestfs: /file1: testing access mask X_OK: caller UID:GID = 0:0, file UID:GID = 0:0, file mode = 100755, result = OK
      libguestfs: /file2: testing access mask X_OK: caller UID:GID = 0:0, file UID:GID = 0:0, file mode = 100644, result = EACCESS

commit 4663112d89e2131ac24a010d53d8125623b45efb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 30 15:38:46 2020 +0100

    lib/canonical-name.c: Hide errors from underlying API call.
    
    When guestfs_lvm_canonical_lv_name was called with a /dev/dm* or
    /dev/mapper* name which was not an LV then a noisy error would be
    printed.  This would typically have happened with encrypted disks, and
    now happens very noticably when inspecting Windows BitLocker-
    encrypted guests.
    
    This commit hides this error in all cases, although it is still logged
    to debug.  See comment and the thread below for detailed rationale.
    
    https://www.redhat.com/archives/libguestfs/2020-October/thread.html#00055

commit 5631106a73bbfd20849aafcdab1f50d5aec7d013
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Sep 17 12:54:06 2020 +0100

    daemon: lvm_canonical_lv_name: Return EINVAL if called with non-LV.
    
    Previously callers were unable to distinguish a regular error (like an
    I/O error) from the case where you call this API on something which is
    valid but not a logical volume.  Set errno to a known value in this
    case.

commit 86577ee3883836c1c4fff258c05261bd3858e22b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 30 15:09:58 2020 +0100

    daemon: Search device-mapper devices for list-filesystems API.
    
    In case any bare filesystems were decrypted using cryptsetup-open,
    they would appear as /dev/mapper/name devices.  Since list-filesystems
    did not consider those when searching for filesystems, the unencrypted
    filesystems would not be returned.
    
    Note that previously this worked for LUKS because the common case
    (eg. for Fedora) was that whole devices were encrypted and thoes
    devices contained LVs, so luks-open + vgactivate would activate the
    LVs which would then be found by list-filesystems.  For Windows
    BitLocker, the common case seems to be that each separate NTFS
    filesystem is contained in a separate BitLocker wrapper.

commit 79f3d451a8a23f8a5d52a8dda8cb4eb5e17ed2e5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 30 15:17:54 2020 +0100

    daemon: Reimplement list_dm_devices API in OCaml.
    
    Simple refactoring.  The only annoying point is requiring an extra
    module because of OCaml module dependency restrictions.

commit 41cbc8933069ad7bdf58a0680a7018b7ef891642
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 30 14:38:27 2020 +0100

    daemon: Ignore BitLocker disks in list-filesystems API.

commit 6e870a8e436d3f184b27ce0a974c33b9ce71b06b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 30 15:08:52 2020 +0100

    daemon: Rewrite list-filesystems implementation imperatively.
    
    Simple refactoring to make the code clearer, should have no other
    effect.

commit c8e0b453891ca4fb8ba44376cd54c091fdfe34e7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 30 12:10:07 2020 +0100

    fish: Update documentation to refer to cryptsetup-open/close and BitLocker.

commit c456ea033276166ffae3f73729cbcbc72ee5ccd0
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 7 10:26:22 2020 +0100

    New APIs: cryptsetup-open and cryptsetup-close.
    
    This commit deprecates luks-open/luks-open-ro/luks-close for the more
    generic sounding names cryptsetup-open/cryptsetup-close, which also
    correspond directly to the cryptsetup commands.
    
    The optional cryptsetup-open readonly flag is used to replace the
    functionality of luks-open-ro.
    
    The optional cryptsetup-open crypttype parameter can be used to select
    the type (corresponding to cryptsetup open --type), which allows us to
    open BitLocker-encrypted disks with no extra effort.  As a convenience
    the crypttype parameter may be omitted, and libguestfs will use a
    heuristic (based on vfs-type output) to try to determine the correct
    type to use.
    
    The deprecated functions and the new functions are all (re-)written in
    OCaml.
    
    There is no new test here, unfortunately.  It would be nice to test
    Windows BitLocker support in this new API, however the Linux tools do
    not support creating BitLocker disks, and while it is possible to
    create one under Windows, the smallest compressed disk I could create
    is 37M because of a mixture of the minimum support size for BitLocker
    disks and the fact that encrypted parts of NTFS cannot be compressed.
    
    Also synchronise with common module.

commit bfd0886765fef19a8c7313402f882b543a7dfb6d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Oct 6 15:25:32 2020 +0100

    golang: Fix path to include/guestfs.h.
    
    Thanks: Martin Kletzander
    Fixes: commit 75abec1f706e555cd6c9915be03c732b56a94596

commit dbfab7d3b283181ec6ef685fff0862cdd4da76c0
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Sep 22 18:12:05 2020 +0200

    build: fix includedir in uninstalled libguestfs.pc
    
    Update includedir with the new directory that contains guestfs.h.
    
    Updates commit 75abec1f706e555cd6c9915be03c732b56a94596.

commit b89f37754001257ed5637857e22a4fda9912af08
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 21 18:56:18 2020 +0100

    Version 1.43.2.

commit 75abec1f706e555cd6c9915be03c732b56a94596
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 21 14:11:14 2020 +0100

    include: Move lib/guestfs.h to include/guestfs.h
    
    This brings libguestfs into line with other projects which have a
    separate include/ directory for the public header.
    
    It's also the case that <guestfs.h> has never particularly belonged in
    the lib/ subdirectory.  Some tools add -Ilib/ but they only need
    <guestfs.h> and not any other headers from that directory, and
    separating out the public header allows us to clean those up.  This is
    certainly the case for examples, and some language bindings and some
    tests.
    
    In future I'm hopeful we can use this as the basis to tease out other
    dependencies, as a prelude to separating them out from the repo.

commit 3743cc89f6d0222b42e13ff955fbf088711d1664
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 21 10:56:29 2020 +0100

    golang: Capitalize fields in structs so they are publicly accessible.
    
    See: https://github.com/libguestfs/libguestfs/issues/53

commit fce82fe55a2b64a1a7e494858aa272d608e5e54e
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Mon Aug 24 17:50:20 2020 +0300

    Fix minor typos

commit 14ff95c511977eb140a8d1061c560b9d804cb52e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 13 12:16:05 2020 +0200

    po-docs: turn language list into LINGUAS file
    
    Use a LINGUAS file with the list of available translations instead of
    defining them in a make variable. This way Weblate will be able to
    update the list using an available addon, and we do not need to list
    those not built.
    
    Accordingly, rename the variable with built languages to
    'linguas_translated'.

commit bd3fb6535106847edbe340f9413ad43d4be03005
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sun Aug 16 10:57:50 2020 +0100

    fish: Fix parsing of exportnames in NBD URIs.
    
    https://github.com/NetworkBlockDevice/nbd/blob/master/doc/uri.md#nbd-uri-export-name

commit b96c8f51464336b6ed2eec58e550ab1d52c1bc4b
Author: Weblate <noreply@weblate.org>
Date:   Wed Aug 12 11:46:43 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: libguestfs/libguestfs-docs-master
    Translate-URL: https://translate.fedoraproject.org/projects/libguestfs/libguestfs-docs-master/

commit 48b0799297353232d631383d84b96ceca271987b
Author: Weblate <noreply@weblate.org>
Date:   Tue Aug 11 20:29:11 2020 +0200

    Update translation files
    
    Updated by "Update PO files to match POT (msgmerge)" hook in Weblate.
    
    Translation: libguestfs/libguestfs-master
    Translate-URL: https://translate.fedoraproject.org/projects/libguestfs/libguestfs-master/

commit 9a986ed60a4e33e731295a34c6cf0442b851f82b
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 15:41:18 2020 +0200

    Remove references to Zanata
    
    We migrated to Weblate, and Zanata is being decommissioned.

commit 049d83f6e445e3b6e9c731eeebdb341367ab2d99
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 15:37:43 2020 +0200

    po/po-docs: update catalog templates
    
    Regenerate the catalog templates according to the updated extraction
    rules (mostly fixed paths).

commit d3b43bb47a585b26c3aa1b3f333d8c053d59655d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 15:22:17 2020 +0200

    po-docs: fix references to sources
    
    Start the message extraction from the toplevel source directory, so the
    file references are relative to that, instead of relative to this
    po-docs subdirectory.
    
    Also update/regenerate podfiles accordingly.

commit a16f67e404c9719556a0819602a768b5eec0b248
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 14:54:25 2020 +0200

    po: fix references to OCaml sources
    
    Start the message extraction from the toplevel source directory, so the
    file references are relative to that, instead of relative to this po
    subdirectory.

commit bd896d68c06d7f66303bd77daa666367b0de5f3a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 14:29:22 2020 +0200

    po-docs: split pot and po handling
    
    With the Weblate adoption, we let it update the po files from the
    catalog template. The po4a behaviour of extracting the template,
    merging the existing translations, and creating the translated PODs at
    once is problematic. Hence, split the extraction and the translated POD
    generation in two.
    
    Use po4a-gettextize to extract the catalog template only, not doing it
    anymore automatically at each build. There is no more need for a
    po4a.conf file.
    
    Use po4a-translate to create translated PODs from the po files, keeping
    the fixup of the generated files (to avoid spurious =encoding, etc).
    Add a silent rule to hide the po4a-translate command lines by default.
    
    These changes also allow us to get rid of the POD existance checks with
    associated error message pointing to the update-po rule. Now each
    translated POD file is generated because of make dependency, and it
    depends only on its po file.
    
    Signed-off-by: Pino Toscano <ptoscano@redhat.com>

commit 3095825350f1dc89da98cd3cd943b23d42ae87d6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 14:00:22 2020 +0200

    podfiles: add missing documentation

commit 5be4970b1f281f13a2a06f5cbf3149cd08d19390
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 13:58:32 2020 +0200

    po-docs: add missing dependencies for guestfish.1
    
    The guestfish man page uses also additional POD snippets, so list them
    as dependencies to make sure they are up-to-date.
    
    This does not change the behaviour at the moment, however it will matter
    when each traslated POD file will be generated on its own.

commit 0dc0f87f209c9bd0bd81388dc1fdcf9757bf179b
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 12:51:09 2020 +0200

    po: remove rules for pot/po update
    
    Weblate will handle the update of the po files from the translation
    catalog, so avoid stomping on its feet by doing the same.
    
    The translation catalog will be regenerated manually periodically.

commit eb7ba4b1d28fbc6adea9a77a9fd9590f41aaf7aa
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 12 12:12:32 2020 +0200

    po: turn language list into LINGUAS file
    
    Use a LINGUAS file with the list of available translations instead of
    defining them in a make variable. This way Weblate will be able to
    update the list using an available addon.
    
    Signed-off-by: Pino Toscano <ptoscano@redhat.com>

commit 3cad943a85c473f766aded8cc8299ed6e3e850cb
Author: Andrey Shinkevich <andrey.shinkevich@virtuozzo.com>
Date:   Thu Aug 13 07:48:52 2020 +0300

    appliance: extract UUID from QCOW2 disk image
    
    For the appliance of the QCOW2 format, the function get_root_uuid()
    fails to get the UUID of the disk image.
    In this case, let us read the first 256k bytes of the disk image  with
    the 'qemu-img dd' command. Then pass the read block to the 'file'
    command.
    
    Suggested-by: Denis V. Lunev <den@openvz.org>
    Signed-off-by: Andrey Shinkevich <andrey.shinkevich@virtuozzo.com>

commit 2469b4b790d81154f650f33b49f56c155504a8e2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sat Aug 1 07:33:45 2020 +0100

    rescue: Initialize roots.
    
    Even though it seems clear from the code that roots cannot be used
    uninitialized, GCC 10.1 cannot seem to work it out (possibly an LTO
    bug).  Easiest way out here is to just initialize it.
    
    rescue.c:396:37: error: 'roots' may be used uninitialized in this function [-Werror=maybe-uninitialized]
      396 |     CLEANUP_FREE_STRING_LIST char **roots;
          |                                     ^

commit 0b8ef5a98dc10bb279eb65a8e7b11db2a2ddb3ae
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sat Aug 1 07:27:17 2020 +0100

    daemon/debug.c: Use __builtin_trap to cause segfault.
    
    I couldn't get GCC 10.1 to ignore this warning any longer, possibly
    because I am using LTO.  In any case dereferencing a pointer is
    undefined behaviour, so let's use GCC's __builtin_trap() function
    instead (also supported by clang).
    
    debug.c: In function 'debug_segv':
    debug.c:1002:8: error: null pointer dereference [-Werror=null-dereference]
     1002 |   *ptr = 1;
          |        ^

commit 599f2f7bd9d08c062831b2aa6bb0035ba67175dc
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sat Aug 1 07:09:52 2020 +0100

    m4: Increase warning limit for frame-larger-than.
    
    Generated code in virt-builder causes the error below.  Since we
    cannot control what is generated by bison, increase the limit.
    
      CCLD     virt-index-validate
    index-parse.c: In function 'yyparse':
    index-parse.c:1857:1: error: the frame size of 5152 bytes is larger than 5000 bytes [-Werror=frame-larger-than=]
     1857 | }
          | ^
    lto1: all warnings being treated as errors
    lto-wrapper: fatal error: gcc returned 1 exit status

commit 5b29fba5b20cf788ab98c871f6fe9496c741b3dd
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 30 13:53:16 2020 +0100

    docs: Move shared POD for --keys-from-stdin to common code.
    
    No functional change.

commit eb78e990ac5277a4282293f8787af871a1420b61
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 30 13:57:45 2020 +0100

    daemon, lib: Replace deprecated security_context_t with char *.
    
    This gives deprecation warnings.  It always was simply a char *, and
    the recommendation upstream is to replace uses with char *:
    
    https://github.com/SELinuxProject/selinux/commit/9eb9c9327563014ad6a807814e7975424642d5b9

commit 224f373043302845122bf701ffc6e3416e0168fa
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jun 30 17:34:47 2020 +0100

    lib: Increase default memsize to 1280 (RHBZ#1837765).
    
    Argon2 is the default LUKS Password-Based Key Derivation Function
    (PBKDF) for some new guests such as RHEL 8.2 and Fedora.  It is
    designed to be "memory hard", meaning that by design it requires large
    amounts of memory, making it expensive to brute-force.  Unfortunately
    the default for guests which had more than a few GB of RAM at install
    time is to require about 1 GB of RAM to decrypt the block device,
    which is considerably larger than the default available in the
    libguestfs appliance.
    
    To make it possible to open these encrypted disks we need to make the
    appliance larger.  This could be done as a one-off, and the current
    workaround is simply to set LIBGUESTFS_MEMSIZE=2048 or a similar
    amount.  However since we don't know in advance whether we could be
    dealing with an encrypted disk, partition, etc. or what PBKDF it uses,
    the only way to deal with this in all circumstances is to increase the
    default memsize.  This commit increases it quite a lot (768 -> 1280)
    which is unfortunate.
    
    Note as there is some confusion on this point: Since libguestfs does
    not attempt to decrypt disks in parallel, you only need ~ 1GB in
    total, not per encrypted disk.
    
    For a reproducer, see:
    https://bugzilla.redhat.com/show_bug.cgi?id=1837765#c14

commit c5eec6c17b55812d1bcba853999421711ee441eb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 6 20:37:51 2020 +0100

    docs: Increase minimum version of Python to 3.6.
    
    3.5 is needed to support type hints.
    
    Debian oldstable has 3.5 (oldoldstable needed 3.4).

commit 66a5913462a84399bd9790b736814620371a80f8
Author: Sam Eiderman <sameid@google.com>
Date:   Mon Jul 6 19:50:19 2020 +0300

    python: Add type hints
    
    Since support for python2 is dropped we can use the new python3 syntax
    for type hints.
    
    Signed-off-by: Sam Eiderman <sameid@google.com>

commit dfe9fe8de8fc7bafb6b93c43314fe6c9a1d9ef77
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 6 11:52:15 2020 +0100

    Version 1.43.1.

commit 75def0ef1822ed088529dc73b90c77caf592fdb4
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 6 12:13:07 2020 +0100

    python: Remove deprecated use of PyEval_ThreadsInitialized.
    
    The correct/modern way to do this is:
    
    https://docs.python.org/3/c-api/init.html#releasing-the-gil-from-extension-code
    
    PyEval_ThreadsInitialized was deprecated in 3.9 and will be removed
    completely in 3.11, so we shouldn't use that function.

commit 403d17a876d6e57e3f8c6551931aca030d0d9b96
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 6 12:02:01 2020 +0100

    python: Drop support for Python 2.
    
    Python 2 reached end of life on 2020-01-01:
    https://python3statement.org/
    https://pythonclock.org/
    
    The minimum version required is now Python 3.4 (since that is the
    version in Debian oldoldstable), but 3.6 is the minimum version that
    I actually test.

commit 38e2ad1fbc39bcdd9c3b0b7a0e0b6610a7066860
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 6 12:14:37 2020 +0100

    builder: Update index file.
    
    Fixes: commit 4837698d83a7f542d315a6a0088bf1310c9f33f9.

commit 4837698d83a7f542d315a6a0088bf1310c9f33f9
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jun 16 12:51:09 2020 +0100

    builder: templates: Add CentOS 8.2 and RHEL 8.2.

commit 6670dc0fbf318768636f5246cfe9fa4b9f3188a9
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jun 4 15:22:38 2020 +0100

    builder: templates: Add centos-7.8, fedora-32, rhel-7.8.
    
    Ubuntu 20.04 could not be built because their installer has changed in
    a way which is not compatible with the current build script.  This
    needs some work to fix.

commit 987734fcca101cf782264756f7883cf48430a91b
Author: Sergei Golovan <sgolovan@gmail.com>
Date:   Mon Jun 1 22:22:45 2020 +0300

    erlang: Port to libei for Erlang 23
    
    Replace the use of liberl_interface, which is removed in Erlang 23,
    by libei. The implementation uses the ei_decode_iodata() function
    which has been introduces only for Erlang 23, so it doesnt work with
    earlier Erlang versions.

commit faa5d8507f552e05435312f16d9e50f613a13615
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu May 7 14:02:30 2020 +0200

    sysprep: add Kerberos keytab file removal
    
    This new operation removes the Kerberos /etc/krb5.keytab file from the
    guest.
    
    Thanks to Christian Heimes and François Cami for the hints.
    
    Related to RHBZ#1789592.

commit 0a53e2c7fc4fe2aa69052134230db0804849b470
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu May 7 13:53:21 2020 +0200

    sysprep: add IPA offline unenrollment (RHBZ#1789592)
    
    This new operation unenrolls the guest from a IPA server offline, by
    removing the configuration files and certificates.
    
    Thanks to Christian Heimes and François Cami for the hints.

commit b9065fa7adc93123c53f4827e11dad6b210b7d4b
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon May 4 12:15:43 2020 +0200

    sysprep: ca-certificates: request system CA store update
    
    In case any certificate is removed from the guest, regenerate the system
    CA store.

commit bb7fc6d0a1ed670d16a92d2afd9ff2f876edc595
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon May 4 12:05:18 2020 +0200

    sysprep: add a update_system_ca_store side effect
    
    Add a simple side effect to make operation flag that a regeneration of
    the system CA store is needed. In case it is flagged, regenerate the
    system CA store directly, or using a firstboot script in case of
    incompatible architectures.
    
    This change is almost a no-op, since no operation requires the
    regeneration of the system CA store yet.

commit b25e3495f522378f59d201526d7d2d02c2bf6f3f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon May 4 11:55:41 2020 +0200

    customize: port do_run to run_in_guest_command
    
    Make use of the new helper function in Tools_utils to run commands in
    the guest.

commit 94ff24b8800ebc79f19bd686ec2dda393906c454
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed May 6 12:31:56 2020 +0100

    appliance: Set default guestfs appliance path to $libdir/guestfs.
    
    For unclear reasons this broke recently, although the breakage is only
    reproducible in Fedora Koji.  It appears to be caused by the
    calculation of the internal autoconf variable $acl_libdirstem
    changing.  In the reproducer system:
    
    checking for the common suffixes of directories in the library search path... lib,lib,lib64
    
    On my local system:
    
    checking for the common suffixes of directories in the library search path... lib64,lib64
    
    My local system would be the correct one.  The actual code that
    calculates this does some crazy stuff with ‘gcc -print-search-dirs’
    which would hint that this output has changed in some way that subtly
    breaks the generated configure script.  However even with match GCC
    versions on my local system I could still not reproduce the issue.
    
    None of this matters, as the easiest fix here is simply to stop using
    internal autoconf variables at all.  I also added some AC_MSG_*
    statements so we can more easily see what's going on in the configure
    output.
    
    Fixes commit 0f79400c7f3d69e1a5d67f7f56c9bd7e3584aae9.

commit 26324d54457d49bec19c1a3ba454a415d467d3e8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue May 5 22:23:49 2020 +0100

    builder: templates: Add Ubuntu 20.04 code name (focal).

commit a6ed62b0a692b2a952c124581d7e58204bca6efa
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 30 12:32:08 2020 +0100

    builder: Fix all download.devel links.
    
    All broken in early 2020 for no discernible reason.

commit ef2761eaa0138ff358e3744875ccc23088070527
Author: Geoff Toole <toolybird@tuta.io>
Date:   Sun Apr 19 13:42:30 2020 +1000

    build: Fix linking of OCaml components when srcdir != builddir
    
    ocaml-link.sh is a generated file, so run it from the build directory.
    Remove it from EXTRA_DIST and also adjust docs/guestfs-hacking.pod
    accordingly.

commit c2c11382bbeb4500f3388a31ffd08cfc18b0de40
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Mar 12 14:40:05 2020 +0000

    daemon: xattr: Filter out user.WofCompressedData from xattrs (RHBZ#1811539).
    
    See comment in code for justification.
    
    Thanks: Yongkui Guo for finding the bug.

commit af8ed266a282bb20882a9ffb611bd64243d19218
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Mar 12 13:59:05 2020 +0000

    daemon: Add filter_list utility function.
    
    For filtering lists of strings based on a predicate.

commit 5c175fe73264bbf1d3ef79bb066dfb6aff902ad1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Mar 12 13:57:06 2020 +0000

    daemon: xattr: Refactor code which splits attr names from the kernel.
    
    The kernel returns xattr names in a slightly peculiar format.  We
    parsed this format several times in the code.  Refactor this parsing
    so we only do it in one place.

commit 088b6d1c80e4bd9347c6350927e1d0ad347ba18f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Mar 12 13:52:17 2020 +0100

    get-kernel: fallback to uncompressed vmlinux kernels
    
    In case the Linux guest has no compressed linux kernel (vmlinuz),
    fallback to uncompressed ones (vmlinux).
    
    Reported by: Laurent Vivier.

commit 7265f08ce99e592a63a9470afad2da95167a800c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Mar 11 13:19:31 2020 +0100

    lib: remove extra @LIBS@ from pkg-config file
    
    At the moment it is empty, so probably it does not exist. Remove it to
    avoid adding spurious content to the pkg-config file in case that
    variable will get a value in the future.

commit bf61bf7355d3876cdf49c3c837349e74844886a8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Mar 10 15:02:30 2020 +0000

    build: Allow OCaml programs using libguestfs to be compiled against build dir.
    
    You have to use:
      ../libguestfs/run ./configure
      ../libguestfs/run make
    
    Use of the second ../libguestfs/run against make is unfortunate but I
    believe it's unavoidable due to the way that ocamlfind works.

commit e33b3c83a02c1d7e82018105166e451373e8c218
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Mar 10 14:36:56 2020 +0000

    build: Allow C programs using libguestfs to be compiled against build dir.
    
    We use a similar trick to libvirt to allow external C programs that
    use libguestfs to be compiled against the built (but not installed)
    libguestfs with:
    
      ../libguestfs/run ./configure
      make
    
    What actually happens is we have a second pkg-config file
    (lib/local/libguestfs.pc) which points to the locally built
    libguestfs.  The ./run script sets up PKG_CONFIG_PATH to point to this
    directory.  Assuming that ./configure is using pkg-config/pkgconf and
    not some other half-baked solution it will pick up the libguestfs.pc
    file from here which will set CFLAGS and LIBS appropriately.

commit b45b7cc08facdc28c07129bada3562c851955efe
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Mar 10 09:00:33 2020 +0100

    builder: templates: add the AppStream repo
    
    It is generally used together with BaseOS (which contains a restricted
    set of packages), so add it to the preconfigured repositories by
    default.

commit 31e6b187100626cae44bcb505db153088245155c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 9 17:31:55 2020 +0000

    po: Remove virt-v2v related dependency from POTFILES-ml.
    
    Causes this error if you compile libguestfs 1.42.0 from the tarball
    without invoking the generator:
    
    make[4]: *** No rule to make target '../common/mlv2v/uefi.ml', needed by 'libguestfs.pot'.  Stop.

commit da6324ea3145be494c76ac424db19d4eda914bbd
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 9 14:30:04 2020 +0000

    Version 1.42.0.

commit bfe98ffe13510b51ae7794a1fa4ee806526e97a0
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 9 11:12:43 2020 +0000

    Update release notes for 1.42.
    
    Also update generator/authors.ml so that ‘make maintainer-check-authors’
    passes.

commit 5a2b191de8aefc4b09bccf06c34f91dcd6325e1f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 9 13:23:31 2020 +0000

    po-docs: Fix translation error in Ukrainian docs.
    
    ./uk.po:87712: 'msgid' and 'msgstr' entries do not both begin with '\n'
    msgfmt: found 1 fatal error
    
    Fixes commit 7a534669aeafebc6596b78ee4fbb9910cd13703e.

commit 786dba91d1222f9123dd1a18f73f0353619d49b3
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Mar 9 12:52:34 2020 +0000

    Revert "lib: Autodetect backing format and specify it explicitly."
    
    This reverts commit 92fd5d5d40a39035824fe8f20ce3cb0871367b4a.
    
    See discussion here:
    https://www.redhat.com/archives/libguestfs/2020-March/thread.html#00041

commit 7a534669aeafebc6596b78ee4fbb9910cd13703e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Mar 6 20:08:02 2020 +0000

    Update translations from Zanata (RHBZ#1787301).
    
    This is before we move to Weblate.  See:
    https://bugzilla.redhat.com/show_bug.cgi?id=1787301

commit d107f12ac9219ad2df4cfdeb6ef4e8623bcbb013
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Mar 6 19:41:02 2020 +0000

    common: Update submodule to latest.

commit 0e17236d7d5024ed713e8592315310d099f4a7a8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Mar 6 19:32:32 2020 +0000

    Update copyright dates to 2020.

commit 77f8018f6a7204b3685fb06225934b19988471c4
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Mar 6 18:30:27 2020 +0000

    Update gnulib to latest.

commit 18c3f40c60080a8d0f7c30efe0553201cb5446e7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Mar 3 10:32:44 2020 +0000

    appliance: Pass root=UUID=<uuid> instead of appliance device name (RHBZ#1804207).
    
    Appliance device names are not reliable since the kernel no longer
    enumerates virtio-scsi devices serially.  Instead get the UUID of the
    appliance and pass this as the parameter.
    
    Note this requires supermin >= 5.1.18 (from around July 2017).

commit a06262e1998f0147886a8184c033453e09e0b9ec
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Mar 3 11:32:38 2020 +0000

    daemon: Print device names when they are translated.
    
    This helps to debug problems with the new device name translation
    code.  We can think about removing this later when the code is known
    to work well.

commit bca9b94fc593771b3801b09b95e477f160517909
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Feb 20 13:05:46 2020 +0000

    daemon: Translate device names if Linux device ordering is unstable (RHBZ#1804207).
    
    Linux from around 5.6 now enumerates individual disks in any order
    (whereas previously it enumerated only drivers in parallel).  This
    means that /dev/sdX ordering is no longer stable - in particular we
    cannot be sure that /dev/sda inside the guest is the first disk that
    was attached to the appliance, /dev/sdb the second disk and so on.
    
    However we can still use SCSI PCI device numbering as found in
    /dev/disk/by-path.  Use this to translate device names in and out of
    the appliance.
    
    Thanks: Vitaly Kuznetsov, Paolo Bonzini, Dan Berrangé.

commit 92fd5d5d40a39035824fe8f20ce3cb0871367b4a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Feb 6 17:16:45 2020 +0000

    lib: Autodetect backing format and specify it explicitly.
    
    In the guestfs_disk_create API we have traditionally allowed you to
    set backingfile without setting backingformat.  The meaning of this is
    to let qemu autodetect the backing format when opening the overlay
    disk.
    
    However libvirt >= 6.0 refuses to even pass such disks to qemu (see
    https://bugzilla.redhat.com/show_bug.cgi?id=1798148).
    
    For this reason, move the autodetection earlier and make it explicit.
    We now autodetect the format of the backing disk at the time of
    creation of the overlay, and set that as the backing format in the
    overlay disk itself, allowing libvirt to open the disk later.

commit 4e90febbaa20d72202637ad7e2b44ca2fe150bea
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Mar 6 18:59:52 2020 +0000

    RHEL 7: python: Check for _Py_IsFinalizing.
    
    This symbol is not present in Python 2.7 or 3.6.  It's not really
    necessary to call this, it just avoids a crash in certain corner cases
    when the interpreter is shutting down.  So make the call conditional
    on the function existing.
    
    Fixes commit e6f9e0b0f6a588abbc35854e8ad862207b6e26ec.

commit 6ff1055f4070c889c75a0037ebcca87cfbf2084d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Mar 6 14:49:58 2020 +0000

    daemon: 9p: modprobe 9pnet_virtio before 9pfs operations.
    
    Recent Linux kernels seem to require this, for unclear reasons.

commit 0eb8d428a24dd9ff86765e2d37bd5016a252c54e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Mar 6 12:56:17 2020 +0000

    lib: Fix leak of XPath objects.
    
    These are two unrelated leaks of XPath objects, both found by valgrind.
    
    Fixes commit 9484136fd0ea1f019c83b1e8dc7890dffda48517
    and commit 94843f155aa72d75d693a96f7b11ceb7558837f0.

commit 55401b3f89db622f2ea25a39ae73942037347b43
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Mar 6 12:23:46 2020 +0000

    valgrind: Add further suppressions for OCaml 4.10.
    
    See also:
    https://github.com/libguestfs/libnbd/commit/c260c25cf094272f26478ad3459cfc6ac1fa94b8

commit 3cea2cfe04f0c5a7fde9d35cd6ef9573becfe321
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Feb 20 15:04:25 2020 +0000

    lib: Move guestfs_device_index impl from daemon to library.
    
    This function doesn't work reliably with the proposed change to device
    name translation.  The reason is that strings returned by
    Devsparts.list_devices contained translated names, so their indexes
    did not correspond to the untranslated names used outside the
    appliance..
    
    We can avoid this and make the function much simpler and faster by
    implementing it on the library side instead.

commit eb17229c3e1c842df3437556f0855194941da9cc
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Mar 5 12:07:14 2020 +0000

    tests/disks: Don't segfault if guestfs_list_devices returns an error.
    
    Although it's highly unlikely in normal use, while testing device name
    translation patches it did happen and caused the test to segfault
    instead of exiting with an error.

commit 2639de38c13ab3efa05a1d3d00fbed95cfcfa1de
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Mar 5 11:58:36 2020 +0000

    todo: Remove virt-rescue suggestion which has been done.

commit 8339f766d761f9a3db224e8abaa8c81e9cf53c23
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Thu Feb 27 12:52:13 2020 +0100

    Update the 5 year logo to 10 year logo
    
    Already outdated, but rounded ;)
    
    I literally just opened the 5yrs logo, changed the text and then done:
    
      inkscape -z -o logo/fish-10yrs.{png,svg}
      cp {logo,website}/fish-10yrs.svg
    
    and then updated the rest of the files.
    
    Signed-off-by: Martin Kletzander <mkletzan@redhat.com>

commit b6bead0097de29352f926e9885283b12da8f6528
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Feb 26 17:08:13 2020 +0100

    filesystems: fix size reporting for filesystems
    
    The current way to get the size of a filesystem is to query the size in
    bytes of the device. However, this gives the whole size of the device
    where a filesystem is stored, and it does not consider the actual size
    for which the filesystem is configured (e.g. in case it was shrunk).
    A simple reproducer for this is:
    $ guestfish -N test.img=fs:ext4:2G resize2fs-size /dev/sda1 1073741824
    
    As result, try to mount the filesystem, and get its actual statistics to
    determine its full size. In case mounting fails, fall back to the
    previous method, which is still a good value in the majority of the
    cases.
    
    Thanks to: Erik Skultety.

commit 1e180cb9fde5a44c4ecbdac522786b79d1eb131f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Feb 26 09:48:45 2020 +0000

    Update common submodule to latest.

commit d9b4e3086e11b18dfc5215a7c4c21ae637be4fe6
Author: Nikolay Ivanets <stenavin@gmail.com>
Date:   Mon Feb 24 22:41:02 2020 +0200

    virt-make-fs: add '--blocksize' option support
    
    This patch adds '--blocksize' command line option for virt-make-fs
    tool.  This option allows specifying disk sector size as described in
    'guestfs_add_drive_opts' libguestfs API.

commit 7db041a660128978588b3ef85271315b31b9b2ca
Author: Daniel P. Berrangé <berrange@redhat.com>
Date:   Mon Feb 24 11:23:25 2020 +0000

    docs: fix instructions for building from git
    
    On current Fedora releases the ocaml modules will fail to
    link unless CFLAGS contains -fPIC.
    
    The autogen.sh script only updates the 'gnulib' submodule,
    and so the build will fail due to the missing 'common'
    submodule. This needs to be manually initialized at checkout.
    
    Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>

commit c7d7b25524cf778c9cf26c9f0d01ccdd96071483
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Mon Feb 24 13:12:03 2020 +0100

    mlcustomize: Trim whitespaces from commands read from file (RHBZ#1351000)
    
    The first split does not care about the whole string, it is just trying to get
    the command name in front, so triml is just right.
    
    Signed-off-by: Martin Kletzander <mkletzan@redhat.com>

commit ab4e4af0902e7d56ac87c410b4af0e9bc0b56bf1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Feb 24 11:12:10 2020 +0000

    Update common submodule.

commit 83474887edbfa5933e494199588d7aa4aa6fc4a0
Author: Csaba Henk <csaba@redhat.com>
Date:   Wed Feb 19 17:09:39 2020 +0100

    ruby: change value of 'readonly' drive toption to Boolean in doc/example/test
    
    Seeing `g.add_drive_opt :readonly => 1` allows one to imply
    that ensuring writable access to drive should happen via
    `g.add_drive_opt :readonly => 0`. However, the passed option
    value gets passed down to C according to Ruby Boolean semantics,
    that is, any value apart from `false` and `nil` will be true
    (see RTEST in Ruby C API).
    
    So its more idiomatic and provides a better hint if we use
    `g.add_drive_opt :readonly => true` in Ruby samples.

commit b68a67e1a96315e0d6795c09c56515f6ecc559c2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Feb 19 18:20:12 2020 +0000

    Revert "golang: Don't run launch test if appliance has not been built."
    
    This causes a strange error with modern golang:
    
      go: parsing $GOFLAGS: non-flag "appliance"
    
    This reverts commit d57d8f22dec36f6cc80c2cd4ac4e936f0c0d0e49.

commit 95244fd2ca9f5c72582e28eac11657a4f2753bc7
Author: Csaba Henk <csaba@redhat.com>
Date:   Wed Feb 19 14:30:45 2020 +0100

    golang: make API idiomatic so that functions return (<val>, error)
    
    Go API functions returned (<val>, *GuestfsError) that made
    code like this fail to build:
    
        n, err := os.Stdin.Read(buf)
        if err != nil {
            log.Fatal(err)
        }
        n, err = g.Pwrite_device(dev, buf[:n], off)
        ...
    
    As err should be of error (interface) type as of the stdlib call,
    and should be of *GuestfsError type as of the libguestfs call.
    
    The concrete error value that libguestfs functions return can be
    a *GuestfsError, but the function signature should have (<val>, error)
    as return value.

commit c509420be7515da6673bf9047f7464bfe32d3c3f
Author: Nikolay Ivanets <stenavin@gmail.com>
Date:   Mon Feb 17 18:00:56 2020 +0200

    virt-get-kernel: add '--blocksize' option support
    
    This patch adds '--blocksize' command line option for virt-get-kernel
    tool.  This option allows specifying disk sector size as described in
    'guestfs_add_drive_opts' libguestfs API.

commit e6764a5415b198a9e563473fd9b41077b9e71970
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 29 14:32:07 2020 +0000

    appliance: Add ntfs-3g-system-compression (RHBZ#1703463).
    
    This package in Fedora enables optional support for Windows 10
    "CompactOS" (file-level compression), read-only, which is sufficient
    for inspecting Windows guests and doing certain types of modifications
    to them.  Virt-v2v appears to work, but it may be that anything that
    involves modifying a compressed file might not work.
    
    I couldn't find the equivalent package in Debian or SUSE.  It's
    available in Arch AUR although I didn't verify that part of the change
    actually works there (but should be safe because supermin ignores
    packages that are not known about on the target system).

commit 6b6bb44ebc6f092d7c60763a3fab7aa6ee56a14c
Author: Nikolay Ivanets <stenavin@gmail.com>
Date:   Thu Feb 13 20:27:22 2020 +0200

    tools: add '--blocksize' option for C-based tools
    
    This patch adds '--blocksize' command line option for guestfish and
    other C-based tools.  This option allows specifying disk sector size.

commit 94843f155aa72d75d693a96f7b11ceb7558837f0
Author: Nikolay Ivanets <stenavin@gmail.com>
Date:   Tue Feb 11 16:12:24 2020 +0200

    lib: add support for disks with 4096 bytes sector size
    
    Nowadays there are hard drives and operating systems which support
    "4K native" sector size.  In this mode physical and logical block size
    exposed to the operating system is equal to 4096 bytes.
    
    GPT partition table (as a known example) being created in this mode will
    place GPT header at LBA1 which is 4096 bytes.  libguetfs is unable to
    recognize partition table on such physical block devices or disk images.
    The reason is that libguestfs appliance will look for a GPT header at
    LBA1 which is seen at 512 byte offset.
    
    In order to fix the issue we need a way to provide correct logical block
    size for attached disks.  Fortunately QEMU and libvirt already provides
    a way to specify physical/logical block size per disk basis.
    
    After discussion in a mailing list we agreed that physical block size is
    rarely used and is not so important.  Thus both physical and logical
    block size will be set to the same value.
    
    In this patch one more optional parameter 'blocksize' is added
    to add_drive_opts API method.  Valid values are 512 and 4096.
    
    add_drive_scratch has the same optional parameter for a consistency and
    testing purpose.
    
    add-domain and add_libvirt_dom will pass logical_block_size value from
    libvirt XML to add_drive_opts method.

commit 815eab8a66ba6ae5bea7445abb0fa8b54e01e158
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Feb 6 15:47:54 2020 +0000

    tests: Use explicit backing format for all backing disks.
    
    Libvirt 6.0 now requires that every disk in the backing chain has an
    explicit backing format.  For example this will be rejected by
    libvirt:
    
      qemu-img create -f qcow2 -b backing-disk disk.qcow2
    
    with the error:
    
      Original error from libvirt: Requested operation is not valid:
      format of backing image 'backing-disk' of image 'disk.qcow2' was not
      specified in the image metadata (See
      https://libvirt.org/kbase/backing_chains.html for troubleshooting)
      [code=55 int1=-1]
    
    Instead you have to use the -F option to specify the format, eg:
    
      qemu-img create -f qcow2 -b backing-disk -F raw disk.qcow2

commit 56834875b25a604983b1aa90b15a01e6cc22c9bc
Author: Daria Phoebe Brashear <dariaphoebe@auristor.com>
Date:   Tue Feb 4 20:32:11 2020 -0500

    properly initialize error_data_lock_list before use
    
    when a handle is allocated, the error_data_list_lock must be initialized

commit d6fcf519f2d860fe3167629f042f5ff6a4ccc40d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Feb 6 10:33:39 2020 +0000

    builder: Fix const correctness for OCaml 4.10.
    
    String_val now returns a const char *.

commit 9f3148c791a970b7d6adf249e949a1b7e0b4b0c1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Feb 6 10:17:35 2020 +0000

    ocaml: Use caml_alloc_initialized_string instead of memcpy.
    
    See this commit in libguestfs-common:
    https://github.com/libguestfs/libguestfs-common/commit/398dc56a6cb5d6d01506338fa94ef580e668d5e9

commit 378b49152d124c5527d7465f11d000c8573a14bb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Feb 6 10:04:15 2020 +0000

    m4: ocaml: Move definition of HIVEX_OPEN_UNSAFE_FLAG closer to test.
    
    Minor code cleanup, no change in semantics.

commit 4e199494c41d3240aa5c0708887b7a7513c6b6f2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Feb 6 10:27:48 2020 +0000

    cat: Fix GCC 10 warning.
    
    I believe this warning is bogus, but simply initializing the local
    variable is enough to avoid it.
    
    log.c: In function 'do_log':
    log.c:390:7: error: 'comm_len' may be used uninitialized in this function [-Werror=maybe-uninitialized]
      390 |       printf (" %.*s", (int) comm_len, comm);
          |       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

commit b3ef101a0ff295b3a8dd162b1bc5ddcae65db788
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue May 28 09:22:21 2019 +0200

    daemon: fix/enhance error reporting of Augeas exceptions
    
    The current code was broken, as the field 1 of the exception value is
    the error code (int), not an error string, and thus it would have
    crashed.  This did not happen in practice, as all the usage of
    ocaml-augeas were only in the inspection code with ad-hoc exception
    catching blocks.
    
    Other than fixing the aforementioned issue, enhance the error reporting
    to be as close as possible to what the current AUGEAS_ERROR() macro
    does: error message, error minor message (if available), error details
    (if available).

commit a883a2f0c9b7dc606b5a7b10569fe4af8e0dc7e3
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 22 13:06:29 2020 +0000

    Update BUGS and PO files.

commit d4a1c3a77840d8d6b5d6b3e9f57e7fa19d98db4e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 22 11:44:44 2020 +0000

    build: Add build-aux/config.rpath from gettext.
    
    This is somehow required after updating gnulib.  I lack the energy to
    find out exactly why, but this fixes it.

commit 538f728d5f83f548556e317bf69db779eb55a3ef
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 22 10:46:58 2020 +0000

    Update gnulib.

commit f7bb3eef190cd5e155c1c8c76d459852d9d1d12d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 22 10:46:52 2020 +0000

    Update common submodule.

commit bd4d9264e5676d4f97e38acdafece16c64ff7542
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 22 08:29:14 2020 +0000

    docs: Update release notes in preparation for 1.42 release.

commit 54ccd4fee9a5e22aac0316bbfbaf8df88872f0fc
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 22 10:41:26 2020 +0000

    docs: Document that Python 2.7 or above is now required.
    
    Updates commit 444750bfd1d72cc660e304f248a4fc00c6e26f0e.

commit a754cd43078e43f1a2b5d10e54b684c70c5525d7
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Jan 16 15:50:50 2020 +0100

    launch: libvirt: use machine type when querying for domcaps
    
    On some architectures a certain machine type is used, so use it when
    querying the libvirt domain capabilities.

commit e636e64d34cc007a260699119d2c6aaa8a936d01
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jan 15 17:26:56 2020 +0100

    lib: uefi: use the efi libvirt firmware if available
    
    In case libvirt supports the firmware autoselection and there is an EFI
    firmware available, use it directly instead of handling the firmware
    manually.

commit 029901113c239ea28bdaa5b561f74aee7b680401
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jan 15 17:24:03 2020 +0100

    lib: allow to use libvirt firmware autoselection
    
    Enhance the UEFI firmware lookup function with the information on the
    libvirt firmware autoselection, allowing it to return a value to use for
    the appliance.
    
    At the moment no firmware is selected this way, so there is no behaviour
    change.

commit 777a21b16b7214168e4cc3cbcd48895aaacb37db
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jan 15 17:11:58 2020 +0100

    lib: uefi: reset out parameters earlier
    
    Make sure they are always reset, no matter the code branches later on.
    
    This is mostly code motion.

commit 9484136fd0ea1f019c83b1e8dc7890dffda48517
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jan 15 10:54:22 2020 +0100

    launch: libvirt: parse firmware autoselection
    
    Parse from the domain capabilities whether libvirt supports the
    autoselection of firmware, and which values are supported.

commit 5d8cca738ee9280f84ad554cdefe7f7cd87a5c7e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jan 15 15:35:31 2020 +0100

    build: define HAVE_PYCODESTYLE in all the cases
    
    Fixes commit cad3ea9e74bcff0dd42dc2a3710c6b3fa6e868b1 in case Python is
    disabled, or not available.

commit 711fab172ca2b2cad5d91636cd408dcefc5cea44
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 15 12:52:29 2020 +0000

    ocaml: Fix test for -runtime-variant _pic.
    
    This fails with Fedora 32, and possibly earlier versions:
    
      checking if OCaml ‘-runtime-variant _pic’ works... no
    
    The reason is:
    
      $ ocamlc -runtime-variant _pic test.ml -o test
      File "test.ml", line 1:
      Error: Cannot find file camlheader_pic
    
    which may even be a packaging error in the Fedora package.  However it
    makes no sense to test the bytecode compiler since we don't use it on
    any architecture we care about and bytecode doesn't even contain a
    linked runtime.  Changing the test to use ocamlopt instead of ocamlc
    fixes the problem.

commit cad3ea9e74bcff0dd42dc2a3710c6b3fa6e868b1
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 10 15:02:01 2020 +0100

    python: add a pycodestyle test
    
    Look for pycodestyle, and use it to check all the Python sources (tests
    and auxiliary scripts included) of the Python bindings.

commit da4c7f911228efc4b44b65c4cebf991d38f27da9
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 10 17:08:42 2020 +0100

    python: skip line length check in license line
    
    Properly mark the long line with the license classifier in setup.py:
    the classifier is long on its own, and changing the code to stay within
    79 characters would result in worse code.

commit 92759efbf5e091207242644d233eddd18a9f91e8
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 10 13:57:04 2020 +0100

    python: improve errors in inspect_vm example
    
    When validating user input, print an error message and exit, instead of
    either asserting or raising a non-existing exception.

commit 7d0f8e1b222568259d5d94599f79594801230334
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 10 13:30:59 2020 +0100

    python: tests: remove unused imports
    
    No functional changes.

commit 4719cca7f575fa5ce2adc2f788ed90e831619b4d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 10 13:25:15 2020 +0100

    python: tests: improve variable naming
    
    Use a slightly more descriptive name, as also pointed out by
    pycodestyle.
    
    No functional changes.

commit 6d0e9531c867d98eda4da742f85573a600ba5e5c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 10 13:23:45 2020 +0100

    python: tests: catch specific exception
    
    When trying to import libvirt, catch the specific exception that is
    raised when an importing fails.

commit 0703ec9c8c406d30ad57368f0ca8d27fe48aee93
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 10 13:18:46 2020 +0100

    python: PEP 8: adapt whitespaces in lines
    
    Fix continuation indentation, and whitespaces around operators.
    
    This is just code reformatting, with no behaviour changes; no content
    changed beside whitespaces, so "git diff -w" gives an empty diff.

commit df3e693b1b3a617e7d1b6982fc6d57bf0b8268c7
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 10 13:05:37 2020 +0100

    python: PEP 8: adapt empty lines
    
    Add or remove empty lines to match the needed ones around
    blocks/functions/etc.
    
    Adapt the generation of guestfs.py to emit the separating empty line
    before adding a new function/alias, rather than after it.
    
    This is just formatting, no behaviour changes.

commit 40251e4b3cf41f8a2390b92589a7874cd6d0d760
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Jan 9 17:49:16 2020 +0100

    python: replace guestfs_int_py_fromstringsize in Py2 branches
    
    In Python 2 code branches use PyString_FromStringAndSize directly
    instead of the guestfs_int_py_fromstringsize wrapper (which calls
    PyString_FromStringAndSize anyway on Python < 3).

commit a68a0298b509cd935affa108e00c71db6a0911ec
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Jan 9 17:39:10 2020 +0100

    python: remove compile time check for PyString_AsString
    
    The PyString API is specific to Python < 3, replaced by PyBytes and
    PyUnicode in Python 3+; hence, drop the compile time check, and use the
    right API depending on the Python version.

commit c3728416fb147ebc4be19c7e5566addb8485fdda
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Jan 9 17:29:15 2020 +0100

    python: assume support for Capsules
    
    They were introduced in Python 2.7 and 3.1, so we can assume they exist
    (as Python 2.7 is the minimum version required, and 3.0 is long gone).

commit 444750bfd1d72cc660e304f248a4fc00c6e26f0e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Jan 9 17:22:16 2020 +0100

    python: drop code for Python < 2.5
    
    Python >= 2.7 is required.

commit d8cb64dbe70e7917385419c8455f81757839ad89
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Jan 9 17:15:20 2020 +0100

    build: enforce a minimum Python version
    
    In case the Python bindings are enabled, enforce a minimum version.
    Set this minimum version to 2.7, as it has been de-facto for a while
    now.

commit 2c4aec6dcfb7782db13a498419e37cf786712aba
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Jan 9 15:47:27 2020 +0100

    build: update miscellaneous files
    
    C_SOURCE_FILES
    POTFILES
    
    Followup of commit cb0edd43548f222b4ba62b48468ef38b103436f6.

commit eb43478f833e8394247a5747b93598e8789006ca
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jan 8 18:35:34 2020 +0100

    inspect: avoid returning "unknownX.Y" for unknown Linux distros
    
    If it is not possible to detect the distribution of a Linux OS, do not
    propose "unknownX.Y" (where X is the major version number, and Y the
    minor) as short osinfo ID. Just return "unknown" instead.

commit cb0edd43548f222b4ba62b48468ef38b103436f6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Dec 20 11:29:44 2019 +0100

    build: use split stringlist functions from common/utils
    
    The OCaml and Python bindings directly use the utils.c source in
    common/utils, mostly for guestfs_int_free_string_list.  That source
    contained also functions using gnulib functions, however without
    linking to gnulib.  When building with default build flags (e.g. without
    as-needed mode), the gnulib symbols cannot be resolved, leading to
    unusable OCaml and Python libraries.
    
    As solution, update the common submodule to get the split of the split
    of the stringlist functions in common/utils, and adapt the OCaml and
    Python bindings:
    - both now use stringlists-utils.c instead of utils.c
    - fix the Python distutils setup to include only the sources really
      needed

commit e789a070de3d7dde9756a3c0bed347f89717fece
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 19 15:34:37 2019 +0100

    python: remove also __pycache__ directories on clean

commit a420e535d5549809ca384136d889c2c4d65ea571
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 19 13:10:41 2019 +0100

    daemon: reorder internal static libs to fix linking
    
    Move the interal static libraries as the last items in the list of
    libraries of guestfsd, to make sure their symbols are used for all the
    other libraries.  This is because GCC resolves the symbols looking at
    the arguments from the beginning to the end of the command line.
    This currently does not cause failures, however it "just works" because
    of the tricky situation set up.
    
    The situation is the following:
    
    1) common/utils contains few utility sources: one of them is utils.c,
    which contains various functions -- for example
    guestfs_int_free_string_list and guestfs_int_drive_name --, it is built
    as utils.o, and bundled in the static library libutils.a
    
    2) common/mlutils builds a OCaml library with bindings for some utility
    functions in libutils.a, in particular guestfs_int_drive_name (but not
    guestfs_int_free_string_list); there are two versions of this library,
    one OCaml library (dllmlcutils.so) that links with libutils.a, and one
    static library (libmlcutils.a), which cannot specify the libraries it
    links to (as it is static)
    
    3) when the daemon is linked, the command line was the following
    (simplified):
      $ gcc [...] -o guestfsd guestfsd-9p.o other_daemon_object.o [...] \
          ../common/utils/.libs/libutils.a [...] -lmlcutils [...]
    Some of the objects of the daemon itself use
    guestfs_int_free_string_list, and thus the compiler opens libutils.a
    (it is after the objects in the command line) and picks utils.o, which
    contains also guestfs_int_drive_name (not used directly in the daemon);
    when linking later on with libmlcutils.a, the symbols for this static
    library (like guestfs_int_drive_name) are already resolved, and thus
    all the symbols are resolved, and the linking succeeds
    
    This fragile situation can be easily broken by moving e.g.
    guestfs_int_drive_name out of common/utils/utils.c to a new source (say
    utils2.c) still built as part of libutils.a: since nothing before
    -lmlcutils actually needs to pick utils2.o from libutils.a for symbols,
    then GCC will not be able to resolve all the symbols in libmlcutils.a.
    
    As solution, move libutils.a (and other internal static libraries) as
    last libraries to link guestfsd to: this way, GCC knows where to find
    all the symbols needed by all the objects and libraries specified in
    the command line.

commit d8540adffb9a5651dfed4cb24972097b0d4be4a5
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Dec 18 12:55:37 2019 +0100

    inspect: document OpenMandriva Lx as detected distro
    
    Also extend the virt-inspector RNG schema to allow it.
    
    Followup of commit a4ef6716b4119e476949c55f1bc12d81e735f0c0.

commit 1cc82939356c09cd4c0400ced6d42e7314279dfb
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Dec 18 11:00:20 2019 +0100

    po: reduce the list of extracted sources
    
    Prune from the list of sources where to extract messages various sources
    with no messages:
    - .pl and .pm files, as they do not contain messages: almost all the
      .pl files are tests, and the only .pm file is the Perl Sys::Guestfs
      module, which wraps the XS extension
    - dummy.c sources; they are empty sources used to build OCaml-only
      targets using automake
    - gperf generated sources
    - C/OCaml tests

commit 98700b6d8ce1fecb650129c64746da3e23daa4ea
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Dec 18 10:32:38 2019 +0100

    docs: exclude dummy.c sources
    
    They are empty sources used to build OCaml-only targets using automake,
    so there is no documentation to extract.

commit af3b8624b7516c2906f88c0a5c22a56710cbcf3a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Dec 17 16:31:09 2019 +0100

    build: exclude common/mlv2v from distcheck
    
    It is part of the common submodule but not used in libguestfs, so it is
    not included in distribution tarballs.

commit 4cd801dcff1393f6ffcb81cac9a6dcdb1f007bd2
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Dec 17 15:38:00 2019 +0100

    build: fix make implicit dependencies on ml/mli files
    
    As proposed in the Debian bug #946594 [1], the implicit .cmi/.cmo/.cmx
    dependencies are tied to files in the source directory only, and thus
    they break when either the .ml or the .mli files are in the build
    directory. Since there is already VPATH set up by automake, rely on it
    to locate the right source.
    
    [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=946594#36
    
    Solution proposed by Vincent Danjean, thanks!
    
    This reverts commit 802c5d2055593adf6bfae796b102b8c902de571e in this
    file.

commit 78a18b20e10dd3a6970df76c958881cf9ce66e69
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Dec 17 15:11:04 2019 +0100

    tests: fix srcdir references
    
    Make sure to properly reference to files in the source directory.

commit dd99b6f68da96d3aa982d23f9b0df6a79a3b2025
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Dec 17 12:28:02 2019 +0100

    inspector: ship the actual test script
    
    It is no more generated by configure now; fixes
    commit 68f5c27adaea24626f6f9a606bbe032ede860da2.

commit 957549cd2d6f5b10dccaef0624c2bec2609628ce
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Dec 16 18:55:01 2019 +0100

    Remove mlaugeas and mllibvirt leftovers
    
    Update according to the removal of the embedded copies of augeas-ocaml,
    and libvirt-ocaml from the common submodule.

commit 3c8e7e41db0163fa0492e55bc50d26fe45f98b37
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Dec 16 18:46:44 2019 +0100

    Update common to latest

commit fb7e21be9620f5862d2a9692be423ed69826f773
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Dec 16 16:42:24 2019 +0100

    build: switch embedded copy of ocaml-augeas
    
    Use the newer copy shipped locally as bundled, instead of the one in
    the common submodule, as the latter copy will go away soon.

commit c93cc14b9fb04e7a45e7b9c129833b1203bebe28
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Dec 16 16:14:05 2019 +0100

    Bundle the ocaml-augeas library for use by libguestfs
    
    Add a copy of the libvirt-ocaml library, currently available at:
      http://git.annexia.org/?p=ocaml-augeas.git;a=summary
    This is a snapshot at commit 1cf5aef99b26a46529ca797547c0b49627fffe78,
    which has all the features we need (and that builds fine).
    It is expected to stay synchronized with upstream, until there is a new
    upstream release, and it will be widespread enough.

commit 68f5c27adaea24626f6f9a606bbe032ede860da2
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Dec 16 11:19:00 2019 +0100

    tests: switch to config.sh for xmllint
    
    Instead of generating test scripts from configure with the path of
    xmllint, export that path in config.sh, so the tests can be static
    scripts again.

commit 54a9d04f7223a66f62f7ab33ca01dce7153810f1
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Dec 16 10:48:14 2019 +0100

    build: add an empty config.sh
    
    This helper script will contain variables with results of configure
    checks, so other scripts can source it.
    
    Source it automatically in test-functions.sh, so every test can already
    make use of it.

commit c9bd101383c9288451373e95acf197724a43ebca
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Dec 13 16:07:51 2019 +0100

    Update common to latest

commit 062e1bd26ee88d31664a3dcfdfd8f7a1ce92ec88
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 12 18:00:27 2019 +0100

    rust: fix list of generator-built files
    
    src/lib.rs is not created by the generator, while src/guestfs.rs is.

commit d44ef6aa504778a18e1d4b9a0a42f5c1776bed0d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 12 17:58:26 2019 +0100

    rust: fix path to lib.rs
    
    It is a source file, so explicitly look for it in the source directory.

commit 21ef7adb37115d61a71aad8d6f1d9668fdb5b863
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 12 15:26:42 2019 +0100

    perl: fix path to Build.PL
    
    It is a generated file, so it is in the build directory.

commit 7ced2b93542f57e6e36db18bee7b7f349518c870
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 12 15:17:05 2019 +0100

    generator: do not generate mlv2v files when not needed
    
    mlv2v is not shipped with libguestfs, so do not try to generate the
    files for it in case generator is invoked on a release tarball.

commit e17f9f43fda310849122a1f736a9e2faa3c485ae
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 12 15:15:29 2019 +0100

    docs: fix out-of-source documentation build
    
    Invoke make-internal-documentation.pl by its path in the source
    directory.
    
    Also, depend on it to regenerate the documentation in case
    make-internal-documentation.pl changes.

commit 323909d92ee681091f15ec2cd9fa1b6bc6379146
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 12 15:01:37 2019 +0100

    build: stop shipping files generated by configure
    
    They will be generated by configure.

commit 5469db383ab40c3eb6338c3e5e5f3e1533f021a4
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Dec 12 15:22:50 2019 +0000

    builder: templates: Build RHEL 8.1 image internally.

commit ebcd915997afe4a3978d7d20a94a1b5ecec48818
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 12 13:54:36 2019 +0100

    docs: remove utils files
    
    They were moved to a different repository.
    
    Follwup of commit 58ab39ba348d7665c9705031668e1c6ee3476749.

commit c37673eaea02f2e22a47929e1cca9d751e53681c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Dec 11 14:24:01 2019 +0100

    tests: fix podcheck tests
    
    Pass to the various podcheck invocations the paths with POD files that
    are included.
    
    Followup of commit 46e59e9535c2fcd1c188464b5249a249f22af1a0.

commit b8f9bb3092dfeb15d89eb6fae703f9c475bdd117
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Dec 11 14:20:37 2019 +0100

    podcheck: __INCLUDE:file.pod__ and __VERBATIM:file.txt__ in POD files.
    
    Make sure the pod checker script can deal with the newer additions of
    podwrapper.pl.
    
    Followup of commit 46e59e9535c2fcd1c188464b5249a249f22af1a0.

commit 8bd80847fe440a0beea8aa29722f454d8f5bfe3e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Dec 9 15:24:25 2019 +0100

    inspect: correct osinfo ID for CentOS >= 8
    
    CentOS 8 is represented with a simpler "centos8" osinfo ID.

commit b6e5abd7e48f8ceb466bca8d2253dd954937a573
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Dec 11 11:36:57 2019 +0000

    Update common to latest.
    
    Resynch with upstream ocaml-augeas so libguestfs can be built with
    OCaml 4.09.0.

commit 4aa4edf972bc8df8869cdcaa4ab4f40b63a626cf
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Nov 29 13:16:32 2019 +0100

    ocaml: add handling for errno ENOSPC

commit 355bed63f46a0e5c15aa9cbaa7ee3551969bc34d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Nov 29 13:03:20 2019 +0100

    tests: test --key for a real guest (with inspection)
    
    Test both the decryption by device name, and UUID.

commit 206ce8bbf1bc3332dc019e553d17d6a36f74b725
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Nov 29 11:48:59 2019 +0100

    New API: luks_uuid
    
    Return the UUID of a LUKS device.

commit 58ab39ba348d7665c9705031668e1c6ee3476749
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Nov 28 15:31:01 2019 +0000

    Remove boot and qemu analysis tools into a separate project.
    
    These have now moved here:
    https://github.com/libguestfs/libguestfs-analysis-tools
    
    This commit removes them and updates guestfs-performance(1) to point
    to the new location.

commit 8ba0457e9eb4daac2d878e9822dfc604c0f89852
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 26 12:50:16 2019 +0000

    options: Update documentation for --key SELECTOR.
    
    Use the common/options/key-option.pod fragment to document the --key
    option and selector instead of duplicating the same documentation
    everywhere.

commit 152ff05ae03a723ef9b2db93b14a7b3601719e60
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 26 14:00:46 2019 +0000

    fish: Update documentation to use new __INSERT:...___ directive.

commit 46e59e9535c2fcd1c188464b5249a249f22af1a0
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 26 12:41:00 2019 +0000

    podwrapper: __INCLUDE:file.pod__ and __VERBATIM:file.txt__ in POD files.
    
    The current method of adding multiple --insert or --verbatim
    parameters to the podwrapper command is not very easy to use because
    it involves modifying the Makefile.am in every place where this is
    used, plus under po-docs/$language/Makefile.am.  It's better if the
    POD file itself can do the inclusion.
    
    This enhances support so that the special sequences
    
      __INCLUDE:file.pod__
    
    or
    
      __VERBATIM:file.txt__
    
    are treated as file inclusion.
    
    The filename must be a plain file and is searched along a path
    (supplied by the optional podwrapper --path parameter).  The purpose
    of the path is to allow translations to happen more easily.  For
    example we can include a particular POD fragment from common/options/
    for the English version, but copy the translated file to
    po-docs/$language/ for every translated version.

commit 08481e05d067f1c7d11d884feaa45fd14dd4af47
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Nov 27 17:14:10 2019 +0100

    build: ignore unused submodules
    
    Do not build the mlv2v, and mllibvirt submodules, as they are not used.

commit 72d83cc6ebb06fad944df7f8db8a2860e5fabe34
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 23 16:58:29 2019 +0200

    build: remove unused gnulib modules
    
    Remove gnulib modules that provide stuff clearly not used within
    libguestfs (library, daemon, and C tools).  Among directly and
    indirectly modules used previous (and now no more), they are:
    
      cycle-check
      d-ino
      dev-ino
      dup3
      dup3-tests
      fcntl-safer
      fcntl-safer-tests
      fdopendir
      fdopendir-tests
      filevercmp
      filevercmp-tests
      ftell
      ftell-tests
      ftello
      ftello-tests
      fts
      getaddrinfo
      getaddrinfo-tests
      getcwd
      getcwd-tests
      gnu-make
      hostent
      i-ring
      i-ring-tests
      iconv
      iconv-tests
      inet_ntop
      inet_ntop-tests
      isatty
      isatty-tests
      openat-safer
      openat-safer-tests
      opendirat
      ptsname_r
      ptsname_r-tests
      read-file
      read-file-tests
      rewinddir
      servent
      ttyname_r
      ttyname_r-tests
      xgetcwd
    
    Some of the removed modules are still used pulled indirectly as
    dependency of other modules.  There should be no behaviour change on
    recent Linux distros, although older distros were not tested (adding
    a module back is easy, anyway).
    
    Remove accordingly unused automake variables, and ignored files.

commit 86d5ddc296a81a54e043bacaa66b421fe2c0d4fc
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 23 16:51:27 2019 +0200

    daemon: remove unused include

commit b87e20ccf10f1afe647f99311d80426281ac5849
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 23 16:50:34 2019 +0200

    daemon: switch from read_file to read_whole_file
    
    Since we have already an helper to read a file, use it instead of the
    gnulib function.

commit 73a58394a9497c91a1f5760f8763a6823f3271b1
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 23 16:44:40 2019 +0200

    daemon: move read_whole_file to common utils
    
    Move the read_whole_file function to the common utilities of the daemon,
    so other parts can use it.  For this purpose, add an out parameter to
    get the amount of bytes read.
    
    Except from the parameter addition, this should be just refactoring.

commit a2b37a495c82ce3191ed1cf47ccb391ed6c3b929
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 23 13:40:56 2019 +0200

    tests: switch away from xgetcwd
    
    xgetcwd is used only in a test, so there is no need to pull a gnulib
    module just for it.
    
    Switch to use getcwd directly with a fixed buffer: the tests would have
    failed with paths longer than 992 characters, as the libvirt_uri would
    have been truncated.  Since there were no reports of issues, we can
    assume that the current working directory will fit in 1024 characters;
    adapt the size of libvirt_uri accordingly.

commit 38ff3354ea0c24050a9c7d9414dec80e8d14fce0
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 12 18:32:04 2019 +0000

    tests: luks: Test the --key options.
    
    Previously untested, and as always happens they were quite buggy.

commit a7ed7752cf701a6db05421f48f062af1b44c8915
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 19 16:18:03 2019 +0000

    Version 1.41.8.

commit 31272305faee8f4997912db148bec9e79d74fa57
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 19 15:56:03 2019 +0000

    po-docs: Remove virt-v2v man pages.
    
    Fixes commit 85c99edec19ac7afb38fa6003e35f51db143922c.

commit 43e44477ec19a2653ee8bc9e0dc1b19eef696aba
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 19 15:49:53 2019 +0000

    po-docs: Split language release notes by release too.
    
    Fixes commit e9eaf4d889db54bd11550f2ebdc392bac3bb2b9a.

commit e6f9e0b0f6a588abbc35854e8ad862207b6e26ec
Author: Sam Eiderman <sameid@google.com>
Date:   Mon Nov 18 15:32:08 2019 +0000

    python: Don't call Python functions if Python interpreter has already gone.
    
    If you've registered a callback in Python and the handle is implicitly
    closed when the Python interpreter exits, then it can be that the
    following happens:
    
     - Python interpreter is finalized.
     - guestfs_close is called
     - callback is invoked (eg. close event or to display a debug message)
     - Python code runs from the callback wrapper
    
    This cause a segfault on shutdown.  Catch this case and stop the
    callback from running (we lose the event but given the above sequence
    of events there's not much we can do about it).
    
    See:
    https://bugzilla.redhat.com/show_bug.cgi?id=1773520#c7

commit 7757eb8d0cab1f49eb5fd7830731e09ea4fc610e
Author: Sam Eiderman <sameid@google.com>
Date:   Mon Nov 18 14:38:40 2019 +0200

    Python: Fix GIL usage in guestfs_int_py_event_callback_wrapper (RHBZ#1773520)
    
    All Py_* functions should be protected by the GIL.
    Otherwise internal python data structures can get corrupted.
    
    Move PyGILState_Ensure to the beginning of the block and
    PyGILState_Release to the bottom.
    
    Signed-off-by: Sam Eiderman <sameid@google.com>

commit 62c36fa297098a6a7105cebcdf434d85add82553
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sat Nov 16 08:38:51 2019 +0000

    Update common to latest.

commit bd421800060fd208d57034cb730e2c9584b07f34
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 12 13:31:08 2019 +0000

    Version 1.41.7.

commit 85c99edec19ac7afb38fa6003e35f51db143922c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 12 11:40:02 2019 +0000

    v2v: Remove virt-v2v.
    
    It has moved to a new repository:
    https://github.com/libguestfs/virt-v2v

commit ededdce3c11d8e767d136130a15afe5941a1010c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 12 18:31:16 2019 +0000

    autogen: Fix detection of gnulib submodule status.
    
    Don't require a rebuild every time the common module changes status.

commit e9eaf4d889db54bd11550f2ebdc392bac3bb2b9a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 12 13:45:08 2019 +0000

    docs: Split release notes by release.
    
    See analogous change in nbdkit for the rationale:
    
    https://github.com/libguestfs/nbdkit/commit/98395d6f7a4b875506540cd638f3a94c68bddc7a

commit 7c05fc91dcfe5109c48098ea2a4406c6e0859cf1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 12 12:28:24 2019 +0000

    website: Update builder index with fedora-31.
    
    Updates commit 9c693ca0e8082550feb83c9db650862ab43fc352.

commit 9c693ca0e8082550feb83c9db650862ab43fc352
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 12 09:58:46 2019 +0000

    builder: templates: Add Fedora 31.

commit 696b1b059a05f78fb2c55c50bcfee651a2c5ead9
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Oct 16 14:39:31 2019 +0100

    common: Update to latest.

commit 8097dc16e7454221c2ffde2c4ca6f26889ec9cc6
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Oct 15 13:02:56 2019 +0100

    Version 1.41.6.

commit 435b70f564a334ffa851d7395c1e1da9290765dc
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Oct 15 12:55:08 2019 +0100

    customize, v2v: Remove existing file before copying.
    
    The generator creates these files with 0444 mode, so they cannot be
    overwritten by a simple ‘cp’ command.  We could use ‘cp -f’ or ‘rm -f’.
    
    Fixes commit 15394cb4ddb08f4650fc45bc6ca617ade6ec51a2.

commit 8f3210c87508a2f4b9658c1738078ff0b0d9268d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Oct 15 12:39:12 2019 +0100

    Replace common/ with git submodule.
    
    This directory contains code which is shared between libguestfs and
    the tools.  It now points to a new repository:
    
    https://github.com/libguestfs/libguestfs-common

commit 15394cb4ddb08f4650fc45bc6ca617ade6ec51a2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 14 19:38:36 2019 +0100

    common/{mlcustomize,mlv2v}: Add generated files to git.
    
    With the proposed split we will only run the generator from the
    libguestfs repo.  When compiling virt-v2v or the guestfs-tools we will
    need certain generated files to be present already in the
    libguestfs-common repo, and therefore these files must be added to
    git.  Hopefully they won't change very often.

commit 20c2dfbe00450b9ac457edc56f6afca4f417ce02
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 14 16:26:46 2019 +0100

    generator, customize, v2v: Only place generated files in libguestfs or common.
    
    After the proposed split of the libguestfs repo, we will end up with
    the following layout:
    
      libguestfs.git
          common -> git submodule libguestfs-common.git
          generator
    
      virt-v2v.git
          common -> git submodule libguestfs-common.git
    
      guestfs-tools.git
          common -> git submodule libguestfs-common.git
    
    The generator will only be able to write to libguestfs directories and
    the common directory/submodule.  This is mostly the case already with
    only 6 exceptions:
    
      customize/customize-options.pod
      customize/customize-synopsis.pod
      customize/customize_cmdline.ml
      customize/customize_cmdline.mli
      v2v/uefi.ml
      v2v/uefi.mli
    
    This commit moves these files around so they appear under common/ml*
    
    It is somewhat unsatisfactory because it involves copying files
    around, but there are some mitigating factors:
    
    (1) Any changes now give us more freedom to develop faster and thus
    clean things up in future.
    
    (2) The v2v/uefi files ought to go away in future anyway.
    
    This is simple code motion and should have no effect on the built
    programs or tests.

commit a07b9a2cda744cda9cf3ceac2592cd6f4d68ac4e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 14 15:28:28 2019 +0100

    v2v: virt-v2v doesn't need to link directly with -lutils.
    
    It is linked indirectly via mlcutils.cmxa.

commit ddfec6a97db31ba5c86343c39db6466b5551d107
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 14 11:35:52 2019 +0100

    customize: Move Firstboot and SELinux_relabel modules to common/mlcustomize.
    
    These two modules are a dependency of virt-v2v.  Since we intend to
    split virt-v2v from the other OCaml virt-* programs, we cannot have a
    dependency between virt-v2v and virt-customize.  Instead we must move
    the modules to a common directory (common/mlcustomize) and have both
    tools depending on the modules from there.
    
    This is simple refactoring and should not affect how the programs work
    or are tested.

commit a1c036b4a63b4436365203afe4883acf233d49b7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 14 12:36:13 2019 +0100

    .gitignore: Ignore website/download/builder/*.xz.
    
    This makes it easier to run the slow tests by copying the virt-builder
    templates into this directory.

commit b85dd3dee187ce2df6edb49659f96c24805303f5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Oct 11 16:25:48 2019 +0100

    v2v: Split out source and source_disks.
    
    Remove the source.s_disks field and keep it as a separate list.
    
    This is just refactoring.  For more about the purpose of this change:
    https://www.redhat.com/archives/libguestfs/2019-October/msg00072.html

commit e3a3c2fd6ce01db8544a3cfe7c8e0c3c691326df
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Oct 11 16:12:41 2019 +0100

    v2v: Remove 4 unused parameters to output#prepare_targets.
    
    Not used by any existing output mode, remove the parameters.

commit 50a4a41ef3cfa2dbcc12f7244d51c8a9f9be674e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Oct 11 16:03:33 2019 +0100

    v2v: Don't pass full metadata to output#prepare_targets.
    
    The existing output objects only used the s_name field so pass that
    instead.  (There was one minor exception: -o libvirt adjusted an error
    message based on the hypervisor field but that was simply to fix.)

commit 624fff6461e9fdff0a350e0f18836ef61a67fa30
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Oct 11 15:56:51 2019 +0100

    v2v: Pass source.s_disks to conversion fn instead of whole metadata.
    
    Existing conversions do not use anything except the source disks, so
    only pass this.
    
    This also renames src_disks -> source_disks in a few places for
    consistency.
    
    Pure refactoring with no change in function, designed to reduce
    coupling between stages.

commit ee400894f9e01e67e5acf9f1d1fc3cef61014b9a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Oct 11 15:33:51 2019 +0100

    virt-tools: Remove -Ifish from various tools.
    
    Appears to be a copy and paste error.  At least, I cannot understand
    why any of these tools would borrow source code from guestfish.

commit 00b4ed312b0ba179e9901b73c099724c3f6606b4
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Tue Oct 8 13:16:38 2019 +0200

    v2v: windows: install QEMU Guest Agent MSI
    
    Use firstboot script to install MSI with QEMU-GA from virtio-win ISO or
    oVirt/RHV guest tools ISO.
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit 2299154dc8484a7889d95e0234318ec69c56157a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Oct 9 19:14:12 2019 +0100

    Version 1.41.5.

commit dfd9fac7435cf2f9293961b6cc1fe316af4feebc
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 4 16:09:42 2018 +0000

    v2v: Copy static IP address information over for Windows guests (RHBZ#1626503).
    
    For Linux the guest itself remembers the IP address associated with
    each MAC address.  Thus it doesn't matter if the interface type
    changes (ie. to virtio-net), because as long as we preserve the MAC
    address the guest will use the same IP address or the same DHCP
    configuration.
    
    However on Windows this association is not maintained by MAC address.
    In fact the MAC address isn't saved anywhere in the guest registry.
    (It seems instead this is likely done through PCI device type and
    address which we don't record at the moment and is almost impossible
    to preserve.)  When a guest which doesn't use DHCP is migrated, the
    guest sees the brand new virtio-net devices and doesn't know what to
    do with them, and meanwhile the right static IPs are still associated
    with the old and now-defunct interfaces in the registry.
    
    We cannot collect the required information from within the guest.
    However we can collect it outside the tool by some other means
    (eg. using VMware Tools APIs) and present this information to virt-v2v
    which then writes it into the Windows guest at firstboot time.
    
    This commit adds the --mac ..:ip:.. sub-option which creates a
    Powershell script to set network adapters at firstboot.  An option
    such as:
    
      --mac 00:0c:29:e6:3d:9d:ip:192.168.0.89,192.168.0.1,24,192.168.0.254
    
    approximately turns into this script:
    
      # Wait for the netkvm (virtio-net) driver to become active.
      $adapters = @()
      While (-Not $adapters) {
          Start-Sleep -Seconds 5
          $adapters = Get-NetAdapter -Physical |
                         Where DriverFileName -eq "netkvm.sys"
      }
      $mac_address = '00-0c-29-e6-3d-9d'
      $ifindex = (Get-NetAdapter -Physical |
                     Where MacAddress -eq $mac_address).ifIndex
      if ($ifindex) {
          New-NetIPAddress -InterfaceIndex $ifindex
                           -IPAddress '192.168.0.89'
                           -DefaultGateway '192.168.0.1'
                           -PrefixLength 24
          Set-DnsClientServerAddress -InterfaceIndex $ifindex
                           -ServerAddresses ('192.168.0.254')
      }
    
    Thanks: Brett Thurber for diagnosing the problem and suggesting paths
    towards a fix.

commit e1e9b3845e76a4bb406d16b96283ac38677cd91f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 4 16:09:42 2018 +0000

    v2v: windows: Add a helper function for installing Powershell firstboot scripts.

commit d4840bd29f1638cb003b9aea11bea65d7e1a846b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Oct 8 13:29:23 2019 +0100

    Update website/download/builder/index.
    
    Fixes commit a3320aaa500296986bedeb12942b8d2809ce8d93.

commit 12f5e2eb90dc453d2c5371daed307785ca34a859
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Sep 20 10:25:02 2019 +0100

    v2v: nbdkit: Add the retry filter unconditionally if it exists.
    
    This experimental filter can be used to work around brief
    interruptions in service, such as the network going down, firewalls
    timing out connections etc., without requiring virt-v2v to be rerun.

commit 4ad6e184a96a40278f7de9db07517903841f0fdd
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Apr 17 12:15:40 2019 +0100

    v2v: Implement SSH password authentication for Xen and VMX over SSH.
    
    For example:
    $ virt-v2v -i vmx -it ssh -ip /tmp/passwd \
        'ssh://root@esxi/vmfs/volumes/datastore1/Windows/Windows.vmx' -o null

commit 735529b393b63bc39955f4456820692a56aad9b3
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Apr 9 12:22:17 2019 +0100

    v2v: Implement the --bandwidth* options to control network bandwidth.
    
    For input methods which use nbdkit, we can cheaply add
    nbdkit-rate-filter to control input-side network bandwidth.  These
    options control that filter.  We can choose to set the bandwidth
    statically and optionally change it dynamically:
    
      --bandwidth 10M
        # static bandwidth of 10 Mbps, no dynamic adjustment possible
    
      --bandwidth 5M --bandwidth-file /tmp/bw
        # initial static bandwidth of 5 Mbps, adjustable by writing to /tmp/bw
    
      --bandwidth-file /tmp/bw
        # no initial bandwidth cap, can be added later by writing to /tmp/bw
    
    It only makes sense to control the input side since virt-v2v writes a
    lot less data than it reads.

commit 0aa3545e4da1d4605698d40699bee0dde4195d86
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Apr 5 16:26:01 2019 +0100

    v2v: vCenter: Replace qemu block curl driver with nbdkit-curl-plugin.
    
    Because of the self-configuring readahead plugin we can entirely get
    rid of input#adjust_overlay_parameters, which is definitely a good
    thing.

commit bded1ee8373d81137615dacf07abad8193d0454a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Apr 5 11:27:21 2019 +0100

    v2v: -i libvirtxml: Replace qemu block curl driver with nbdkit-curl-plugin.
    
    ‘virt-v2v -i libvirtxml’ has a little-known feature where it can read
    network disks over HTTP or HTTPS.  This can be used to test VMware
    conversions without needing VMware, although as far as I can tell the
    current test suite does not use the feature.  This commit changes this
    functionality to use nbdkit-curl-plugin instead of the qemu curl
    driver.
    
    This change shouldn't affect functionality.  The readahead size is
    changed from a fixed 1M buffer to using the readahead filter which is
    self-configuring.
    
    See also commit 38bf2a0f97c2e814d28c447ff6856bdd2d68df36 which
    originally introduced this functionality in 2017.

commit d48159806734a2fb69a24b59e150192854fcbed8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Apr 5 15:33:14 2019 +0100

    v2v: nbdkit: Add the readahead filter unconditionally if it is available.
    
    The readahead filter is a self-configuring filter that makes
    sequential reads faster when the plugin is slow (and all of the
    plugins we use here are always slow).
    
    I observed the behaviour of the readahead filter with our qcow2
    overlay when converting a guest from a vCenter source.  Even when
    doing random reads, qemu issues 64K reads which happen to also be the
    minimum request size of the readahead filter, so there is no extra
    overhead.  When doing the sequential copy the readahead filter
    performed better than qemu curl’s readahead because it scaled the
    prefetched data appropriately on long contiguous stretches and then
    shrunk it back to 64K around fragmented parts of the base image.

commit 0796092e0556bdc2c08a6f10390cc768e9fcc567
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 24 14:28:13 2019 +0100

    v2v: nbdkit: Add a generic function to probe if filters are available.
    
    This uses the technique described in the nbdkit-probing(1) man page.
    It should work with a wide range of versions of nbdkit, and is the one
    which the nbdkit developers currently recommend.

commit 56727f8431d14e972727ab3d66e5c16f6e23409b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 4 16:42:51 2019 +0100

    v2v: nbdkit: Add support for nbdkit-curl-plugin.

commit 57f6c72a9d1fa5a67f610f78d79e09ca752b2f2d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 4 17:13:34 2019 +0100

    v2v: -i vmx -it ssh: Replace qemu block ssh driver with nbdkit-ssh-plugin.
    
    One immediately advantage is we can use libvirt again.

commit 0977f4b90910ae27df5504dd49b9c296ad15223b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 4 16:43:21 2019 +0100

    v2v: xen: Replace qemu block ssh driver with nbdkit-ssh-plugin.
    
    Initially this is a like-for-like replacement, but in future commits
    this will allow us to implement:
    
     - password authentication (instead of SSH agent)
    
     - bandwidth throttling
    
     - readahead
    
    Note this requires nbdkit >= 1.12.

commit 8e5930b9a8ea4df9481bccbd99e65efa454b065f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 4 16:42:51 2019 +0100

    v2v: nbdkit: Add support for nbdkit-ssh-plugin.

commit ca9f904b221b0812a7b22c86f619a2dd04367ed5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 4 15:13:25 2019 +0100

    v2v: Generic code for querying nbdkit version and plugin.
    
    In forthcoming commits we will be adding support for ssh, curl and
    other features that require nbdkit >= 1.12.
    
    As a prelude to that work, add generic code for querying ‘nbdkit
    --dump-config’ and ‘nbdkit plugin --dump-plugin’ and checking the
    minimum version number.
    
    This changes the minimum version from 1.1.16 to 1.2, although that was
    released about a year ago and is widely available, and in any case
    we're going to require 1.12 in the next commit.

commit 0899f876a168efe79efdadcf4891ff620c4b989f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 4 09:59:25 2019 +0100

    v2v: Factor out the nbdkit VDDK code into a new module.
    
    This refactoring takes the nbdkit-specific code from the ‘-it vddk’
    mode and puts it into a separate module.  The idea is to reuse this
    module (in future commits) to support ssh, curl and rate limiting.
    
    This refactoring is not quite neutral because it moves some of the
    prechecking into the Nbdkit.create function.  This means it will
    happen a little bit later in the cycle (in input#source instead of
    input#precheck - refer to the diagram in v2v/types.mli).  However it's
    still almost in the same place and importantly still happens before we
    start copying.

commit 644a6e4637d46b8487efefc3f037f55bbe077240
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Mon Oct 7 11:47:21 2019 +0200

    build: define CGO_CFLAGS_ALLOW with -U option we need
    
    cgo does not allow arbitrary CFLAGS to be used. Instead it contains a
    list of flags (safelist) that are allowed to be passed to the compiler.
    Sadly -U option (introduced in commit d8d8c856a1) is not among them.
    
    See: https://github.com/golang/go/issues/23672
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit a3320aaa500296986bedeb12942b8d2809ce8d93
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Oct 4 09:01:32 2019 +0100

    builder: templates: Add CentOS 8.0

commit f7733f44c38f82755a434ebcf66ad3a8d0109518
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Oct 4 09:01:05 2019 +0100

    builder: templates: Work around for CentOS 8.0 kickstart brokenness.

commit 0177552375b3501269989121bcbd0f6a5d375be5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Oct 2 14:20:37 2019 +0100

    daemon: btrfs: Fix parsing for new output from btrfs scrub.
    
    The format changed at some point breaking our existing parsing code.
    Typical example of the new format is below.
    
    UUID:             b8604449-c7b5-4d3b-9fad-56114e8594f5
    Scrub started:    Wed Oct  2 12:54:06 2019
    Status:           finished
    Duration:         0:00:00
    \tdata_extents_scrubbed: 0
    \ttree_extents_scrubbed: 16
    \tdata_bytes_scrubbed: 0
    \ttree_bytes_scrubbed: 262144
    \tread_errors: 0
    \tcsum_errors: 0
    \tverify_errors: 0
    \tno_csum: 0
    \tcsum_discards: 0
    \tsuper_errors: 0
    \tmalloc_errors: 0
    \tuncorrectable_errors: 0
    \tunverified_errors: 0
    \tcorrected_errors: 0
    \tlast_physical: 253493248

commit 9f516b4fcce91238d3b559918d5fc96b7650a7aa
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Oct 2 10:22:47 2019 +0100

    builder: templates: Increase RAM for installation to 4G on all architectures.
    
    We thought this could solve the CentOS problem, but it did not.
    However it's probably a useful change anyway.

commit b8372310cc85439e9297f4ac3aad12e2448f6ce7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Oct 2 10:22:10 2019 +0100

    builder: templates: Add support for centos-8.0.
    
    Unfortunately I could not get the install to work yet:
    https://lists.centos.org/pipermail/centos-devel/2019-September/017813.html

commit 0a5eaad7db3c9b9a03fa88102a9e6142c855bfd1
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Sep 27 13:56:42 2019 +0200

    v2v: -o rhv-upload: make -oo rhv-cafile optional
    
    It makes little sense to require the oVirt certificate, especially when
    the verification of the connection (-oo rhv-verifypeer) is disabled by
    default.  The only work done with the certificate in that case is
    checking that it is a valid certificate file.
    
    Hence, make -oo rhv-cafile optional, requiring it only when
    -oo rhv-verifypeer is enabled.

commit 02890096d55eaee66c1e6ed34fc9b235cc64ebd3
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 26 13:32:50 2019 +0200

    builder: templates: set "unassigned" hostname
    
    By default the installer will set the hostname to what the DHCP returns,
    exposing details of the machine where make-template.ml runs.
    
    Instead, force "unassigned-hostname.unassigned-domain" as hostname, so
    plays nicely with the hostname setting code in virt-customize.

commit aee0f3b011fcefada33900a03f17b14589323635
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Sep 20 10:34:33 2019 +0100

    website: Update index file.

commit 7050f4a6a69523d1a9a1212840edca01382b6e37
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Sep 20 10:32:49 2019 +0100

    erlang: Avoid deprecation warnings.
    
    According to the Erlang website:
    
      The old legacy erl_interface library (functions with prefix erl_) is
      deprecated as of OTP 22, and will be removed in OTP 23. This does
      not apply to the ei library. Reasonably new gcc compilers will issue
      deprecation warnings. In order to disable these warnings, define the
      macro EI_NO_DEPR_WARN.
    
    That's a shame and probably means we will have to drop the Erlang
    bindings soon unless someone ports them to this new API (stable APIs
    FTW people!).  In the meantime add the flag to prevent warn-errors
    about deprecation.

commit 29dc045bc63cf9c9831509719b0e7f25d19a1d57
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 19 14:28:32 2019 +0200

    v2v: -o rhv-upload: use same tmpdir for Python scripts
    
    Make use of the temporary directory of the rhv-upload mode also for the
    Python scripts that the mode creates, instead of creating new
    directories.

commit b659d044f72478cb76797666cee15bf3a800554e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 19 14:26:59 2019 +0200

    v2v: add optional tmpdir parameter for Python_script
    
    Add an optional parameter for Python_script.create, to specific the
    temporary directory to use instead of creating a new one.

commit 977fac20120f67947060e6bb7a1a6bd4b4ffb213
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 19 13:50:44 2019 +0200

    v2v: linux: do not install qemu-guest-agent if already installed
    
    In case qemu-guest-agent is already installed in the guest, then do not
    attempt to install it again.
    
    Reported by Martin Kletzander.

commit 1311842a643947f73d58a7b2591021677ee48983
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 19 13:30:45 2019 +0200

    v2v: linux: install linux tools after unconfigurations
    
    Install the new tools after removing the old hypervisor tools.
    
    It should not change the result of the conversion.

commit 537ba8357e44ca3aa8878a2ac98e9476a570d3f4
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 19 12:19:09 2019 +0200

    v2v: -o rhv-upload: add -oo rhv-disk-uuid option
    
    This way it is possible to override the UUIDs of the uploaded disks,
    instead of letting RHV generate them.
    
    This can be useful to force certain UUIDs, and to specify the disks in
    --no-copy mode (which now can be used).

commit 0a9d7efb400f426e5ed308d13c9c8d47fb5c4494
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 19 09:52:41 2019 +0200

    v2v: -o rhv-upload: check for a valid image transfer right away
    
    Check for the INITIALIZING state of the image transfer right away,
    without waiting 5 seconds even before the first time: this way, if the
    transfer is already in the right state then there is no need to wait.

commit 0f3686e9ed420b039a8a332df95e3c39c1e2143b
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 19 09:39:51 2019 +0200

    v2v: -o rhv-upload: cancel disk transfer on open failure
    
    Make sure to cancel the trasfer in RHV in case of failure during the
    open/creation of the disk in RHV, so it is automatically removed.

commit da71714a9a3ab26242479421f92a59def9a870aa
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Fri Sep 20 10:53:56 2019 +0200

    build: Move po subdir after everything else except po-docs
    
    Otherwise it complains about missing files that it has no rules for, for example
    `builder/index-parser.c`.
    
    Signed-off-by: Martin Kletzander <mkletzan@redhat.com>

commit 27690f55ff9187b3451fbde6e64aee728c371da5
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 19 08:19:26 2019 +0200

    v2v: -o rhv-upload: adapt phony ovirtsdk4 module to recent changes
    
    Add the missing objects, methods, variables, and relations among the
    various objects.
    
    Followup/fixes commit c49aa4fe01aac82d4776dd2a3524ce16e6deed06, and
    commit 8118f28b6ff93c11f92fd65873285c2eba10ea0a.

commit bbf4aeaf2bece33030907929ea358d4c01993cab
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 18 10:51:43 2019 +0100

    builder: templates: Add centos-7.7.

commit cece35e114e9c0c7cfa9beb309c20becff9e3332
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 11 16:40:47 2019 +0100

    builder: templates: Add rhel-7.7 kickstart and virt-install command.

commit 8118f28b6ff93c11f92fd65873285c2eba10ea0a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 16 14:26:07 2019 +0200

    v2v: -o rhv-upload: cancel disk transfer on failure
    
    Make sure to cancel the trasfer in RHV in case of failure during the
    copying of a disk: this way, the disk can be actually removed by RHV
    itself.

commit 145ae3db04a4ae973f5bc05de743bc312572b81f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 16 14:19:20 2019 +0200

    v2v: -o rhv-upload: remove uploaded disks on failure
    
    In case the whole conversion fails, run a new Python script to cleanup
    all the uploaded (and finalized) disks.

commit 7b93ad6a32f09043bf870202b59bea83d47e0c3a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 16 14:07:22 2019 +0200

    v2v: -o rhv-upload: collect disks UUIDs right after copy
    
    Instead of waiting for the completion of the nbdkit transfers to get the
    UUIDs of the disks, use the new #disk_copied hook to do that after each
    disk is copied.
    
    This has almost no behaviour on rhv-upload, except for the --no-copy
    mode:
    - previously it used to hit the 5 minute timeout while waiting for the
      finalization of the first disk
    - now it asserts on the different number of collected UUIDs vs the
      actual targets; at the moment there is nothing else that can be done,
      as this assumption is needed e.g. when creating the OVF file

commit 74ee936505acf56d01f9b819588e7902a9401e81
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 16 14:01:14 2019 +0200

    v2v: add output#disk_copied hook
    
    Add a simple method in the Output class to do work right after a disk
    was successfully copied.

commit 2b39c27b7f1e72f3a3bf3a616e4576af691beb88
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Sep 13 12:40:34 2019 +0200

    v2v: -o rhv-upload: tell whether a SD actually exists
    
    If there is no DC with the specified storage domain attached to it, it
    can mean that the SD does not exist.

commit c49aa4fe01aac82d4776dd2a3524ce16e6deed06
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 12 15:21:26 2019 +0200

    v2v: -o rhv-upload: improve lookup of specified resources (RHBZ#1612653)
    
    Improve the way the precheck script checks for the specified resources:
    - look directly for a data center with the specified storage domain
    - get the storage domain object from the storage domains attached to the
      data center found
    - similarly, look for the specified cluster among the ones attached to
      the data center found
    When everything is found, return the UUID of the storage domain, and of
    the cluster back to virt-v2v, which will store them.
    
    Similarly, rework the createvm script to directly get the requested
    cluster, instead of looking for it once again.  Also, since the UUID of
    the storage domain is available in virt-v2v already, use it directly
    instead of using a placeholder.
    
    This should fix a number of issues:
    - unexisting/unattached storage domains are rejected outright
    - the cluster is rejected if not part of the same data center of the
      selected storage domain
    - renaming the specified storage domain during the data copying will not
      cause the conversion to fail (which will still use the specified
      storage domain, no matter the new name)
    
    Based on the hints by Daniel Erez in RHBZ#1612653.

commit cc6e2a7f9ea53258c2edb758e3ec9beb7baa1fc6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 12 14:17:36 2019 +0200

    v2v: -o rhv-upload: change precheck script to return a JSON
    
    This way it is possible to communicate data from the precheck script
    back to virt-v2v.
    
    For now there are no results, so the resulting JSON is discarded.

commit 6499fdc199790619745eee28fcae3421c32c4735
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 12 13:19:48 2019 +0200

    v2v: -o rhv-upload: split vmcheck out of precheck
    
    Split the VM existance check out of the precheck script to a new vmcheck
    script, and invoke that in #prepare_targets.  Invoke the precheck script
    in #precheck, as now it can be run with only values of command line
    options.
    
    This does not change which checks are performed; however, an invalid
    cluster name will make virt-v2v fail way earlier (even before connecting
    to the source).

commit dea9636c596acd030c9955057863cf080bdd89fb
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jul 10 18:45:44 2019 +0200

    Remove remaining virt-p2v bits
    
    Remove (almost) all the remaining bits related to virt-p2v.

commit 2c02adb8babad7dd5c614c7b895a75b0d3f5305b
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jul 10 18:29:45 2019 +0200

    Remove virt-p2v
    
    This removes only the tool itself, and all the bits strictly needed to
    not break the build.
    
    This is now available as separate tool in its own repository:
    https://github.com/libguestfs/virt-p2v

commit 730642676b38ff1a85eabc9804da8d17467785c4
Author: Eric Blake <eblake@redhat.com>
Date:   Sat Sep 7 14:47:49 2019 -0500

    drives: Typo fix
    
    Favor 'atomically' over 'atomicly'.
    
    Signed-off-by: Eric Blake <eblake@redhat.com>

commit eeabb3fdc7756887b53106f455a7b54309130637
Author: Daniel Erez <derez@redhat.com>
Date:   Mon Mar 18 18:51:26 2019 +0200

    v2v: rhv-upload-plugin - improve wait logic after finalize (RHBZ#1680361)
    
    After invoking transfer_service.finalize, check operation status by
    examining DiskStatus.  This is done instead of failing after a
    predefined timeout regardless the status.
    
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=1680361
    Signed-off-by: Richard W.M. Jones <rjones@redhat.com>
    Tested-by: Ilanit Stein <istein@redhat.com>

commit d58c4e79d8a282b68ba9a19b944289bd66c8d648
Author: Chris Lamb <lamby@debian.org>
Date:   Fri Sep 6 09:09:16 2019 +0100

    Make the build reproducible
    
    Whilst working on the Reproducible Builds effort [0] we noticed
    that libnbd could not be built reproducibly.
    
    This is due to it shipping a pod generation wrapper that
    does not use/respect SOURCE_DATE_EPOCH [1] and additionally
    varies the output depending on the build user's current
    timezone.
    
    (This was originally filed in Debian as #939546 [2].)
    
     [0] https://reproducible-builds.org/
     [1] https://reproducible-builds.org/docs/source-date-epoch/
     [2] https://bugs.debian.org/939546
    
    Signed-off-by: Chris Lamb <lamby@debian.org>

commit a0f9553d21cb69181d9c8c83c43f38d02c7dacc7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Sep 5 15:08:48 2019 +0100

    html: Link within all libguestfs projects.

commit 74ce7332dbb9bab2a69737257f0d07c93eb9bab4
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Sep 5 09:00:14 2019 +0100

    ocaml: Change calls to caml_named_value() to cope with const value* return.
    
    In OCaml >= 4.09 the return value pointer of caml_named_value is
    declared const.
    
    Based on Pino Toscano's original patch to ocaml-augeas.

commit fcfdbc9420b07e3003df38481afb9ccd22045e1a
Author: Nir Soffer <nirsof@gmail.com>
Date:   Mon Sep 2 17:45:13 2019 +0100

    v2v: Set DISKTYPE=2 in RHV and VDSM meta files (RHBZ#1746699).
    
    Added in virt-p2v commit:
    
      commit e83b6f50af34ce650063ecc520bfabab400e8e73
      Author: Matthew Booth <mbooth@redhat.com>
      Date:   Fri Mar 26 09:40:20 2010 +0000
    
        Add export to RHEV
    
        Allow guests to be written to a RHEV NFS export storage domain.
    
        Add 'rhev' output method and -osd command-line option.
        Example command line:
    
         virt-v2v -f virt-v2v.conf -ic 'esx://yellow.rhev.marston/' \
                  -o rhev -osd blue:/export/export RHEL3-32
    
        This will connect to an ESX server and write the guest 'RHEL3-32' to
        blue:/export/export, which is a pre-initialised RHEV export storage domain.

commit bf5ee2fb21ad46e49e66aa4ea0b9ee7887b2f196
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 19:45:12 2019 +0100

    Version 1.41.4.

commit bbe4490795c65961eda96d91811a23024f29c13e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 19:23:54 2019 +0100

    rust: Don't add Cargo.lock to EXTRA_DIST.
    
    It's a file generated by cargo.  If cargo is not installed then this
    breaks ‘make dist’.

commit ad58324c705b584763a9f36d7422168fc8af6fef
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 12:56:12 2019 +0100

    Version 1.41.3.

commit cce016dfe3d0b7512a4fa3044ff8c3303710c881
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 12:34:07 2019 +0100

    docs: Remove p2v/ directory from generated docs files.
    
    make[2]: *** No rule to make target '../p2v/about-authors.c', needed by 'internal-documentation.pod'.  Stop.
    
    Since we're going to remove the whole p2v subdirectory shortly anyway,
    it was simplest to ignore the whole directory.

commit e8ab5b451a3577e7045696d4d06bc5a0bf7df65a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 12:23:28 2019 +0100

    Version 1.41.2.

commit 0d0c3eb1dddf99cc96ace4d3f31b5ee703d508ef
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 12:21:45 2019 +0100

    docs: Remove generated file common/mllibvirt/libvirt_c.c.
    
    Avoids this error when building from git:
    
    make[2]: *** No rule to make target '../common/mllibvirt/libvirt_c.c', needed by 'internal-documentation.pod'.  Stop.
    
    This file doesn't have any generated docs or gettext annotations in it
    so adding it to these files is useless anyway.

commit 2a5ea2892eb2c4c49a9e8eae3cddfc0c07f8d03c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Aug 29 16:45:07 2019 +0100

    Version 1.41.1.

commit 3f8609434f0c515200f9b63c7a8452a67fb2050e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 10:00:28 2019 +0100

    rust: Add more source files to EXTRA_DIST.
    
    Fixes commit 3f7ff1b0689408695d21b4c50384fa24b47e5e8f.

commit ffd0b5484d86d39f5e3ea61f1123dbc50f379b4e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 09:56:42 2019 +0100

    Revert "rust: Add missing file to EXTRA_DIST."
    
    This reverts commit 9a6d1628523e59d65cfe0ce6063bee90c7715a5a.
    
    (This file was later removed in
    commit 3f7ff1b0689408695d21b4c50384fa24b47e5e8f.)

commit 15d161188979fd9df6758f22270a30be487396b6
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 08:57:11 2019 +0100

    python: Ignore -Wcast-align warnings in Python 3.8 header files.
    
    Disable this warning/error in the Python 3.8 header files:
    
    In file included from /usr/include/python3.8/abstract.h:837,
                     from /usr/include/python3.8/Python.h:147,
                     from actions.h:31,
                     from actions-6.c:34:
    /usr/include/python3.8/cpython/abstract.h: In function '_PyVectorcall_Function':
    /usr/include/python3.8/cpython/abstract.h:91:11: error: cast increases required alignment of target type [-Werror=cast-align]
       91 |     ptr = (vectorcallfunc*)(((char *)callable) + offset);
          |           ^

commit 451e6a7b971f16223927cc77a7b80a0022488e83
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 2 08:55:00 2019 +0100

    python: Include <Python.h> in one place.
    
    Previously to work around some problems in Python 2 header files we
    had to include <Python.h> before any other config file.
    
    For Python 3 which is all we really care about now this is no longer
    needed.  We can move the include from three files into the local
    "actions.h" file, bringing all the Python definitions and workarounds
    into a single place.

commit 2581d3c25e25c2ffc38e7c5d3c9945b55bc9b288
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Aug 30 12:14:23 2019 +0200

    build: disable deprecated GTK stuff
    
    We are not using deprecated GTK APIs/stuff, so make sure to not
    accidentally use them, and easily catch more deprecations in the future.

commit ff7d94faf8a7c746c07a9b56f5c677f7b3e8be94
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Aug 30 12:05:03 2019 +0200

    Copy GtkAttachOptions from GTK >= 3.4
    
    GtkAttachOptions is part of GtkTable, which is used only with GTK < 3.4;
    however, these enum values are used also in the GtkGrid version of the
    code, so they are needed also when disabling deprecated stuff.
    
    As easy solution to make the current code working without deprecated
    stuff of GTK, copy the GtkAttachOptions enum when using GtkGrid (i.e.
    with GTK >= 3.4).

commit 0731767a2053bccd194f0932471c5504f2e1d33e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 20 18:01:27 2019 +0100

    ocaml: Compile compat bytes.mli file.

commit 031016444a880dbd34966531d8d5510c0f3cb221
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 20 17:58:40 2019 +0100

    m4: ocaml: Remove unused definitions of OCAML_BYTES_COMPAT_*
    
    These were last used in commit 024efc0f2fb26de6444bc1831ab05de0458c6481
    and commit 8d09d716aa849e2ee539c73567756904c994ea2b (both in Jul 2017).

commit 4b9efadce2d18d0cb904ff497cc3597381728143
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 20 17:43:10 2019 +0100

    v2v: Fix missing backslash character in list of tests.
    
    Fixes commit c0d95dcde8e9b6f9acf165c57678d5eedcbfd1b6.

commit 2fbf9a3f94bdb02c70481d9dded455a97de46235
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 20 17:32:19 2019 +0100

    Update gnulib.
    
    Contains fix for a bug where it would always compile the
    replacement accept4 function.
    
    https://lists.gnu.org/archive/html/bug-gnulib/2019-08/msg00029.html
    
    Thanks: Eric Blake

commit 11923627cd41a8a616b027c765e8d7f882168c8f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 20 15:12:06 2019 +0100

    builder: templates: Add Debian 10 (buster).

commit 2cd905f093bfc4988f82e5558fafbc06cda2add7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 20 16:05:15 2019 +0100

    Update gnulib.

commit c873e04b261e079a87dcc689b7e413b5a48ca8c7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 20 15:29:38 2019 +0100

    Update docs/C_SOURCE_FILES.

commit 5d94be2583d557cfc7f8a8cfee7988abfa45a3f8
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Aug 13 13:52:46 2019 +0200

    generator: improve pod2text invocation
    
    - feed the content directly to stdin, avoid the need of read (and write)
      a temporary file
    - read all the output at once, without a tail-recursive function
    - apply trimming and first line discarding after closing the process

commit 81a01f20c38e87d5e2037a455453a73814947ff1
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Aug 13 13:25:22 2019 +0200

    generator: adjust variable names
    
    Rename some pod2text-related variables to better-fitting names.
    
    This is just a small refactoring.

commit da0137e828cc34807509e48dc0cbc0425fdede01
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Aug 13 13:19:17 2019 +0200

    generator: isolate memoized cache in own module
    
    Isolate the logic for the memoized disk cache in a small module, so it
    can be reused for other tools.
    
    Other than refactoring, there should be no behaviour changes.

commit 8402a7346583d902e5e0b4b909f00092511af37b
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Aug 12 16:25:52 2019 +0200

    v2v: -o rhv-upload: fix the phony ovirtsdk4 module
    
    - add a no-op Connection.close(), as it called explicitly in the
      close() callback of the nbdkit plugin (rhv-upload-plugin.py)
    - fix the types of the 'id' variables, which are strings

commit 0c261637f95c75cd571e4ba4ff5b12e8f0b37a4e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Aug 12 14:12:11 2019 +0200

    Fix small issues in documentations of APIs
    
    - fix names of arguments & optional arguments in C<..> markers
    - use https for URLs where possible
    - fix links to other guestfs APIs
    - use more C<..> markers for special tests, shell commands, values of
      arguments, and names of fields
    - link to command man pages where an explicit command is mentioned
    - fix few incorrect documentation bits

commit 52c7e787d20a243a295f82a75a2ff3fea3e07dcb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Aug 12 20:36:28 2019 +0100

    rust: Add README.md to EXTRA_DIST.
    
    Fixes previous commit.

commit 212f1a5f711c105e38df6f7fd6db5c61ecfcec85
Author: Hiroyuki Katsura <hiroyuki.katsura.0513@gmail.com>
Date:   Sun Aug 11 13:42:22 2019 +0900

    Rust bindings: Make it able to publish this crate
    
    I added
    - data required to publish this crate to `crates.io`.
    - README.md which contains the details of how to publish this crate.

commit dcfa382b27fc41eec26a2dbc95b027becdb3519d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Jul 19 13:41:24 2019 +0100

    v2v: Remove double space.
    
    Tiny whitespace-only fix.

commit 4f30db5ae422974e07daef66291bc9e91b17ac4f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Aug 8 13:12:29 2019 +0100

    Update gnulib to latest version.
    
    This fixes some test breakage I was experiencing with recent
    kernel/glibc.

commit 7692c31494f7b1d37e380eed9eb99c5952940dbf
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 25 14:52:42 2019 +0100

    v2v: -i vmx: Use scp -T option if available to unbreak scp (RHBZ#1733168).
    
    Tested using:
    
    cd v2v
    LIBGUESTFS_BACKEND=direct ../run virt-v2v -i vmx -it ssh "ssh://localhost/$PWD/test-v2v-i-vmx-1.vmx" -o null -v -x
    
    and manually examining the debug output.
    
    Thanks: Ming Xie, Jakub Jelen.

commit 3f7ff1b0689408695d21b4c50384fa24b47e5e8f
Author: Hiroyuki Katsura <hiroyuki.katsura.0513@gmail.com>
Date:   Mon Aug 5 15:59:32 2019 +0900

    Rust bindings: Implement callback handlers
    
    This patch includes:
    
    - Event callback handlers
    - Tests related to events(410-430)
    
    src/bin/event.rs and src/bin/event_leak.rs
    are the PoCs that Boxes related to callbacks are
    not leaked.

commit bb0cb3e730d57b834222dfddbd7d4b6d3c0fc8c6
Author: Hiroyuki Katsura <hiroyuki.katsura.0513@gmail.com>
Date:   Mon Aug 5 15:59:31 2019 +0900

    Rust bindings: Add Event structs, Clarify Handle lifetime
    
    Without clarifying handle's lifetime, it is unable
    to see how long the callbacks which the handle
    owns will live. Then, Rust compiler will infer
    that the callbacks have 'static lifetime. It is
    not convenient for users.

commit ab09bc25c76c451711306c02cc0c302ee79d0369
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:57:24 2019 +0100

    build: Update miscellaneous files.
    
    BUGS
    docs/C_SOURCE_FILES
    po/POTFILES
    po/POTFILES-ml
    
    These files are normally updated by ‘make dist’ but as we've not had a
    release in a while they had not been updated for some time.

commit b81c252e447d0206c475be6aa58694b74ce1fdd7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:55:22 2019 +0100

    p2v: Add .gitignore to EXTRA_DIST.
    
    Fixes commit 9fe175cd7648694ed03a163a214e7afb41ed06fa.

commit 34a0a724c01cc0ba96cbdb4163670610d3eb01a1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:54:11 2019 +0100

    v2v: Fix EXTRA_DIST.
    
    Fixes commit a27748d7000f417c16045967497208d275a09ce8.

commit 97e2be01b5ea575e2b06c1adfc956a6bb5ad5d48
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:53:14 2019 +0100

    common/mltools: Fix EXTRA_DIST.
    
    Fixes commit f79129b8dc92470e3a5597daf53c84038bd6859e.

commit 9a6d1628523e59d65cfe0ce6063bee90c7715a5a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:22:20 2019 +0100

    rust: Add missing file to EXTRA_DIST.

commit 94f20e2511ab89e84d86d7ee0207fccaaa0ad1f1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:18:17 2019 +0100

    rust: Remove rust/.gitignore from EXTRA_DIST.
    
    Fixes commit b484ca4da1dde457777a72ce26086de6a0cd9aba.

commit 45e66a567d8ab44aa4e353429dbdd653a46ac44c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:15:32 2019 +0100

    generator: Use ~copyrights shorthand for ~copyrights:copyrights

commit e6f5ec35cc2aae6498f7daae5b32adb7e3dd6aae
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:14:23 2019 +0100

    generator: copywrites -> copyrights

commit b484ca4da1dde457777a72ce26086de6a0cd9aba
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jul 29 12:12:14 2019 +0100

    rust: Move .gitignore to top level file and add extra files.

commit 3bbd00c83e9f5e093c457c6bdb76c06addb29795
Author: Hiroyuki_Katsura <hiroyuki.katsura.0513@gmail.com>
Date:   Mon Jul 29 12:10:42 2019 +0900

    Rust bindings: Add Rust bindings
    
    This patch includes Actions and their tests. Missing:
    
    - Events
    - Examples
    
    Rust bindings: Add create / close functions
    
    Rust bindings: Add 4 bindings tests
    
    Rust bindings: Add generator of structs
    
    Rust bindings: Add generator of structs for optional arguments
    
    Rust bindings: Add generator of function signatures
    
    Rust bindings: Complete actions
    
    Rust bindings: Fix memory management
    
    Rust bindings: Add bindtests
    
    Rust bindings: Add additional 4 bindings tests
    
    Rust bindings: Format test files
    
    Rust bindings: Incorporate bindings to build system

commit 6d251e3828ff94deac7589b5892df174430e01f9
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Jul 18 15:38:53 2019 +0200

    v2v: remove extra nbdkit bit from documentation (RHBZ#1723305)
    
    Since there is no more need to build nbdkit from sources, then there is
    no need to set $PATH with a custom build of nbdkit.
    
    Followup of commit 0704d8eb0bcc8139886eb4291f75a3ca49a91e58.

commit 730d2122c489db4f2c5e849156fbc4a64fac3d5e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 8 18:58:19 2019 +0200

    p2v: split appliance tests in own variable
    
    This way they can be properly shipped also when creating a distribution
    tarball ('make dist') from a build configured with --disable-appliance.

commit 99cec3c1e781fd23c920f4cdf1ef50bbe51e99d8
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 8 18:56:06 2019 +0200

    p2v: fix tests with srcdir!=builddir
    
    Point to files in the source directory using the right variables, so
    they are found also when the build directory is different than the
    source directory.

commit c5db961cf1e04b09669afda56863a9164fb71141
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 8 17:58:23 2019 +0200

    p2v: consider p2v-config.h as generated source
    
    While it is generated at configure time for dependency reasons, consider
    it a generated source nevertheless: after the first run, there will be
    dependency rules available, so automake will trigger the proper rule to
    generate it again using generate-p2v-config.pl.

commit 31e8ae38d946b05ccbc25be450d0a71096d5f38f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 8 17:57:41 2019 +0200

    p2v: clean also the test images
    
    Followup of commit ea4d9bd1574d32cfb9d1241f911fcab5a4ccc624, and
    commit f02c0cb552e0cf3a82a9447791db4c430426d569.

commit c22a8b68fe5729d3a8907b41eef287cd9f3a55c0
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 4 15:51:25 2019 +0100

    v2v: Allow Windows virtio ISO to be a block device as well as a regular file.
    
    Thanks: Steven Rosenberg

commit f30840e01b4e0fb8ffaa699b554bc0f7aa3335a7
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jul 3 12:04:03 2019 +0200

    p2v: stop including guestfs.h
    
    It is no more needed, guestfs-utils.h is enough these days.

commit 498f9404196c66ae2ee2d1b85adfc521d0ee027d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jul 2 17:31:09 2019 +0200

    contrib: move p2v files within p2v

commit fe96e2400194a58f236434ca61041e31af236ba6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jul 2 16:32:31 2019 +0200

    p2v: generate C about data authors from AUTHORS file
    
    Create a small Perl script to generate about-authors.c from the p2v
    AUTHORS file at build time, instead of generating in the generator
    at dist time.

commit e7a550c2d89cfcd54b500d8a251b5f106b6820c4
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jul 2 16:01:02 2019 +0200

    p2v: ship generate-p2v-config.pl
    
    Fixes commit 796ce74f319e819a03d10bf7106f20deabb1f014.

commit 1fe60aabdf9eea37611d7670134b777d510caad2
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jul 2 15:54:13 2019 +0200

    p2v: remove non-author credits
    
    Soon only the virt-p2v authors will be available, so remove all the
    other roles.  This leaves only in the virt-p2v about dialog, which is a
    mild regression compared to the current situation, although it is just
    for user information.

commit 7ad6afc222c7c6843d830d65d33635e0a77593ee
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jul 2 15:39:21 2019 +0200

    p2v: generate an AUTHORS file
    
    Create a simple AUTHORS file for virt-p2v, so it is easier to
    extract or use it later on.

commit f02c0cb552e0cf3a82a9447791db4c430426d569
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 1 16:35:24 2019 +0200

    p2v: tests: use a local blank-part disk image
    
    Instead of using the "global" blank-part test image, use a local version
    of it created with guestfish.

commit ea4d9bd1574d32cfb9d1241f911fcab5a4ccc624
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 1 16:06:00 2019 +0200

    p2v: tests: switch windows image with local fedora one
    
    Instead of using the "global" Windows test image, use a local Fedora
    image created with virt-builder.

commit 9fe175cd7648694ed03a163a214e7afb41ed06fa
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 1 18:35:03 2019 +0200

    p2v: split gitignore
    
    Move (or copy the general ones) all the p2v entries in the top-level
    .gitignore file to a new file specific for p2v.  This will make it
    easier to keep them when splitting p2v.

commit 35916b6030c06e88bcfaf27e754ecb2bf3234642
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 1 14:26:44 2019 +0200

    generator: remove p2v_config
    
    No more used now, as this configuration is generated within p2v itself
    at build time.

commit 180290ff747b646b0e1a49ede04565aefddb607f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 1 14:14:56 2019 +0200

    p2v: move kernel config POD docs to perl script
    
    Copy from generator/p2v_config.ml also the bits for POD documentation,
    adding them to generate-p2v-config.pl; this way,
    virt-p2v-kernel-config.pod can be generated at build time directly,
    instead of statically shipped as generator output.

commit 796ce74f319e819a03d10bf7106f20deabb1f014
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jul 1 13:08:27 2019 +0200

    p2v: move kernel config to perl script
    
    Instead of generating the p2v kernel config using the OCaml generator,
    create a Perl script to do this job, mostly at build time.  This is done
    to rely less on the generator for p2v, and because the generation of
    these sources is quick enough that it can be done at build time (instead
    of shipping the generated sources in dist tarballs).
    
    The generate-p2v-config.pl mimics what generator/p2v_config.ml --
    namings, and general structure are kept close to that for comparison.
    
    The two C sources are created at build time by the script; however, the
    p2v-config.h header is generated at configure time: this is done because
    p2v-config.h is included by p2v.h (another header), which in turn is
    included by all the p2v C sources -- automake is not able to properly
    resolve the dependency, and thus it would not be generated properly.

commit c4638739d684609471cfa94c08e7b90c70ea3e83
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri May 31 13:07:25 2019 +0100

    python: PYTHON_LIBS is not set in Python 3.8 (RHBZ#1705482).
    
    Python 3.8 no longer links C extensions to -lpython, instead relying
    on the fact that the python binary itself already contains those
    symbols.  This means $PYTHON_LIBS is empty and so the Python bindings
    are not built.
    
    Use a different test to see if the python module is available.

commit ca8f8afcc5b5b77be69f5b353ed8aef3fae1883d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu May 30 09:45:40 2019 +0200

    Revert "daemon: implement OptString for OCaml APIs"
    
    This causes the build to fail, as Val_optstring is still not used by any
    generated C glue function.
    
    This reverts commit 8e51e9078f0204008b262e14cbde3123b545ec37.

commit 8e51e9078f0204008b262e14cbde3123b545ec37
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon May 27 19:03:12 2019 +0200

    daemon: implement OptString for OCaml APIs
    
    It is already considered as string option, so create an option string
    value in the C glue for OptString parameters.

commit 8eb696f827b473c835faac0233859b8047ff1433
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon May 27 13:12:07 2019 +0200

    appliance: remove custom Shadow augeas lens
    
    Now that augeas 1.2.0 is required, assume the Shadow lens is available
    there, and thus drop the local copy.

commit 31d72dc463d468329135023df73690a203e3ff9f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon May 27 12:58:27 2019 +0200

    build: raise augeas requirement to 1.2.0
    
    It is widely available also on older distributions.

commit 2bb6be333e6347d3f18856627d8ad8e50b8e5427
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 18 10:53:39 2019 +0100

    appliance: Remove /etc/dhcp/dhclient-enter-hooks.d/resolved.
    
    Workaround for Ubuntu which uses this script to try to start a systemd
    service.  That won't work because systemd is not used inside the
    appliance.  See:
    
    https://bugs.launchpad.net/ubuntu/+source/supermin/+bug/1824236
    
    Thanks: Ioanna Alifieraki

commit 0cafcc0e88701f9b4be696792e1b105729d24c7d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue May 28 10:17:46 2019 +0200

    build: build C sources using OCaml API with CAML_NAME_SPACE
    
    This way no non-namespaced OCaml C symbols are used, reducing the risk
    of clashes with other code.
    
    The only exception is ocaml-augeas, which does not build with
    CAML_NAME_SPACE; it will be fixed upstream, and it affects only
    ocaml-augeas itself.

commit c2918b8b74506523a723b804d452816a059c5e50
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Mon May 27 13:30:05 2019 +0200

    Use proper label for nbdkit sockets
    
    While svirt_t can be used for sockets it does not always guarantee that it will
    be accessible from a virtual machine.  The VM might be running under svirt_tcg_t
    context which will need a svirt_tcg_t label on the socket in order to access it.
    
    There is, however, another label, svirt_socket_t, which is accessible from
    virt_domain:
    
      # sesearch -A -s svirt_t -c unix_stream_socket -p connectto
      ...
      allow virt_domain svirt_socket_t:unix_stream_socket { ... connectto ... };
      ...
    
    And virt_domain is a type attribute of both svirt_t and svirt_tcg_t:
    
      # seinfo -x -a virt_domain
      Type Attributes: 1
         attribute virt_domain;
              svirt_t
              svirt_tcg_t
    
    Resolves: https://bugzilla.redhat.com/1698437
    
    Signed-off-by: Martin Kletzander <mkletzan@redhat.com>

commit 2ad84a080d876c40f378844446e6065e26a1ae08
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri May 24 14:46:42 2019 +0200

    tests: import importlib.util directly
    
    It seems that on older Python 3 versions importlib.util is not imported
    automatically when importlib is imported; as solution, import
    importlib.util directly (as it is what is used, anyway).
    
    Fixes commit f79129b8dc92470e3a5597daf53c84038bd6859e.

commit c9543de73d264943fef88f5e53403bbe32917b01
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri May 24 12:32:29 2019 +0200

    launch: libvirt: fix custom hypervisor check
    
    Previously, is_custom_hv() used to compare the QEMU executable found
    during configure to the hypervisor set to check whether it is a custom
    one; however, the QEMU found at configure time can be different than
    what libvirt was configured with.
    
    This fixes the libvirt backend when libguestfs is configured with a
    different QEMU, that now will be specified as emulator overriding the
    libvirt one.

commit 797925cc3c25d85a3234bdfb8b3f590d70fec60d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri May 24 12:29:34 2019 +0200

    launch: libvirt: get default QEMU from domcapabilities
    
    Parse the libvirt domain capabilities for the default emulator
    capabilities, and get the path to the default QEMU executable.

commit 8d453fe9cc560e1e81b0d04c8cca3dbb70702ae8
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 30 18:44:36 2018 +0200

    build: stop looking for ocaml-libvirt
    
    We ship our own copy of it, so we do not need the external version.
    (Also, the latest upstream version of ocaml-libvirt was already not
    usable to build the test harness of v2v.)

commit 5c4bd181b6e83ec8796e8aaa0f339ccc23222009
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 30 18:43:53 2018 +0200

    v2v: test-harness: stop using the external ocaml-libvirt
    
    Use the embedded copy.

commit 3e89a1d44fc92f8a6c260489c7162b5fb467e5fe
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 30 18:10:16 2018 +0200

    v2v: -o libvirt: switch away from virsh
    
    Now that we have a proper libvirt connection object, use it directly to
    refresh the storage pool, and define the final guest.  This avoids
    spawning a new virsh process twice, with no possibility to even share a
    possible authentication required.

commit e8f9ea2f67e582290dbaa1e1bb6ef1ba13f21c34
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 30 18:03:45 2018 +0200

    v2v: -o libvirt: use a Lazy for the connection
    
    Store the Libvirt.Connect.t object as instance variable, so it can be
    used also outside of prepare_targets.  Use a private method to access
    it, so there is no need to directly use the Lazy object.

commit a871f6c251f3afd728828f82d33d92e637299721
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 30 16:01:30 2018 +0200

    v2v: switch to ocaml-libvirt
    
    Currently virt-v2v has few custom C-based functions for libvirt
    operations, which are limited in what they do, and there is a lot of
    duplicated code.
    
    Instead, switch to ocaml-libvirt for all the libvirt interaction
    currently done by the Libvirt_utils module.  This has few advantages:
    - each input & output module now opens a libvirt connection only once,
      only when needed
    - no need to pass URIs and passwords around, if not needed
    - a wider range of libvirt APIs can now be used, with no need to create
      bindings manually
    
    The hierarchy of input_libvirt* classes is changed to take a Lazy object
    with the libvirt connection, accessing it through a "proctected" method:
    this way, the connection is opened only at the first access.
    Also, the Libvirt_utils module now is just helpers around the Libvirt
    module, to centralize error handling, and few common operations.

commit 99493eeddd76b720ea8de44d09225065702d825e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 30 11:43:32 2018 +0200

    common: Bundle the libvirt-ocaml library for use by virt-v2v
    
    Add a copy of the libvirt-ocaml library, currently available at:
      https://libvirt.org/git/?p=libvirt-ocaml.git;a=summary
    This is a snapshot at commit d3ed8dcf1b0a6a8a855ceecbe0bb97f21e6665e3,
    which has all the features we need (and that builds fine).
    It is expected to stay synchronized with upstream, until there is a new
    upstream release, and it will be widespread enough.

commit c0d95dcde8e9b6f9acf165c57678d5eedcbfd1b6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Aug 28 09:05:02 2018 +0200

    v2v: require libvirt
    
    While there are input modes that do not use libvirt, making libvirt
    mandatory for virt-v2v slightly simplifies the code now, and allow for
    further improvements/integration with libvirt later on.

commit 71b021c99dc1784468d18ad6e1626cd5c2057a5d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu May 16 11:07:25 2019 +0200

    v2v: -o json: add a simple test for it
    
    Followup of commit f190e08d85556dac293ef15bfeee38e54471570f.

commit 052d2be4834fe7f71a2bd40648822f5735955ce2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri May 10 16:04:18 2019 +0100

    builder: templates: Add RHEL 8.0 (x86-64 only for now).

commit 652e8de397fa9bed582229a80519bb7729e572b5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri May 10 15:14:32 2019 +0100

    builder: templates: Remove RHEL 8 Alpha temporary hacks.

commit 05decc697681fe81d9987e5b94cffda5543626a8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sat May 4 20:45:12 2019 +0100

    builder: Fedora 30 templates.

commit 8bbf8e89008a03dd3a5e0738fcece430a5e8651e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu May 2 18:34:18 2019 +0200

    test-data: switch away from deprecated APIs
    
    Adapt make-fedora-img.pl to not use deprecated APIs anymore:
    - set_e2uuid -> set_uuid
    - txz_in -> tar_in + compress:xz
    
    This causes no changes in the generated test images.

commit 9f39e9be248d00f4454ef3f56dea525f7a9c397e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Apr 24 12:49:48 2019 +0200

    python: silence usage of add_cdrom in test
    
    One test explicitly tests add_cdrom, so silence the deprecation warning
    only for that function.

commit 19ce506ccbe647c2c8360fd5d06a76a9eaf4cbfa
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Apr 24 12:49:28 2019 +0200

    perl: silence usage of add_cdrom in test
    
    One test explicitly tests add_cdrom, so silence the deprecation warning
    only for that function.

commit b6a7157751570ce6a5af53dabecf91ff15e51731
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Apr 24 11:59:36 2019 +0200

    python: modernize inspect_vm example
    
    Since we already assume Python >= 2.7, modernize this example to make it
    work also on Python 3:
    - use print() as function
    - sort the mount points using a key for sorted(), instead of a
      comparison function
    - remove extra newline escape
    - reident two lines according to the PEP 8 style

commit 96aed2fc9eaeb672c678b185818efdf7bfb9ac00
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 23 18:02:33 2019 +0200

    perl: show warnings for deprecated functions
    
    Emit a deprecation warning when a deprecated function is used, so users
    have a way to know that they are using one.

commit a7666c1f1c2f80488fcd893eb4f181ed7133ebb6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 23 17:41:43 2019 +0200

    ruby: show warnings for deprecated functions
    
    Emit a warning when a deprecated function is used, so users have a way
    to know that they are using one.

commit cf865444a8f2f2125c27ea8b1510b3ba7e9a1d95
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 23 14:51:49 2019 +0200

    python: show warnings for deprecated functions
    
    Emit a DeprecationWarning warning when a deprecated function is used, so
    users have a way to know that they are using one.

commit d8d8c856a198dcbc6f6aab22038b72fd37f27a7a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 23 12:58:05 2019 +0200

    lib: introduce GUESTFS_NO_DEPRECATED
    
    Add a simple way to do not even provide prototypes of deprecated
    functions in the C library: this way, users (like our tools) can build
    against the library making sure to not use any deprecated function, not
    even when compiler deprecation warnings are disabled.
    
    Add it to the majority of our tools/internal libraries, and make sure
    that it is not defined when building the API bridges of our bindings.

commit 9d1fc91cca2da47ef116eeaed997329c10988e6a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 23 12:54:46 2019 +0200

    build: stop using GUESTFS_WARN_DEPRECATED
    
    This is no more used now, as compiler deprecation warnings are triggered
    by default.

commit 84d0f5aa9f44a14a07a0128b059b7291a85a0e8d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Apr 18 17:26:25 2019 +0200

    lib: enable deprecation warnings by default
    
    Right now, deprecated functions of the library do not trigger any
    compiler deprecation warning by default; they do that only if
    GUESTFS_WARN_DEPRECATED=1 is defined.  However, this is not something
    that seems to be done often -- at least none of the projects using the
    libguestfs C API does that.
    
    Hence, do a small behaviour change to change this on the other way
    round: now deprecated functions trigger compiler deprecation warnings by
    default, using GUESTFS_NO_WARN_DEPRECATED to disable this (and revert
    to the previous behaviour).  Even though deprecated functions will not
    be removed, we really want users to migrate away from them, as they were
    deprecated for good reasons.
    
    Define GUESTFS_NO_WARN_DEPRECATED where needed:
    - in all the bindings, as they bind all the functions including the
      deprecated ones
    - in the guestfish actions, as it exposes almost all the APIs
    - in the C API test, as it runs the automated tests of all the APIs that
      have them
    - for two tests that explicitly test deprecated functions

commit 7a54596aafdce30702dd033b646b996f796044f3
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 23 17:24:53 2019 +0200

    tests: switch last-errno away from deprecated APIs
    
    This test only calls stat to check the failure on missing file, so
    switch to statns to get the same behaviour with a non-deprecated API.

commit 05e559549dab75f17e147f4a4eafbac868a7aa5d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Apr 15 17:24:42 2019 +0200

    v2v: -o rhv-upload: check whether the cluster exists
    
    In the precheck script, check that the target cluster actually exists.
    This will avoid errors when creating the VM after the data copying.

commit 4cfc071a845c8421f269d1a5a263848d3aeab072
Author: Denis Plotnikov <dplotnikov@virtuozzo.com>
Date:   Mon Apr 15 14:06:29 2019 +0300

    daemon: drop error message check in do_part_expand_gpt
    
    part-expand-gpt takes extreme cautions and doesn't proceed to writing
    to the disk if the preliminary dry run of sgdisk has generated any
    warnings on stdout.
    
    This blocks the use of part-expand-gpt on disk shrink (with disk
    resize being the main usecase for part-expand-gpt), because sgdisk dry
    run produces a warning in that case.
    
    So remove the excessive safety check, and leave it up to the caller.
    
    Signed-off-by: Denis Plotnikov <dplotnikov@virtuozzo.com>
    Reviewed-by: Roman Kagan <rkagan@virtuozzo.com>

commit 3b2d83d470c487aa4986302c98c3917752a1e7f6
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Apr 4 10:01:24 2019 +0100

    v2v: Move have_selinux to utils.
    
    This is not quite a neutral refactoring, because it means we now run
    the getenforce command every time virt-v2v starts up.  However it's a
    trivial command that reads a single /sys file and it can't fail even
    if the command is missing or on platforms that know nothing about
    SELinux.

commit 506796829792fdf5716fbb1a84729227049087e5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Apr 15 11:39:54 2019 +0100

    common/mlstdutils: Add String.unix2dos function.
    
    Simple string line ending replacement convenience function.

commit 1629ec6a5639cf5e226e80bcee749ae8851b1fae
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Apr 12 17:28:12 2019 +0200

    v2v: warn when the guest has direct network interfaces (RHBZ#1518539)
    
    virt-v2v obviously cannot convert this kind of devices, since they are
    specific to the host of the hypervisor.  Thus, emit a warning about the
    presence of direct network interfaces, so at least this can be noticed
    when converting a guest.

commit 0704d8eb0bcc8139886eb4291f75a3ca49a91e58
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Apr 12 16:19:43 2019 +0200

    v2v: update documentation on nbdkit (RHBZ#1605242)
    
    nbdkit >= 1.6 ships a VDDK plugin always built, so recommend that
    version instead of recommending to build nbdkit from sources.

commit fb7983f999004c1f8100776819ea65b21990956d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Apr 8 18:23:27 2019 +0200

    v2v: start reading the new libvirt firmware autoselect
    
    Starting with 5.2.0, libvirt has a way to select automatically the
    firmware for a guest using an attribute of the <os> tag.  Hence, use
    this information (when available, of course) to flag the firmware used
    by the guest.

commit 37209004380a85685d05dbe2936454a808ba4c54
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Apr 8 13:34:11 2019 +0200

    inspect: get icon of OpenMandriva guests
    
    Followup of commit a4ef6716b4119e476949c55f1bc12d81e735f0c0.

commit c4205809bc14c32ea63b3bcde91574bbcb0fcacd
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 2 14:28:23 2019 +0200

    inspect: correct osinfo ID for ALT Linux >= 8
    
    ALT Linux 8.x has different IDs in osinfo-db, so return the proper IDs
    for the newest stable series.

commit 764ee8c74edb47d5deae0e2d479619a21158a8ca
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Feb 19 08:56:52 2019 +0100

    inspect: return osinfo short IDs for rolling distros
    
    Return the right osinfo short IDs for some rolling Linux distributions,
    such as Arch Linux, Gentoo, and Void Linux.  Their IDs were recently
    added to osinfo-db.

commit aee4a96ce2bc683fe5bea96de89c2119622df186
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 2 10:49:27 2019 +0200

    inspect: fully detect Arch Linux from os-release
    
    Consider Arch Linux as rolling distribution, so it is recognized using
    /etc/os-release.
    
    The end result does not change, although this makes Arch Linux inspected
    using os-release only, instead of getting inspection details mixed from
    both os-release and lsb-release.

commit c0155f58236eec159fade7e40f8f0465dd4e0b1f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Feb 19 08:35:06 2019 +0100

    inspect: detect Gentoo from os-release
    
    Add "gentoo" as recognized ID in /etc/os-release, and consider it as
    rolling distribution (so without VERSION_ID in os-release).
    
    This avoids using a not-useful version read from /etc/gentoo-release,
    e.g. "Gentoo Base System release 2.6".

commit a6db759a727e4691f560ae58b53b099fba78a5bd
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Apr 2 12:46:11 2019 +0200

    inspect: factorize list of rolling distros
    
    Use a static list of rolling distros, so it is easier to handle them
    differently; use this list for handling the lack of VERSION_ID in
    os-release files.
    
    This is just refactoring, no behaviour changes.

commit 7772cfc77186dfba076b1cf471866222df3c2f0e
Author: Hiroyuki Katsura <hiroyuki.katsura.0513@gmail.com>
Date:   Wed Apr 3 15:55:52 2019 +0000

    Add missing python bindings tests
    
    Signed-off-by: Hiroyuki Katsura <hiroyuki.katsura.0513@gmail.com>

commit a4ef6716b4119e476949c55f1bc12d81e735f0c0
Author: Bernhard Rosenkränzer <bero@lindev.ch>
Date:   Tue Apr 2 08:31:46 2019 +0100

    Add OpenMandriva support as guest and host (RHBZ#1694268).

commit f190e08d85556dac293ef15bfeee38e54471570f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Feb 25 13:14:43 2019 +0100

    v2v: add -o json output mode
    
    Add a new output mode to virt-v2v: similar to -o local, the written
    metadata is a JSON file with the majority of the data that virt-v2v
    knowns about (or collects) during the conversion.
    
    This is meant to be used only when no existing output mode is usable,
    and a guest needs to be converted to run on KVM anyway.  The user of
    this mode is supposed to use all the data in the JSON, as they contain
    important details on how even run the guest (e.g. w.r.t. firmware,
    drivers of disks/NICs, etc).

commit a27748d7000f417c16045967497208d275a09ce8
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Feb 19 14:54:31 2019 +0100

    v2v: add Var_expander
    
    This helper module provides a facility to replace %{FOO}-like variables
    in text strings with user-provided content.

commit 0ed2e5c14a302d15fd3b75ee2c1cb808a06cb746
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Feb 19 10:50:01 2019 +0100

    common/mlpcre: add offset flag for PCRE.matches
    
    This way it is possible to change where the matching start, instead of
    always assuming it is the beginning.

commit 1086599ad8eeb8be299d5ffbcb2efb1024ff9ab8
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Apr 1 17:01:44 2019 +0200

    OCaml tools: fix 3999 -> 3339 typo
    
    RFC 3339 is the actual RFC for date/time strings.
    Typo found by Martin 'eagle eyes' Kletzander.
    
    Fixes commit f79129b8dc92470e3a5597daf53c84038bd6859e.

commit e047cc4da8c69f20b97965268b2b951ebbed0232
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Apr 1 16:36:15 2019 +0100

    lib: qemu: rbd: Properly escape IPv6 addresses.
    
    Each ':' character in the address must be escaped from qemu.
    
    Thanks: Jonathan Wright

commit f79129b8dc92470e3a5597daf53c84038bd6859e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Mar 22 16:24:25 2019 +0100

    OCaml tools: output messages into JSON for machine readable
    
    When the machine readable mode is enabled, print all the messages
    (progress, info, warning, and errors) also as JSON in the machine
    readable stream: this way, users can easily parse the status of the
    OCaml tool, and report that back.
    
    The formatting of the current date time into the RFC 3999 format is done
    in C, because of the lack of OCaml APIs for this.

commit 70514dfaf1e45b5ad34f20f3297af9782099cf80
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Mar 22 12:59:11 2019 +0100

    common/mltools: allow fd for machine readable output
    
    Allow to specify a file descriptor for the machine readable output.
    
    Use the same assumption as done in v2v, i.e. that Unix.file_descr is
    simply the int file descriptor.

commit abf1607f46ddc3d829a3688b9499a9bcd2319d19
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Mar 22 11:36:41 2019 +0100

    common/mltools: make sure machine readable output is flushed
    
    Enhance the helper printf function for machine readable output to always
    flush after each string: this way, readers of the machine readable
    stream can get the output as soon as it is outputted.

commit 8b06ea0ebc9534e4fda9cc9a33c98f939401af79
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Mar 21 17:16:37 2019 +0100

    common/mltools: move the code for machine readable up
    
    Move the code for handling machine readable up in the file, so it can be
    used by other functions.
    
    Only code motion, no behaviour changes.

commit 200bec7cfd198258fe016b1d1654a7375f933808
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Thu Feb 14 14:38:21 2019 +0100

    v2v: windows: save log file from rhev-apt installer
    
    Store log from MSI installer. Log file will be located in firstboot
    scripts-done directory with name rhev-apt.log. The path has to be
    double-quoted to handle spaces in path name properly.
    
    Hopefully this can help resolve RHBZ#1584678 someday.
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit f4bda5571a36da42bdc800c10f2c85cf20bf5c85
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Fri Feb 8 11:44:41 2019 +0100

    v2v: fix path to source when copying files from guest tools directory
    
    The debug message was slightly changed too to better match the similar
    message for ISO case. It refers to the root directory instead of the
    specific subdirectory inside guest tools.
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit cbf887ed90e0ecb5c52fd2c663acb5b9b2e3e14a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Mar 26 17:37:56 2019 +0100

    v2v: change the reporting of RHV Tools messages/warnings/error
    
    The RHV Tools ISO is provided as Red Hat only product, and thus not
    available for all the virt-v2v users.  Hence, change the way we report
    the status of the installation of the qemu guest agent from the RHV
    Tools ISO:
    - do not warn if virt-v2v does not know how to install the package for
      the current guest
    - do not warn if the ISO does not contain packages for the current guest
    - on successful installations, show an info message
    
    Related: RHBZ#1691659

commit 78f08a15faca826d4f3320834eb06309ccf3ec94
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Mar 26 17:10:38 2019 +0100

    v2v: try to pick the right arch for qemu-ga pkgs
    
    Right now the code copies, and then tries to install, all the files
    found for the directory of a distro.  This does not take into account
    differences in the architectures of the packages available, so a x86_64
    package must be installed only on x86_64 guests.
    
    As solution, filter the packages using the typical suffix used by
    packages (so architecture + file extension), to pick only packages
    compatible with the current guest.

commit 13ef175a7b3a010175d57d60b2c4c51bc0efb171
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Mar 26 17:02:02 2019 +0100

    v2v: linux: add helper functions for pkg arch and extension
    
    Add helper functions to get the typical extension of binary packages
    for a package manager, and the string for an architecture.

commit ba7fa03923caad5d0307eff83a91ff0f7606d054
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sat Mar 23 18:11:21 2019 +0000

    lib: direct: Set QEMU_AUDIO_DRV=none when testing schema.
    
    Schema parsing was failing with errors such as:
    
    libguestfs: QMP parse error: '[' or '{' expected near end of file (ignored)
    
    This happened because the QMP command was actually completely failing
    and never printing a result at all.  This happens because the qemu
    audio driver can't be set up without a console.  We can suppress this
    by setting the environment variable QEMU_AUDIO_DRV=none, which is the
    same thing that libvirt does, and also the same thing that we are
    already doing when launching the real appliance subprocess.
    
    See also: https://bugzilla.redhat.com/show_bug.cgi?id=1692047

commit c0a78ea8442d0b3f58a67dbcaf30b5be7b188665
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Mar 26 14:22:38 2019 +0100

    v2v: test-v2v-conversion-of.sh: basic check for libvirt XML
    
    Use virt-xml-validate to check that the libvirt XML is actually valid,
    at least regarding its schema.

commit 831f3c06b9e3f99faf9a08d40450922124767157
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Mar 26 14:12:53 2019 +0100

    v2v: test-v2v-conversion-of.sh: update the guest
    
    Make sure the create guest is always up-to-date: this way it is possible
    to test the conversion even taking into account the latest upgrades
    available.

commit 4e108ae22559d3d5b1ae9474c1927a9d0911262f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Mar 26 14:11:57 2019 +0100

    v2v: tests: add debian-9 and fedora-29 for test-v2v-conversion-of
    
    Test the newer versions of these distros.

commit 464de98ff6cddc63fe084189777d8df782432709
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Mar 26 10:18:22 2019 +0000

    inspector: Fix tests to match new Windows 7 osinfo information.
    
    Fixes commit 3ed32996ddf863f2c30a92c554029aa01d3689bc.

commit 1a4fd822ef057764f809cddce642b3223756629e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Feb 27 17:51:59 2019 +0100

    v2v: linux: do not uninstall open-vm-tools w/ ubuntu-server
    
    ubuntu-server depends on open-vm-tools on Ubuntu, so if v2v tries to
    uninstall open-vm-tools then dpkg will (rightfully) fail with a
    dependency issue.
    
    Since open-vm-tools is harmless after the conversion anyway (it will
    not even run), then do not attempt to uninstall it if ubuntu-server is
    installed too.
    
    Followup of commit 2bebacf8bf611f0f80a66915f78653ce30b38129.
    
    Thanks to: Ming Xie.

commit 3ed32996ddf863f2c30a92c554029aa01d3689bc
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Feb 19 09:28:53 2019 +0100

    inspect: return osinfo short IDs for recent Windows versions
    
    Return the right osinfo short IDs for the majority of Windows versions
    since Windows XP.

commit bb11507fff8c65275afc0f29806d3b3de387c7f9
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Feb 28 11:00:27 2019 +0100

    v2v: -o libvirt: write win2k19 osinfo ID
    
    When writing the libosinfo metadata in the libvirt XML, use the newly
    added (in osinfo-db) ID for Windows Server 2019; sadly, this version of
    Windows has the same version as Windows Server 2016, so distinguish it
    by looking at its product name.

commit c648052690a4a07a59c741308e0e8497d6f18057
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Feb 11 19:28:00 2019 +0100

    inspect: fix icon of RHEL
    
    Use a better icon for RHEL guests, still provided by redhat-logos (or
    equivalent in downstream distributions), and which fits a better
    definition of logo for the distribution.
    
    Thanks to Ray Strode for the hints.

commit 612f170e6062f2ff74643b6096b7e0765b52cfbd
Author: Mike Latimer <mlatimer@suse.com>
Date:   Mon Mar 25 14:38:00 2019 +0000

    v2v: Fix default graphics driver for SUSE guests.
    
    See discussion in this upstream thread:
    https://www.redhat.com/archives/libguestfs/2019-February/thread.html#00047
    
    Thanks: Mike Latimer, Pino Toscano.

commit 363b5e0b4ecebe861a9aafe8bce5a8390b54571c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Mar 20 12:32:02 2019 +0100

    v2v: linux: improve arch detection from modules (RHBZ#1690574)
    
    Try to look for a well known kernel module (so far only virtio, or kvm)
    to use for detecting the architecture of a kernel.  This way, we can
    avoid picking 3rd party modules that cause troubles.

commit 0a093035d485b3c2e66d56541ebe159f1b632ba6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Mar 20 16:55:05 2019 +0100

    v2v: linux: canonicalize module path for arch detection (RHBZ#1690574)
    
    Kernel modules can be also symlinks to files available outside the
    "canonical" module directory; the "file" API, used by the
    "file-architecture" API, return the actual type of a file (so symlinks,
    block devices, etc), and thus "file-architecture" fails on symlinks.
    
    To prevent this situation, canonicalize the path of the module picked
    for architecture detection: this way, "file-architecture" will act on a
    real file.

commit 89b5dabf8d1797e3875d949b6e2a903a5703be5c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Feb 11 16:43:53 2019 +0100

    tests: skip test-relabel.pl when selinuxrelabel is not available
    
    test-relabel.pl performs a full SELinux relabelling of the phony guest,
    and the selinux_relabel API does not work if the "selinuxrelabel"
    feature is not available.

commit c8a26adf1d111b777306d8583560be6d6e50353a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Feb 7 19:00:13 2019 +0100

    inspect: get icon of Gentoo guests
    
    The icon is installed by x11-themes/gentoo-artwork, which is not
    installed by default (and most probably only on "desktop"
    installations), although it's the best hit so far...

commit f41a75cea67dc3f2e18700303fac5d7078b3291a
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Feb 6 15:19:53 2019 +0100

    inspect: revamp icon extraction for *SUSE guests
    
    Newer versions do not have the 24px distributor.png icon; OTOH they have
    the 48px version, so look for that one before the 24px one.
    
    Also, bump the size limit to 10K, as newer versions of the icon are
    bigger than 3K.

commit 6ff95acc72b02c4df0520e8cae7190447e4b2da5
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Feb 6 15:15:08 2019 +0100

    inspect: factor out find_png helper function
    
    Isolate the code for looking for a PNG file among a specified list from
    the icon_ubuntu implementation, and switch that function to it.
    
    This is just code refactoring, with no behaviour changes.

commit 032b8d4c72ab233922482871403c2d9fe2f4a75b
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Feb 6 15:05:51 2019 +0100

    inspect: bump size limit for Mageia guests
    
    Newer versions of the logo in Cauldron are almost 3K, so bump the limit
    to 10K for now.

commit 5eafd1273132b79018ddb72426b128f0fb8a39f4
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jan 29 15:07:18 2019 +0100

    v2v: linux: use NEVR for querying RPM packages (RHBZ#1669395)
    
    Use NEVR when querying RPM for the list of files of a package, instead
    of ENVR.  Also, use the epoch only when non-zero, and version of RPM
    supports it.
    
    The approach is basically copied from what supermin does in its RPM
    package handler.

commit b26bd778b58b78eb59503413fd5b41ac23725690
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jan 21 15:59:45 2019 +0000

    build: Reduce -Wformat-overflow=2 to =1.
    
    GCC 9 gives this error:
    
    qemuopts.c: In function 'qemuopts_to_config_channel':
    qemuopts.c:987:29: error: '%.*s' directive output between 0 and 2147483647 bytes may exceed minimum required size of 4095 [-Werror=format-overflow=]
      987 |             fprintf (fp, "  %.*s = ", (int) k, values[j]);
          |                             ^~~~
    qemuopts.c:987:26: note: assuming directive output of 1 byte
      987 |             fprintf (fp, "  %.*s = ", (int) k, values[j]);
          |                          ^~~~~~~~~~~
    
    See discussion at the following GCC bug:
    
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=88993

commit fbaa5f003a28c3032cef90616f19d33e11947b81
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Jan 23 14:56:27 2019 +0100

    build: correctly report whether vala is enabled
    
    Use the right autoconf variable.
    
    Followup of commit 4f96e823d31109a4458be700a1270566e05eae3e.

commit 4f96e823d31109a4458be700a1270566e05eae3e
Author: Corentin Noël <corentin.noel@collabora.com>
Date:   Tue Jan 22 13:12:57 2019 +0100

    gobject: Add Vala binding support
    
    RWMJ: Add optional dependency on vala to the docs.

commit 0ee02e0117527b86a31b2a88a14994ce7f15571f
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jan 22 13:04:59 2019 +0100

    python: change types for RBufferOut/FBuffer with Python 3 (RHBZ#1661871)
    
    So far RBufferOut return values, and FBuffer struct fields are 'str' on
    all the versions of Python.  Python 3 distinguishes between 'str'
    (unicode strings), and 'bytes', with 'str' no more able to hold
    arbitrary data.
    
    For this reason, switch the return value of RBufferOut functions, and
    FBuffer struct fields to bytes on Python 3: while this is a potentially
    incompatibile change, this is the only way to handle safely sequences
    of arbitrary bytes.

commit 85235aec837716f1ddb2926b9a59a02543195500
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jan 22 12:43:11 2019 +0100

    python: fix call of Python handlers of events
    
    Make sure to reference the arguments, to make sure they are kept alive
    during the function call; this is visible when setting an event handler
    for the CLOSE event, and testing it with Python 3.
    
    This does not seem to create a memory leak e.g. with Python 2.
    
    Also, switch away from the quasi-internal PyEval_CallObject to the
    public PyObject_CallObject, which takes care of doing safety checks.

commit a8006afaf545d5188f592d8583f9dc373ded7671
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 18 13:22:26 2019 +0100

    build: integrate ocaml-link.sh with automake silent rules
    
    In case either the silent rules are disabled, or V=1 is set, print the
    full command line that is executed.

commit ea7c13fed7922b233db8382b1348dfb436e3ba85
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jan 17 12:03:07 2019 +0000

    valgrind: Add workaround for slow loading of debuginfo by valgrind.
    
    See nbdkit commit
    https://github.com/libguestfs/nbdkit/commit/bd32d899edb4c592a2df0ce4b26a2cf8396eba1d
    and https://bugzilla.redhat.com/show_bug.cgi?id=1662656

commit 1de72f8f00600bcaa76742dcfd366fb702eef3c2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 15 14:39:41 2019 +0000

    Version 1.40.0.

commit 6151d8694d9db0d709a9ad807a5ca6a098d6502c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 16 11:49:45 2019 +0000

    po: Drop ca and pt_BR from linguas.
    
    Commit 4252a490bb117940c1d38c838345ed110457386e dropped the PO files
    for ca (Catalan) and pt_BR (Brazilian Portuguese).  However it did not
    drop these languages from the linguas line in the Makefile resulting
    in a build failure.

commit d1ff62f3e08fd8af5e01cff8045f0a01a5aa0597
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jan 16 11:39:33 2019 +0000

    configure: Move remaining detection of p2v features to m4/guestfs-v2v.m4.
    
    ./configure output now contains a distinct section for v2v and p2v:
    
      --- Checking the virt-v2v and virt-p2v dependencies ---
      checking for the nbdkit python plugin name... python3
      checking for --with-gtk option... 2
      checking for GTK... yes
      checking for DBUS... yes
      checking if we can build virt-p2v... yes, with Gtk 2
    
    Thanks: Pino Toscano.

commit 61b86bac2e2071c1760b46d13195b4b8e24abd7d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 8 12:11:20 2019 +0000

    v2v: -o rhv-upload: Allow configure to set the nbdkit Python version.
    
    No functional change, but it does allow downstream distributions to
    adjust the nbdkit Python plugin used by virt-v2v -o rhv-upload mode:
    
    ./configure --with-virt-v2v-nbdkit-python-plugin=...

commit 090f5589e7b838375bc5333fe0f7972630001348
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 15 14:43:28 2019 +0000

    po-docs: uk: Fix inconsistent use of \n in translation.
    
    Invalid po file ./uk.po:
    ./uk.po:90428: 'msgid' and 'msgstr' entries do not both begin with '\n'
    msgfmt: found 1 fatal error

commit 1db01404281b2db740f8b854751efc083dcbffa1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 15 13:43:29 2019 +0000

    docs: Finalize release notes for 1.40.
    
    Updates commit 0ce8ecdf6627bedfebc235fc4fd69f435a480e88.

commit b8882fed975a09bf7aa14f09eb343ac74c899e71
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 15 13:42:18 2019 +0000

    website: Update website for 1.40.

commit cf6b527824b2a8dc6e8bc65e38ebdceb227e6db1
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jan 14 17:07:45 2019 +0100

    inspect: fix inspection of partition-less devices (RHBZ#1661038)
    
    When parsing "xdev"-kind devices, do not assume that the partition
    number can be converted to integer: re_xdev accepts an empty part of the
    partition number, so just handle as it is, as string.
    
    This fixes a regression due to the conversion of the inspection code to
    OCaml, as the old C version did not have this issue.

commit d3ff88c894b0ddadea005b8563b5793fa6b5b9be
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 11 17:00:11 2019 +0100

    OCaml: use the new behaviour of Std_utils.which
    
    Since Std_utils.which can handle relative/absolute paths, remove the
    manual checks, and use Std_utils.which directly.

commit ebe2c7b45832f41e75deb73d784f05ebc87c9b71
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 11 15:59:03 2019 +0100

    mlstdutils: allow relative/absolute paths for Std_utils.which
    
    Make Std_utils.which behave a bit more like which(1), checking the
    existance of relative/absolute paths specified.

commit 88a754bd072d26b660964e9883303a2939d28fc5
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jan 11 15:19:48 2019 +0100

    mlstdutils: add a very simple test for Std_utils.which

commit 27cd2888c31dc3b93a1c8973010509d69ac38778
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jan 14 15:18:34 2019 +0100

    automake2junit.ml: string -> bytes
    
    Make it usable OOTB with OCaml >= 4.02.0.

commit 7f97433a3c067ea7c2a2a159b09720c0772605c8
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Fri Jan 11 17:14:21 2019 +0000

    Fix miscellaneous typos in comments.

commit 4040c7de93053f93674dac3fc8523feef207fa5f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 8 18:29:14 2019 +0000

    Update gnulib to latest version.

commit 4252a490bb117940c1d38c838345ed110457386e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 8 16:11:31 2019 +0000

    Update PO files from Zanata.

commit fc028bf57a3ff128d21b904583f9ea02f672ed5b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 8 14:03:25 2019 +0000

    v2v: -o openstack: Don't echo full commands (RHBZ#1664310).
    
    They can contain passwords or tokens if for example the
    ‘-oo os-password’ option is used.
    
    Thanks: Tomáš Golembiovský, Brett Thurber.

commit 05d4fcb64d98d4ff1d57560c566ca8e66b695277
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jan 8 11:58:30 2019 +0000

    Update copyright dates for 2019.
    
    This command run over the source:
    
    perl -pi.bak -e 's/(20[01][0-9])-2018/$1-2019/g' `git ls-files`

commit 0ce8ecdf6627bedfebc235fc4fd69f435a480e88
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Jan 7 16:48:15 2019 +0000

    Update release notes for 1.40 release.

commit 492a945791b43f80a769a53e60d0899b3d7c60ab
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 2 16:44:07 2014 +0100

    Revert "launch: libvirt: Use qemu-bridge-helper to implement a full network (RHBZ#1148012)."
    
    We've been carrying this exact patch in RHEL 7 for several years.  It
    reverts the change made in 2014 where we switched to using the virbr0
    bridge for libguestfs networking instead of SLIRP.  We thought SLIRP
    was going to become unsupported in qemu, but recently there have been
    more encouraging signs since it looks like SLIRP will be spun off as a
    separate project, running as a modular process and properly secured
    and supported.
    
    This reverts commit 224de20b9a8d5ea56f6337f19b4ca237bb88eca0.

commit 5e5896752ef06872696f1da05b414fc9eca94015
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Jan 7 12:23:25 2019 +0100

    v2v: further doc update for VMware roles
    
    Remove "Allow virtual machine download", added with
    commit 37955f14aa628bedbe0c06bddb5f8fa4f508cc62, because it does not
    seem to be actually needed.
    
    Related: RHBZ#1530967

commit 6b80c5fb51f08d3e62393e6722655bbcd940f4e7
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 13 18:36:20 2018 +0100

    v2v: -o rhv-upload: decouple name of nbdkit python plugin
    
    Do not assume that the Python plugin of nbdkit has the same name of the
    Python interpreter.
    
    Use the default upstream name of nbdkit to identify it; downstream
    distributions must adjust this variable, in case they rename the Python
    plugin of nbdkit.

commit 216fe13fcc172c69d5069da35eadf5be1ee33bc1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Dec 14 13:06:44 2018 +0000

    v2v: windows: Add comment about possibility of removing GPO restrictions.
    
    Although it may not be a good idea because usually they are installed
    for a reason.

commit 37955f14aa628bedbe0c06bddb5f8fa4f508cc62
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Dec 13 11:49:48 2018 +0100

    v2v: update docs for VMware roles (RHBZ#1530967)
    
    Update the list of permissions needed for VMware vCenter 6.5.

commit 6aa46f4303ad1b1e7e7ee83f3745161d76b26ed2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Dec 12 12:35:30 2018 +0000

    Version 1.39.14.

commit 52ec462fead58b76f57c81108cd9fd92c935ce09
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Dec 12 12:26:48 2018 +0000

    lib: direct: Move serial option from -drive to -device.
    
    qemu deprecated and removed this option from the -drive parameter,
    resulting in:
    
      Block format 'raw' does not support the option 'serial'
    
    See also:
    https://www.mail-archive.com/qemu-devel@nongnu.org/msg574583.html

commit 08a14d9fa7caf579c8505afcd87d27e5318f46e0
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 11 19:40:02 2018 +0000

    Version 1.39.13.

commit b38e4eff2bec46de7976581ad0c73cf2fb6e73be
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 11 19:38:09 2018 +0000

    gnulib: Use https URL instead of git.
    
    This is apparently more secure (against MITM attacks), and furthermore
    Savannah git: access is broken at the moment.

commit b7cf2dfff885c1b43694d6fc021f1d1169867d77
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 11 19:15:22 2018 +0000

    Version 1.39.12.

commit e62a4431650e1e3a110e4d9639452d1878f40737
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 11 17:53:29 2018 +0000

    tests: Provide a way for skipping tests/bigdirs/test-big-dirs.pl.
    
    This test is currently broken because of a kernel bug
    (https://bugzilla.redhat.com/show_bug.cgi?id=1657200).

commit d9f5e47f82507404e4d1ae421ad59431ba2cccc6
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Dec 11 16:38:55 2018 +0000

    tests: Fix console for slow tests on Ubuntu 18.04.
    
    Use the same fix as for Debian and Ubuntu 16.04.

commit 854aad230f2501eb356fd904fb0852aef02c844a
Author: Nir Soffer <nirsof@gmail.com>
Date:   Fri Dec 7 19:55:28 2018 +0200

    v2v: -o rhv-upload: Fix emulated zero
    
    Replace python 2 only "buffer" with "memoryview".
    
    Falling back to emulated zero would fail with:
    
        NameError: name 'buffer' is not defined
    
    I did not test the changed code but it was not tested before so it is
    unlikely to be worse.
    
    Detected by pylint.

commit 6c9eb0311718b3fa521424dca6f8739394b86707
Author: Nir Soffer <nirsof@gmail.com>
Date:   Fri Dec 7 19:30:15 2018 +0200

    v2v: -o rhv-upload: Fix request headers in pread
    
    headers was initialized with a set literal {"key", "value"} instead of
    dict literal {"key": "value"}.
    
    Calling pread() will fail with:
    
        AttributeError: 'set' object has no attribute 'items'
    
    I did not test the changed code, but it was not tested before, so it is
    unlikely to be worse.
    
    Detected by pylint.

commit 0d2ce92e55bb25d31060e55b85266bb68ef9daec
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Dec 6 14:52:59 2018 +0000

    builder: Add a second archive repo to the virt-builder repos.
    
    builder.libguestfs.org has almost run out of space.  I would like to
    move templates for older guests to the archive site (which is slower
    but has unlimited space).  The easiest way to do this is to add a
    second repo.
    
    This only affects obsolete/unsupported Fedora releases.

commit 217002b2e2c19077037d9761813b703d8105ac1e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Dec 6 14:51:42 2018 +0000

    builder: Fix redirect in virt-builder configuration.
    
    For a while libguestfs.org/builder has redirected to
    builder.libguestfs.org.  This change just makes virt-builder go direct
    to the subsite instead of via the redirect.

commit 7be28a25852ef89a078b4c6e70382fd42bcb2b7e
Author: Nir Soffer <nirsof@gmail.com>
Date:   Fri Dec 7 02:44:21 2018 +0200

    v2v: -o rhv-upload: Fix upload when using https
    
    Fix rhv-cafile option access, broken by commit 6694028f9827 (v2v: -o
    rhv-upload: Only set SSL context for https connections).

commit b8a76729368ed2e35428c1a7619d47f1f98cc4c5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Dec 6 15:45:34 2018 +0000

    builder: templates: Build CentOS 7.6.

commit 02086837d0c83e72f5a1b231ee037a4da4d24d6e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Dec 5 20:17:13 2018 +0000

    v2v: -o glance: Mention glance(1) in the SEE ALSO section of the manual.
    
    It is already mentioned in the main body text.

commit 88c237261f527e00e2d4bae46b20958e0440124c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 20 09:14:11 2018 +0000

    v2v: -o openstack: Check openstack binary exists before running it.
    
    Improves the error message when openstack is not installed.
    
    This also mentions the openstack command in the manual page.

commit 1c85b64c1c3a4d5267b952102375cb78f18a85c4
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Tue Dec 4 22:46:40 2018 +0100

    v2v: don't fail when virtio-win does not have qemu-ga packages
    
    It should not be error to use virtio-win ISO that does not have Linux
    packages of QEMU Guest Agent. Only oVirt/RHV guest tools ISO has such
    packages now. Regular virtio-win ISO does not have them and maybe never
    will.
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit 50b08fd84bc035ada9e7a3cdda6c36ab7e418e8c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Dec 4 18:43:59 2018 +0100

    v2v: linux: improve regex for resume= entries (RHBZ#1651987)
    
    Add few more characters for the devices of resume= entries in the
    command line of grub: this way it is possible to match also /dev/mapper
    devices.
    
    This should require no further processing, since the names of the
    /dev/mapper devices do not change after the conversion.

commit b0c11adee755018208d946fd104fdfc9f0da8de3
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Nov 30 14:56:16 2018 +0000

    tests: md: Increase size of MD partitions in test.
    
    Commit c11a92751e003b3d4bc3584b598afc9bd9d9e703 chose some strangely
    sized partitions for testing Linux MD devices.  The disks were 100M
    however the four partitions only covered the first 10M of disk space
    (with the rest being unallocated and unused in the test).
    
    This worked until Linux 4.20 where the ~2M-sized partitions become too
    small for a Linux MD device.
    
    This commit changes the test to use four 20M-sized partitions which is
    sufficient space to create the MD device with recent kernels.  I also
    modified the partition allocation code to use explicit calculations
    and variables, making it considerably clearer.

commit 78a29dbd1e4d516e6cdd9326961769b812c1296d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Nov 30 12:30:34 2018 +0100

    lib: inspect: tweak limits of package manager files
    
    Tweak the limits of the files of package managers downloaded to list the
    installed applications:
    - bump RPM 'Packages' up to 500M: Fedora installations upgraded to each
      new Fedora release have an ever-growing file, reported to be even
      slightly bigger than 400M
    - reduce the other files down to 50M: they are usually small, not bigger
      than 1M-5M, so 50M is a good enough high threshold

commit b12e168efca6faf4781c1b8226fbb189a14f2207
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Nov 30 11:40:51 2018 +0100

    lib: inspect: split limits of package manager files
    
    Use different defines for the limits of the package manager files
    downloaded during the inspection of applications.  This way it will be
    possible to tweak each of them without affecting the others.
    
    This is a minor refactoring, with no behaviour change.

commit 8197336a9b494bc2e4d8614dc10e07199fce2b39
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Nov 30 11:29:43 2018 +0100

    lib: move MAX_PKG_DB_SIZE to inspect-apps
    
    It is used only there, so avoid exposing it to all the users of
    guestfs-internal.h.
    
    This is just code motion.

commit 28bd06227b1633fa08c073fe8dbe65d013d7dc9e
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Nov 30 12:41:03 2018 +0100

    inspect: handle os-release "opensuse-tumbleweed" as opensuse
    
    Followup of commit 70407cd622dda6f088a0876e1e1ae669e9f8a281 for openSUSE
    Thumbleweed.

commit 0e6bbcee7e30f6f1c3b92b77b5214c549d023044
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Nov 21 10:55:45 2018 +0000

    v2v: docs: Remove sentence about supporting qemu-kvm-rhev in RHEL (RHBZ#1651977).
    
    The previous support documentation said that for UEFI guests, when
    using RHEL ≥ 7.3 host, you must use qemu-kvm-rhev.  For RHEL 8 this is
    inaccurate since qemu-kvm-rhev no longer exists.
    
    To fix this I've dropped the whole sentence.  It only applies to the
    downstream product (RHEL) and so RHEL can add the right documentation
    if it needs to.
    
    Thanks: Ming Xie, Pino Toscano.

commit 9c8d1334551c9e5c6af64b14d5de2a80c07f1053
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Nov 30 11:03:14 2018 +0000

    Replace -nodefconfig with -no-user-config.
    
    This option was removed from qemu for no apparent reason except to
    break existing consumers.  It does the same as -no-user-config, added
    in May 2012, so use that instead.

commit cbe4150fbcd7d5fd11d6ef95e101bac3eaa062d9
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Fri Nov 23 21:14:55 2018 +0100

    v2v: Add support for libosinfo metadata
    
    There's a standardized libosinfo namespace for libvirt domain metadata.  For now
    it supports the id of the OS only.  However that is still a very helpful feature
    that is already supported in gnome-boxes and virt-manager (at least).
    
    The discussion happened here:
    
      https://www.redhat.com/archives/libosinfo/2018-September/msg00003.html
    
    So let's add the support to local and libvirt outputs.
    
    Signed-off-by: Martin Kletzander <mkletzan@redhat.com>

commit d3478036a82502d7bf4863f27d4a29fc49a3b9fc
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Thu Nov 22 23:55:24 2018 +0100

    Fix include for xattr.h
    
    The proper file that should be included is `sys/xattr.h` as that comes from
    `glibc` and not `attr/xattr.h` which ships with the `attr` utility.
    
    New enough `attr` utility (at least 2.4.48 in my case) even includes a #warning
    in `attr/xattr.h` for projects that still have this mistake in the code.

commit 724d7877f85182c022218d49f75357746d357471
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 20 17:00:33 2018 +0000

    v2v: -o rhv-upload: Fix test so it doesn't fail if Content-Length header missing.
    
    If the Content-Length header was missing from the headers returned by
    the server then the test would fail with:
    
    KeyError: 'content-length'
    
    This happens on RHEL 7.6 in particular.  We can fix this by using an
    alternate method to fetch the header, which will return None instead
    of throwing an exception if the header doesn't exist.  See:
    https://stackoverflow.com/a/19255675

commit a4f83ee6a439024fbbf22a73fa08285033a8172e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Nov 19 18:53:42 2018 +0000

    v2v: -o openstack: -oo verify-server-certificate=(true|false) (RHBZ#1651432).
    
    If ‘virt-v2v -oo verify-server-certificate=false’ is used then
    ‘openstack --insecure’ flag is added whenever we invoke the openstack
    command.  This turns off SSL certificate validation.  The default is
    to verify the server certificate (which is the default of the
    openstack command).

commit 07d1d946be16ba035ec1857c183635e2961aa506
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 20 12:19:18 2018 +0000

    v2v: -o openstack: Restrict passthrough auth params to ‘os-*’.
    
    This was already documented, but the implementation allowed you to
    pass through anything to the openstack command.

commit ed3ff51df90eedba2574630fa0d9279ab5bfc995
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Nov 14 15:47:24 2018 +0000

    test-data: Allow tests to be run when Btrfs is not available.
    
    Create the fedora-btrfs.img as an empty file.
    
    The only place this is used explicitly is tests/mountable/
    test-mountable-inspect.sh, but that test already skips if !btrfs.
    
    Also this is used via guests-all-good.xml, but the script that creates
    this XML skips the file if it has zero size.

commit fe9988eff87d6fa3612b4bc4d70768926d6d8e04
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Nov 19 19:05:59 2018 +0000

    common/mltools: Add a debug statement when we try to run a non-existent program.
    
    Previously:
    
      $ virt-v2v -v -x -i disk fedora-28.img -o openstack -oo server-id=foo
      virt-v2v: libguestfs 1.39.11fedora=29,release=1.fc29,libvirt (x86_64)
      libvirt version: 4.5.0
      virt-v2v: error: openstack: precheck failed, there may be a problem with
      authentication, see earlier error messages
      rm -rf '/var/tmp/null.dTxRFN'
    
    Notice there is no "earlier error message".
    
    After this commit the error changes to:
    
      openstack: executable not found
      virt-v2v: error: openstack: precheck failed, there may be a problem with
      authentication, see earlier error messages

commit 545147f9be5dcca1501ec4f677d9cdae9576e017
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Nov 19 19:30:41 2018 +0100

    v2v: create an empty windows.vmdk in case of disabled appliance
    
    In case the appliance is disabled at configure, then all the phony
    guests will not be built during the 'make check' time.  Since the tests
    already handle an empty windows.vmdk fine (in case ntfs-3g is not
    available), then just create it empty in this case.
    
    Reported by: Martin Kletzander.

commit d1c5c5a7c17ff71624d08c4f830365c79322cd37
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Mon Nov 19 23:52:07 2018 +0100

    m4: Add java search path for Gentoo
    
    In Gentoo the java alternatives are managed using jva-config (or eselect java),
    but because the selection is treated as a configuration the symlink to the
    current jvm selected is stored in /etc, particularly in the symlink
    /etc/java-config-2/current-system-vm which works such as /usr/lib/jvm/default.
    
    Signed-off-by: Martin Kletzander <mkletzan@redhat.com>

commit 7cbd7bf20918e3e2a238ac8341b35618e5103245
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Nov 7 17:33:10 2018 +0100

    v2v: windows: uninstall VMware Tools
    
    It looks like VMware Tools support their unattended uninstallation even
    after the guest is not running anymore on VMware.

commit d6c4b90b0062d03ef0ead0a3d73661956a838555
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Nov 7 15:11:24 2018 +0100

    v2v: windows: factor uninstall commands search
    
    Turn the code for 'prltools_uninsts' into an helper function
    'unistallation_commands', so that can be used also for other
    applications installed.

commit 4aa712d551f9d4f5cda2b01d3fe5c672f531142b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Nov 14 19:00:38 2018 +0000

    v2v: tests: Fix module ordering of v2v_unit_tests.
    
    New dependency from Windows_virtio -> Linux requires the
    objects to be linked in a slightly different order.
    
    Fixes commit 6b2e0b5468e5e2f427560653e093e84855b8c03c.

commit 6d3b9a281214ca55982532cab9ddd722ab5891a8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Nov 1 14:15:47 2018 +0000

    v2v: Split up huge manual page into smaller pages.
    
    The primary virt-v2v(1) page now contains a more concise overview of
    virt-v2v, along with things like detailed options documentation which
    we would expect in a tool manual.
    
    The documentation for VMware, Xen, local output, oVirt and OpenStack
    has been moved to new pages where it is introduced in a more narrative
    / tutorial style.  The idea is that people who are interested in
    converting from or to these sources will be able to start at
    virt-v2v(1) for an overview before moving to one of these new pages
    for a friendlier introduction to the topic.
    
    The support matrix has also been moved to a new page called
    virt-v2v-support(1).  The idea is that downstream packagers will be
    more easily able to modify or completely replace this page according
    to their support requirements.
    
    When rewriting the VMware documentation, I dropped the section
    "INPUT FROM VMWARE ESXi HYPERVISOR" which discussed using
    virt-v2v-copy-to-local.  This should no longer be necessary since you
    can use SSH or VDDK.  (See also previous commit).

commit 3dfce4b5bb71a6967b3e56a6f9ba6c213e8c6fd2
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Nov 1 13:00:40 2018 +0000

    v2v: copy-to-local: Remove references to using this tool for ESXi.
    
    virt-v2v is capable of accessing ESXi hypervisors now.  There is only
    one remaining use of this tool - when converting from Xen hypervisors
    over ssh which are using host block devices for storage.

commit df54c75d4c53ed580e5269306e11e0758d169452
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Nov 14 18:17:16 2018 +0000

    test-data: Fix indentation in make-fedora-img.pl.
    
    Only a whitespace change.

commit 325fffd361c26fc8934f3f5480acb9bd6b0d63af
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Nov 14 17:07:49 2018 +0000

    v2v: Reduce the amount of appliance memory back to around 2GB.
    
    Commit ba82fb023de8ff0d271b4b82e3ef12a8d169728e changed the default
    libguestfs appliance memory from 500 -> 768MB.
    
    Virt-v2v used a formula to calculate how much memory to use which is
    based on this which was designed to result in around 2GB of memory:
    
      500 * 20 / 5 = 2000
    
    However after the commit the same formula now produces:
    
      768 * 20 / 5 = 3072
    
    This commit reduces the numerator in the formula to yield (about) 2GB
    again:
    
      768 * 14 / 5 = 2150

commit 6b2e0b5468e5e2f427560653e093e84855b8c03c
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Tue Nov 13 23:36:07 2018 +0100

    v2v: linux: install QEMU-GA (RHBZ#1619665)
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit db9b45f0201c3e7b3e9d055f26d05ea58fc60cd4
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Tue Nov 13 23:36:06 2018 +0100

    v2v: fix path construction in Windows_virtio.copy_files()
    
    Some paths in the function are evaluated in libguestfs environment.
    Previous commit copied the invalid construction. This is now fixed.
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit 6b74a051dcba94005b0fcb5874ccfd821b254386
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Tue Nov 13 23:36:05 2018 +0100

    v2v: refactor copy_drivers() in Windows_virtio
    
    Changed the function to be more generic and renamed.
    The only change in behavior is in produced debug messages.
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit 4b7fd09bf6bd94ac1ab21068370f751f0c49a1f2
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Tue Nov 13 13:41:41 2018 +0100

    v2v: linux: install packages
    
    Install packages from local files without touching network.
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit 8a01e13fee64b36e0fd7f87ba646b58a426789dd
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Nov 8 17:03:41 2018 +0000

    Update gnulib to latest.
    
    Various tests fail with the new Linux kernel, update gnulib to see if
    this helps.

commit dd665e4bbbbb1b298a9e8046d6c4123441fb9cc0
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Nov 6 17:28:48 2018 +0100

    p2v: use newer GTK+ APIs if possible
    
    Make use of APIs available in early GTK+ 3 versions, adding
    compatibility functions/macros for older GTK+ versions.
    
    There is no behaviour change, and it helps in porting to even newer GTK+
    versions.

commit 3430c2dd654b19a55d213a9302ac5e4b6a387bee
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 6 21:44:42 2018 +0000

    builder: templates: Set 0644 permissions on final disk image.
    
    I think libvirt or virt-install has changed recently so that it
    creates disk images which are not public readable.  This has lead to
    me uploading two sets of non-readable templates for virt-builder.  Set
    the mode explicitly to 0644.
    
    Thanks: Laine Stump, Jacob Shivers.

commit c7343a29dd52a1264785292ca71dd8f629aa6dfa
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Nov 6 12:52:08 2018 +0100

    p2v: make-disk: rely on os-release for host distro detection
    
    Instead of assuming the latest Fedora version if /etc/redhat-release is
    available, or the latest Debian with /etc/debian_version, use only
    /etc/os-release.  The possible name of the virt-builder template is
    created by concatenating $ID and $VERSION_ID, which is generally a
    better guess than what previously done, and better matches the host OS.
    
    This affects only the case when os-version is not specified as command
    line argument.

commit f2a1ef01abee0be8a83fbccc1452d99a0338a641
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Nov 5 17:04:20 2018 +0100

    p2v: add a Shutdown action (RHBZ#1642044)
    
    Add a "Shutdown" action to the Shutdown button in the conversion dialog,
    before the Reboot action: this way it is possible to shutdown the
    physical server directly from the GUI after the conversion.

commit b6925d03cbf27b0b402779106aa5ffe888750dd7
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Nov 5 16:56:19 2018 +0100

    p2v: turn Reboot button into a Shutdown popup menu button
    
    To ease adding a proper Shutdown action in the conversion dialog, turn
    the current Reboot button into a button that pops a menu up, with Reboot
    as the only available action.
    
    The menu is implemented using a popover when using "recent" versions of
    GLib, and GTK+ 3, because of all the APIs needed.  In older versions, a
    simple toggle button with menu is used, which though needs a manual menu
    firing when pressing the button itself (and not its side arrow).

commit eb4d14cb41dfa92e55d26d9942ef60f073f70b56
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Nov 6 12:22:33 2018 +0000

    v2v: windows: Document use of pnputil to install drivers.
    
    This seems to be necessary for Windows Server Core 2012 + R2, although
    it has not been necessary with virt-v2v previously.  By adding this
    simple comment-only change we will know this for future reference.

commit 03807c941245bab1e13ffa08c17cb3c1effbde18
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Nov 5 17:58:51 2018 +0000

    v2v: -o qemu: Comma before -device ...,mac=<MAC>
    
    The comma before the mac option was lost accidentally during
    refactoring in commit f6ece2c01a9a1a43d6715103e7dbdda0f09ee862.

commit b0daa89ef06fc68b2b1c10aa6b7a3644ac5403f5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Nov 2 19:41:46 2018 +0000

    lib/launch-libvirt.c: Fix tabs/spaces issue in this file.
    
    Convert randomly used tabs into spaces.

commit 296d6a9fda2a39a5b8e451b2ddcb43ff3e1fbe24
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 4 12:29:20 2018 +0100

    lib, p2v: Use single_element() macro where possible.
    
    After the previous commit, wherever we had:
    
      start_element ("foo") {
        string ("bar");
      } end_element ();
    
    this can now be replaced by:
    
      single_element ("foo", "bar");

commit 4bc30d2f9abf3907dd6b60ff0ece9084712d05a3
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 4 11:52:22 2018 +0100

    inspector: Use libxml writer macros.
    
    Change virt-inspector so it uses the common set of macros.  I also
    added:
    
    * single_element() and single_element_format():
      creates <foo>bar</foo> which is used extensively by virt-inspector
    
    * base64():
      used by virt-inspector for the icon

commit 6d5959a0450fed5e4c5f3f2f0a20b86208d21bac
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 4 11:16:47 2018 +0100

    common/utils: Move libxml2 writer macros to a common header file.
    
    In some places when generating XML output in C code we use some clever
    macros:
    
      start_element ("memory") {
        attribute ("unit", "MiB");
        string_format ("%d", g->memsize);
      } end_element ();
    
    This commit which is mostly refactoring moves the repeated definitions
    of these macros into a common header file.
    
    I also took this opportunity to change / clean up the macros:
    
     - The macros are now documented properly.
    
     - comment() and empty_element() macros are now available everywhere.
    
     - Error handling has been made generic.
    
     - Added do..while(0) around some of the macros to make them safe to
       use in all contexts.

commit 970dccf147a83eb6939aca14b6d1ab4981cba0c8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Oct 4 12:48:51 2018 +0100

    docs: Allow enhanced comments for macros (ie. #define).

commit ba82fb023de8ff0d271b4b82e3ef12a8d169728e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed May 16 13:40:27 2018 +0100

    lib: Increase default memory assigned to the appliance.
    
    With recent Linux kernels, adding and partitioning 255 disks causes
    the appliance to run out of memory.  This causes a test failure in
    tests/disks/test-255-disks.sh.  This change gives the appliance enough
    memory to complete the test.

commit f00f920ad3b15ab8e9e8f201c16e7628b6b7b109
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 12 17:16:20 2018 +0100

    lib: Use qemu-img info -U option to avoid locking error.
    
    https://bugs.launchpad.net/qemu/+bug/1740364

commit 97a8833a1b4e5491b05c7a91f1d52b15d8554af4
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Nov 1 12:11:43 2018 +0000

    builder: Add RHEL 7.6 templates.

commit 9bc1eda0a9aa0b54742fa802b6070ff8d7335381
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Nov 1 10:10:08 2018 +0000

    builder: Add Fedora 29 templates.

commit d76acb13ae1d4ee5a86ca233bd89eeaebccf7771
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Wed Oct 10 19:25:50 2018 +0200

    v2v: enable UEFI for oVirt/RHV outputs
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>
    
    RWMJ: Update documentation with versions of oVirt/RHV and virt-v2v
    required for UEFI support.

commit a878b3011ba80dc2ddaf44bf575f490847c66540
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Wed Oct 10 19:25:49 2018 +0200

    v2v: ovf: add firmware and machine type element
    
    Add oVirt specific elemnt to OVF. It represents the combination of
    machine type (i440fx/q35) and firmware (BIOS/UEFI).
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit bfd9bee9fc7a91fdca0ca051deca062ff29d1f01
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 15 16:07:52 2018 +0100

    v2v: -o rhv-upload: Test using HTTP/1.1 protocol.
    
    Fixes commit b54b58c44e3f1f54a05117c758eaa21d9f1085f0.
    
    Thanks: Nir Soffer.

commit d23b89f217db32911dd700ab029a6b955a7c43ae
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 15 22:15:37 2018 +0100

    builder: templates: Add RHEL 6.9, 6.10.

commit 0e575234fd650285ca1211373632a839a9ab11be
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 26 10:24:15 2018 +0100

    v2v: -it vddk: Add a warning about using vddk* options (RHBZ#1527334).
    
    Stress these options shouldn't be used unless you know what you're
    doing.

commit 42d10f0b0e596f8d8b2c1a0311edd966801b6c89
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 26 10:18:16 2018 +0100

    v2v: -it vddk: Remove ‘-io vimapiver’ option (RHBZ#1527334).
    
    This option was added in error.  It never had any effect and now the
    nbdkit VDDK plugin ignores it.  Virt-v2v users shouldn't have been
    using it.
    
    This removes the option completely (so if anyone was using it they
    will now get an error).

commit 04a157d0f8529e8bf6a5bc0ac4ee146aaedc3c15
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Oct 4 10:57:25 2018 +0200

    v2v: linux: try to trick vmware-uninstall-tools.pl
    
    When installing the VMware tools from tarball, the installation script
    rebuilds the initramdisk of all the available kernels to inject the
    missing kernel drivers; in the end, the information on which kernels
    were changed is recorded in the internal "database" of the installation
    answers.  When uninstalling the VMware tools, the uninstallation script
    reads the saved answers, and in the case of ramdisks will do the reverse
    job done during the installation (which is done again when new kernels
    are installed).
    
    OTOH, virt-v2v already rebuilds the initramdisk of the default kernel,
    not touching the other available kernels (no matter whether they have
    the right modules or not).  Hence, trick the answers "database" of the
    VMware tools to discard all the information about ramdisks to restore on
    uninstallation: this way they are not rebuilt, and the whole
    uninstallation time will be reasonable enough (a couple of minutes or
    so).

commit 2bebacf8bf611f0f80a66915f78653ce30b38129
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Oct 4 10:48:17 2018 +0200

    v2v: linux: remove open-vm-tools packages
    
    Linux distributions usually ship the open source VMware tools as
    open-vm-tools (and open-vm-tools-desktop for the integration with X).
    While they will not run already anymore after the conversion, uninstall
    them during the conversion, to save some space in the converted guest.

commit caff0ba3adb74a669b9cddcb08591ee603758101
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Oct 3 12:45:32 2018 +0200

    build: remove extra quote in result message
    
    Followup of commit 3acf6768f0142d71b826b255e00d31276b8982ac.

commit 55bb0003f57e3ad7e76d61e20c030346042e2582
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Oct 2 12:54:26 2018 +0200

    rpm: generalize openSUSE support
    
    It seems that all the newer versions of openSUSE have an 'opensuse-'
    prefix in their distro ID; hence, check for that prefix at once, keeping
    compatibility for the old "opensuse" ID.
    
    Followup of commit a4e53bcbc52594f8863e7866448640f7ac8ab0f9.

commit 69ee0fb873f963fb19ce317ea4fd07017835930c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Oct 1 16:32:25 2018 +0200

    v2v: -o rhv-upload: test-v2v-o-rhv-upload.sh: add more skip checks
    
    -o rhv-upload requires python3, and nbdkit with the python3 plugin, so
    skip this test if they are not installed.

commit a4e53bcbc52594f8863e7866448640f7ac8ab0f9
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Oct 1 15:36:29 2018 +0200

    build: support openSUSE Leap 15.0
    
    Support the ID found in openSUSE Leap 15.0 in addition to  the other
    SUSE-related IDs.  While there is already --with-distro=ID to force the
    ID without using os-release, this makes it possible to build OOTB.

commit 70407cd622dda6f088a0876e1e1ae669e9f8a281
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Oct 1 09:51:15 2018 +0100

    inspection: Parse os-release "opensuse-leap" as opensuse (RHBZ#1634248).

commit 4ff573c352973036b722ec0c9bf79be958b83b2c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Sep 27 15:51:01 2018 +0200

    ocaml: make sure to pass LDFLAGS to ocamlmklibs linker (RHBZ#1624130)
    
    Pass the LDFLAGS properly as arguments for the C linker when using
    ocamlmklibs via the -ldopt option.
    
    Followup of commit 34c23403c51a4d59d826c8045e06f9aabc2ceb16.

commit b54b58c44e3f1f54a05117c758eaa21d9f1085f0
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 19 13:46:01 2018 +0100

    v2v: -o rhv-upload: Add a test.
    
    Previously this output method was almost completely untested.
    
    This commit adds a fake ovirtsdk4 module so we can test the
    -o rhv-upload method fairly completely without needing an actual
    oVirt instance around.
    
    Thanks: Pino Toscano.

commit 6694028f9827a365385ba3ab199dc3938d8236df
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 19 15:29:13 2018 +0100

    v2v: -o rhv-upload: Only set SSL context for https connections.
    
    For real imageio servers the destination will always be https.  This
    change has no effect there.
    
    However when testing we want to use an http server for simplicity.  As
    there is no certificate or cafile in this case the call to create the
    context will fail.
    
    This also simplifies creation of the context object and recognizes the
    "insecure" flag for connecting to imageio.
    
    Thanks: Nir Soffer.

commit edd4980cef06e757c8c3241446602b6558e222e1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 19 13:59:17 2018 +0100

    v2v: -o rhv-upload: Print commands before running them in verbose mode.

commit e2bafffce24cd8c0436bf887ee166a3ae2257bbb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Sep 21 16:15:37 2018 +0100

    Version 1.39.11.

commit da48f4e5ff344bbcd34418fbb01e50889ed144b8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 5 17:28:57 2018 +0100

    sparsify: Fix test-virt-sparsify-in-place-fstrim-unsupported.sh
    
    Since Linux commit f663b5b38fff trimming vfat is now supported by
    Linux.  This broke the test which assumed it was not supported.  Use
    another filesystem (minix) which does not support trimming instead.
    
    Thanks: Daniel P. Berrangé and Pino Toscano.

commit 165add060ebe75e00354e4c4a242831a4aea88fe
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Sep 21 11:57:08 2018 +0100

    Version 1.39.10.

commit 6f605a0804e79f55e0d6b8de849cbf84c9aa9ed3
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Sep 13 12:20:37 2018 +0100

    lib: direct: Query qemu binary for availability of KVM (RHBZ#1605071).
    
    When using the direct backend, you should see the result of testing
    the qemu binary for the availability of KVM:
    
      libguestfs: qemu KVM: enabled
    
    Thanks: Andrea Bolognani.

commit 34c23403c51a4d59d826c8045e06f9aabc2ceb16
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Sep 20 12:59:44 2018 +0100

    tools: Ensure CFLAGS and LDFLAGS are passed to all OCaml binaries (RHBZ#1624130).
    
    After this commit, all annocheck errors are fixed except for:
    
      Hardened: virt-get-kernel: MAYB: Gaps were detected in the annobin coverage.  Run with -v to list.
    
    After discussion with the annocheck maintainers this gap in coverage
    (which corresponds to the OCaml runtime) seems to be caused either by
    the runtime not being linked with the right flags, or might be a bug
    in annocheck itself.  In any case it's not something that can be
    resolved within the scope of libguestfs.

commit 09abb9c990f6e07b3577088522b8ad9fb439a80e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Sep 20 12:42:59 2018 +0100

    tools: Link OCaml programs with -runtime-variant _pic if available.
    
    OCaml has a small runtime which is statically linked into the virt
    tools (providing things like GC and primitives).  Since OCaml 4.03 it
    has been possible to select variants of this runtime, one of which is
    compiled with -fPIC, using ‘ocamlopt -runtime-variant _pic’.
    
    This has performance implications on i686, but is relatively free on
    other architectures.  Since it (in theory) adds to the security of the
    final binary this commit enables it whenever it is available.

commit 4b1e5b0c3f900b0f197885e85f8c917caff3c339
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Sep 18 17:32:07 2018 +0200

    Introduce a --key option in tools that accept keys
    
    The majority of the tools have already options (--echo-keys &
    --keys-from-stdin) to deal with LUKS credentials, although there is no
    way to automatically provide credentials.  --keys-from-stdin is
    suboptimal, because it is a usable solution only when there is just one
    device to open, and no other input passed via stdin to the tool (like
    the commands for guestfish).
    
    To overcome this limitation, introduce a new --key option in tools:
    * --key /dev/device:file:/filename/with/key
    * --key /dev/device:string:the-actual-key
    this way it is possible to pass all the credentials needed for the
    specific devices to open, with no risk of conflict with stdin, and also
    in a secure way (when using the "file" way).
    
    On the technical side: this adds a new "key_store" API for the C tools,
    making sure it is used only when needed.  Partially mirror it also for
    the OCaml tools, although there will be a conversion to the C API
    because the decryption helpers used are in the common C parts.

commit ec438b7b85aaf2d6ecea32947fc9773ef65064de
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Sep 17 18:18:01 2018 +0200

    mltools: create a cmdline_options struct
    
    Instead of returning directly a Getopt.t handle, now
    Tools_utils.create_standard_options returns a struct, which at the
    moment contains only the Getopt.t handle.  This way, it will be easy to
    add more data needed for handling standard command line options.
    
    This is mostly refactoring, with no functional changes.

commit 51a9c874d3f0a9c4780f2cd3ee7072180446e685
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Sep 14 14:58:10 2018 +0100

    v2v: Add a slow test of Windows conversions.
    
    As with the previous commit this requires that Windows guests have
    been created first using the procedure from:
    
    https://rwmj.wordpress.com/2018/09/13/creating-windows-templates-for-virt-builder/
    
    For me:
    
    PASS: test-v2v-conversion-of-windows-6.3-server.sh
    PASS: test-v2v-conversion-of-windows-6.2-server.sh
    PASS: test-v2v-conversion-of-windows-10.0-server.sh
    
    If you don't have these templates in virt-builder then the tests will
    skip.

commit 4b6341072c6033e559bde988f080ac5107368f75
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Sep 13 10:19:26 2018 +0100

    customize: tests: Add slow test of Windows firstboot.
    
    This requires that Windows guests have been created using the
    procedure outlined here:
    
    https://rwmj.wordpress.com/2018/09/13/creating-windows-templates-for-virt-builder/
    
    For me:
    
    PASS: test-firstboot-windows-6.2-server.sh
    PASS: test-firstboot-windows-6.3-server.sh
    PASS: test-firstboot-windows-10.0-server.sh
    
    An incidental change is that we dump the firstboot log from the guest
    (even on success).  If the firstboot fails this is very useful for
    determining the real cause.

commit d54be028a2ebf5bd3c18a50772146839811493a5
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Sep 14 13:49:06 2018 +0100

    customize: Use set -x for test-firstboot.sh slow test.
    
    Aids in debugging failed tests.

commit bbefbc8a480538b9a0fb12d2bacc0635a46ac171
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Sep 14 11:59:38 2018 +0100

    v2v: -it vddk: Fix check for incorrect LD_LIBRARY_PATH.
    
    In nbdkit >= 1.7.2, nbdkit vddk --dump-plugin will print the shared
    library name in normal output, which breaks this test.
    
    The actual error when LD_LIBRARY_PATH is not set includes this line:
    
      nbdkit: error: libvixDiskLib.so.6: cannot open shared object file: No such file or directory
    
    so search instead for the error message "cannot open shared object file".

commit 089f0345f4d7c50816e2ac712e65e9bf59abf119
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 11 15:57:03 2018 +0100

    builder: templates: Add Windows template support.
    
    Provides support for building:
    
     - Windows 7
     - Windows Server 2008 R2
     - Windows Server 2012
     - Windows Server 2012 R2
     - Windows Server 2016
    
    Note that these images cannot be released to the public because of
    obvious licensing issues.  But this documents how we build them for
    internal consumption so that others can also build them.
    
    Thanks: Christophe Fergeau, Tomáš Golembiovský.

commit 755834c79701a119222d150a3008dfe65f07bdd1
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Sep 12 22:11:17 2018 +0100

    builder: templates: Use virt-sparsify --in-place (instead of copying).
    
    virt-sparsify in copying mode takes a huge amount of temporary space
    and takes a very long time.  In any case it's not really necessary for
    modern guests since in-place sparsification is fully supported now.

commit eaa9c8cbc6dc65a4af06a03612a8c0ae4a3df83f
Author: Nikolay Ivanets <stenavin@gmail.com>
Date:   Tue Sep 11 12:18:07 2018 +0300

    daemon: consider /etc/mdadm/mdadm.conf while inspecting mountpoints.
    
    Inspection code checks /etc/mdadm.conf to map MD device paths listed in
    mdadm.conf to MD device paths in the guestfs appliance. However on some
    operating systems (e.g. Ubuntu) mdadm.conf has alternative location:
    /etc/mdadm/mdadm.conf.
    
    This patch consider an alternative location of mdadm.conf as well.

commit e6895bd9d28370861528ab81ea34098b87f3739a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 11 16:44:14 2018 +0100

    builder: templates: Specify --arch explicitly, even on x86_64.

commit cc01166a24f62e4660d050544ff4b4b39f0392fc
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 11 16:31:25 2018 +0100

    builder: templates: Make UEFI code arch-independent.
    
    Previously it only worked for aarch64.

commit 613c1782ea0be10facf29a6a8bd4589dafc14b57
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 11 16:16:26 2018 +0100

    builder: templates: Refactor code for using UEFI.
    
    Simple refactoring.

commit 00fff03485bece9f7955eb7d5896cc5a49a50e30
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 11 15:53:56 2018 +0100

    builder: templates: Refactor code for adding --initrd-inject.
    
    Initrd is a Linux thing, so this code should only be used for
    Linux-based OSes.  Refactor to make it a bit cleaner.

commit d0ff42dfa24969e2fa708269b5f77672f713b501
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 11 15:51:20 2018 +0100

    builder: templates: Add a can_sysprep_os function.
    
    Does virt-sysprep know how to sysprep this disk image?  Add a function
    to find out.
    
    Just refactoring.

commit 112880e61bb38fb04a1270f47c8597518af0c746
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 11 15:49:24 2018 +0100

    builder: templates: Rename make_kickstart function.
    
    This function will soon be used to generate Windows unattended.xml
    files (as well as Debian preseed) so just rename it back to
    ‘make_kickstart’ rather than attempting to explain in the name every
    way it could be used.

commit e9bd010f6a25439ad1b1b909c6943c108f9f401e
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 11 15:48:35 2018 +0100

    builder: templates: Add generic method for deleting files on exit.
    
    Simple refactoring.

commit 2c349a00d27957911ea0ee7704420aec0715eea9
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 4 11:25:40 2018 +0100

    Revert "build: Maintain a central list of skipped tests."
    
    This reverts commit 79a3ac5d0eb377591e4c488257196888f0ae7e73.

commit 46bb1428ec92b9bbd2c67647a5619a678ef40f8f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Sep 4 11:25:32 2018 +0100

    Revert "tests: Disable 255 disk test until we can find a way to make it reliable."
    
    This reverts commit 9b911a2a853284f973b848d809bccbdb86519583.

commit 969cacead9f79f1a362c6b8d6b56b0efce56c7be
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 11:33:48 2018 +0100

    v2v: Add -o openstack target, writes to OpenStack & Cinder using APIs.

commit e4f4ed61880a9b88c085bde600170b3e669065e8
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 3 16:20:54 2018 +0100

    mltools: Add with_timeout utility function.
    
    Higher-order function which performs an operation repeatedly until it
    succeeds or fails, or a timeout is reached.

commit 16c9dad598b93dc1b2ba344417750a583a6644fb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Aug 29 11:22:01 2018 +0100

    v2v: -o glance: Refactor OpenStack image properties into a new module.
    
    Straightforward refactoring.  Apart from small modifications to clean
    up the code and reorder the properties more logically there should be
    no functional change.

commit e12c56176abcc2d970a35f83bffc95f7ad1b2aab
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 3 15:24:05 2018 +0100

    v2v: windows: Fix rhev-apt command line (RHBZ#1624902).
    
    See:
    https://bugzilla.redhat.com/show_bug.cgi?id=1584678#c15
    
    Fixes commit bcdbe6405c10ecb7374ae47eee6385be17dbd49e.  However this
    bug was copied directly from old virt-v2v which did the same thing
    (from lib/Sys/VirtConvert/Converter/Windows.pm):
    
      echo installing rhev-apt >>log.txt
      "rhev-apt.exe" /S /v /qn >>log.txt
    
    Thanks: Lev Veyde

commit 741ef228cd8d17bd1a8a60a2cfa83c3937120ede
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Sep 3 14:30:21 2018 +0100

    v2v: docs: Describe support for SHA-2 certs for Windows 7 / 2008 R2 (RHBZ#1624878).
    
    Thanks: Yan Vugenfirer.

commit 56f1e6cecd509d8421570562f9eef8b9ac86e727
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 14 14:40:01 2018 +0100

    java: Link with gnulib to resolve missing hash_free symbol.

commit 9b911a2a853284f973b848d809bccbdb86519583
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 14 13:35:51 2018 +0100

    tests: Disable 255 disk test until we can find a way to make it reliable.

commit 79a3ac5d0eb377591e4c488257196888f0ae7e73
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 14 12:51:07 2018 +0100

    build: Maintain a central list of skipped tests.
    
    I was maintaining this list unofficially.  Let's maintain it in the
    sources so it is versioned and branched along with the libguestfs
    code.

commit 5b87b9f132deaf81b9dd00415a02728056bfbadb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 28 08:55:06 2018 -0400

    ppc64le: Remove bogus __powerpc64le__.
    
    Not a thing - tested on P9.

commit 56318f0b5ffc287fed71cc7cdd2007dff2b8fb17
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 28 12:59:06 2018 +0100

    ppc64le: Don't use -cpu parameter under any circumstances (RHBZ#1605071).

commit 598e879ad1497786f2f427bd121a937ca97c4d20
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 28 22:17:02 2018 +0100

    Version 1.39.9.

commit af5b117ade58aa3ddc2a71a552168e7b6278fa2f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 28 22:15:30 2018 +0100

    mltools: Add test-machine-readable-script.sh to EXTRA_DIST.
    
    Fixes commit afa8111b751ed33e1989e6d9bb03928cefa17917.

commit 8f250c00c8b028a614815f63b2713748504d7ef9
Author: Nir Soffer <nirsof@gmail.com>
Date:   Tue Aug 28 23:50:56 2018 +0300

    v2v: rhv-upload-plugin: Use BrokenPipeError
    
    With python 3, we have a nicer way to handle socket.error with errno set
    to EPIPE (or ESHUTDOWN).
    
    This is also more correct since in some cases (that I could not
    reproduce yet with v2v), using e[0] with BrokenPipeError will fail with:
    
    >>> OSError(errno.EPIPE, "Broken pipe")[0]
    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
    TypeError: 'BrokenPipeError' object is not subscriptable
    
    For python 2 e[0] seems to work, but is leftover from historic python
    version that used to raise a tuple instead of socket.error instance.
    In python 2.7 library code e.args[0] is used. If we ever port this to
    python 2 this is the best form.

commit 0d0b5511309182f163ae263e862ddb0235780917
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Aug 17 21:37:29 2018 +0100

    v2v: Document how to adjust ESXi NFC memory limit (RHBZ#1614276).

commit 9f678c3bde2bcb4cddf47841f286cf9ad868f558
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 14 18:11:43 2018 +0100

    v2v: Add --print-estimate option to print copy size estimate.
    
    This option prints the estimated size of the data that will be copied
    from the source disk.
    
    Currently this overestimates by the size of the qcow2 header, but for
    real disk images that doesn't matter much.
    
    For example:
    
    $ virt-builder fedora-27
    $ virt-v2v -i disk fedora-27.img -o null --print-estimate
    [...]
    virt-v2v: This guest has virtio drivers installed.
    [  44.0] Mapping filesystem data to avoid copying unused and blank areas
    [  44.5] Closing the overlay
    disk 1: 1047920640
    total: 1047920640

commit 10f9779c082fc144cfa1f3ae3677c21013057f12
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Aug 24 13:11:09 2018 +0200

    v2v: test-harness: use Xml.parse_file
    
    Use Xml.parse_file instead of read_whole_file + Xml.parse_memory.

commit d7772fb78b15ded7758f65a0010032dbc5cd5861
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Aug 24 13:06:36 2018 +0200

    builder: index_parser_tests: really use parameter
    
    Really use the parameter of the "read_file" function, instead of
    hardcoding "out".  This does not change the behaviour, since all the
    callers already use "out" as the file name to read.
    
    Fixes commit 7e3689bfe019d93de2e04711a13b18248de7051d.

commit ec345aca02baa5b840ef509b9a8d122695023d7c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 23 19:12:46 2018 +0200

    builder: use the new json_parser_tree_parse_file
    
    No need to read the whole file manually.

commit bb00c482e85db5ffdd5b2c3975df16a0acd13bf8
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 23 19:06:22 2018 +0200

    mltools: JSON: add json_parser_tree_parse_file
    
    Easy way to parse JSON from a file, without reading it all to string
    first.

commit fd43730e2bfff17a365ffcf768b6c8db3089b524
Author: Sebastian Meyer <meyer@b1-systems.de>
Date:   Thu Aug 23 16:45:27 2018 +0200

    Fix error with --uninstall option on SUSE
    
    The `-l` option for some `zypper` subcommands is short for
    `--auto-agree-with-licenses` and not available on the `zypper rm` command.

commit afa8111b751ed33e1989e6d9bb03928cefa17917
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 23 17:12:15 2018 +0200

    OCaml tools: add output selection for --machine-readable
    
    Add an optional argument for --machine-readable to select the output,
    adding a new function to specifically write data to that output stream.
    The possible choices are:
    * --machine-readable: to stdout, like before
    * --machine-readable=file:name-of-file: to the specified file
    * --machine-readable=stream:stdout: explicitly to stdout
    * --machine-readable=stream:stderr: explicitly to stderr
    
    Adapt all the OCaml-based tools to use the new function, so the
    --machine-readable choice is respected.

commit 8863ccbd648d1c2ba7b0e6efaa38d33a6ba85e49
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Aug 20 18:17:29 2018 +0200

    common/mltools: getopt: add Getopt.OptString
    
    Introduce a new type of option with an optional string argument.

commit 962e8b6255295dfa9c40835aa9d03fb8ec97889d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Wed Aug 22 16:53:34 2018 +0200

    lib: create: avoid one extra string allocation
    
    When creating the qemu-img command, use the guestfs_int_cmd_add_arg &
    guestfs_int_cmd_add_arg_format APIs to add the proper filename directly,
    without creating a string for it.
    
    This should cause no functional change.

commit df110673294d82ea85759741f944b322e003051b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Aug 20 15:45:20 2018 +0100

    mltools: JSON: unify JSON_parser type with JSON.json_t.

commit f9994c7ffb5f84303b7c8fc23356d9ea8d702137
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Aug 22 15:31:59 2018 +0100

    mltools: JSON: Implement JSON.Null.
    
    Implements the ‘null’ value.

commit 38f688b8b5fb960213c4c6fcad20a87965ea3335
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Aug 22 15:24:48 2018 +0100

    build: Rebuild docs/C_SOURCE_FILES and po/POTFILES.
    
    Remove:
    
    common/utils/libxml2-utils.c
    common/utils/libxml2-utils.h
    
    These were accidentally added by
    commit a63d02f8f127d085c1d72a3213676b0830edc0ec because of a bad
    interactive rebase.

commit 279472f304abc70f33c15856d39e64e59642ad8d
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Aug 20 15:31:09 2018 +0100

    mltools: JSON: combine JSON.Int and JSON.Int64 into a single variant.
    
    It was convenient to have these as separate variants when we were only
    using this type to generate JSON.  However if we also use it to parse
    JSON documents then integers in the document should only map to a
    single variant.

commit bd5c0b7c1269efdfb96f61a595e37b69a0c1faae
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Mon Aug 20 15:26:57 2018 +0100

    mltools: JSON: Implement JSON.Float.
    
    This is not actually used anywhere, but it completes the JSON
    implementation and it will be useful for unifying JSON with
    JSON_parser.

commit a63d02f8f127d085c1d72a3213676b0830edc0ec
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Aug 17 14:19:25 2018 +0100

    mltools: JSON: Rename Yajl module as JSON_parser and move to common/mltools.
    
    Commit bd1c5c9f4dcf38458099db8a0bf4659a07ef055d changed all the code
    to use Jansson instead of yajl.  However it didn't change the OCaml
    module name (still Yajl).
    
    This commit changes the module to a neutral name ("JSON_parser") and
    moves it into common/mltools so it can be used by other tools.
    
    This leaves us in a slightly awkward situation of having two JSON-ish
    OCaml modules (JSON for creating trees and JSON_parser for parsing
    them) with incompatible types.  That is left for future work to
    resolve.  (It should be easier to do now that both modules live in the
    same directory.)
    
    This is just renaming and general refactoring.  There should be no
    change in functionality.

commit 1b25fc393b218f41551458925be4e1eeab551310
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 14 12:52:56 2018 +0100

    build: Use LT_INIT in configure.ac.
    
    Avoids the warning:
    libtoolize: Remember to add 'LT_INIT' to configure.ac.
    
    This is the new name for AC_PROG_LIBTOOL, so I removed that.
    
    However to use this macro we must enable AC_USE_SYSTEM_EXTENSIONS.
    (AC_GNU_SOURCE was removed back in 2011).

commit 4d39faaa30eace5f52e92e344d3a62dcce52d71c
Author: Bernhard M. Wiedemann <bwiedemann@suse.de>
Date:   Wed Aug 22 05:52:10 2018 +0200

    generator: Do not claim copyright for future years
    
    This change helps to make libguestfs package build reproducible.
    See https://reproducible-builds.org/ for why this is good.
    
    Without this patch, building today's libguestfs in 2033, claims
     Copyright (C) 2009-2033 Red Hat Inc.
    which cannot be correct.
    
    This affected files like
    /usr/include/guestfs-gobject.h
    /usr/lib/perl5/vendor_perl/5.26.2/x86_64-linux-thread-multi/Sys/Guestfs.pm
    /usr/lib64/python2.7/site-packages/guestfs.py
    /usr/lib64/ocaml/guestfs/guestfs.mli
    
    Commits like 212762c59351822e9db7d3dc82afe1765808d918
    will take care of updating the year.

commit 1368b1bb7d49c0d2a7ff0cc239559628d23c04d5
Author: Nir Soffer <nirsof@gmail.com>
Date:   Tue Aug 21 01:15:03 2018 +0300

    v2v: rhv-upload-plugin: Fix error formatting
    
    Fix the error format so we actually format the arguments instead of
    raising the format string and the arguments.
    
    Here is an upload error formatted correctly with this change:
    
    nbdkit: python[1]: error: /home/nsoffer/src/libguestfs/tmp/v2v.eC5yCl/rhv-upload-plugin.py:
    pwrite: error: could not write sector offset 218911744 size 3584: 403 Forbidden:
    b'{"explanation": "Access was denied to this resource.", "code": 403, "detail":
    "Ticket u\'61ac0483-48e3-4984-84d6-438884ba8bb2\' expired", "title": "Forbidden"}'

commit a651169085659259913d80ec84cd9bd7d832655a
Author: Nir Soffer <nirsof@gmail.com>
Date:   Tue Aug 21 01:15:02 2018 +0300

    v2v: rhv-upload-plugin: Handle send failures
    
    The oVirt server may fail a PUT request before reading all request body.
    However before closing the connection, it writes a detailed error
    response, that will make debugging issues like expired tickets much
    easier to handle. If we don't get the response and log the error, the
    error may be lost when the daemon log is rotated.
    
    Change pwrite() and emulate_zero() to get the response after EPIPE,
    failing with the error response from the oVirt server.
    
    Here is an example error log when a ticket expires during import:
    
    nbdkit: python[1]: error: /home/nsoffer/src/libguestfs/tmp/v2v.pRoyXm/rhv-upload-plugin.py:
    pwrite: error: ('%s: %d %s: %r', 'could not write sector offset 1841154048 size 1024', 403,
    'Forbidden', b'{"explanation": "Access was denied to this resource.", "code": 403, "detail":
    "Ticket u\'6071e16f-ec60-4ff9-a594-10b0faae3617\' expired", "title": "Forbidden"}')

commit 2fa78e6dcedee155b362acc5454c4732b7286f26
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Aug 20 17:29:53 2018 +0200

    OCaml tools: simplify machine-readable handling
    
    Make use of the helper provided by Tools_utils.create_standard_options,
    so there is no need to implement the logic in each tool.
    
    This affects all the OCaml tools with --machine-readable, namely:
    virt-builder, virt-builder-repository, virt-dib, virt-get-kernel,
    virt-resize, virt-sparsify, and virt-v2v.

commit b8f0740b519e4f24adf669efbdbe8eb69ed7b6c6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Aug 20 17:29:52 2018 +0200

    mlstdutils/mltools: factorize the machine-readable option
    
    Store the machine-readable flag globally, just like done for
    verbose/debug/etc, and enhance create_standard_options to provide
    --machine-readable automatically.

commit 13d85d722fe024f3e5e40029f1b65b3437c2864c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Aug 17 16:09:02 2018 +0100

    mltools: Rename run_command std*_chan -> std*_fd.
    
    These are file descriptors, not the high level OCaml in_channel/
    out_channel type, so we would normally not refer to them as *_chan.
    
    Just renaming, no functional change.

commit f835c314cd3409c9bc64c84286791987c924cd1f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Aug 17 16:04:55 2018 +0100

    mltools: Document that run_command closes stdout_chan/stderr_chan.
    
    This behaviour is documented for run_commands, but not documented for
    run_command, so document it.

commit 9afcf13af4f60ac926ba63623c5214e465ed8c61
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Aug 17 11:58:59 2018 +0100

    v2v: -o rhv-upload: Simplify build of Python scripts using wildcards.
    
    No functional change.

commit 840dbb1dfc8441eb1971bfc58359713fd38b1819
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Aug 14 15:58:51 2018 +0200

    v2v: parse_libvirt_xml: number disks from 0
    
    When parsing the libvirt XML, make sure to assign the IDs for disks
    (s_disk_id) from 0 instead of 1.  This does not change the actual
    behaviour, just makes the IDs like in all the other input modes not
    based on libvirt XML.

commit 90c9c12258fbb9a89d16f798725d16fe5bb3504c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 14 12:50:07 2018 +0100

    v2v: -o rhv-upload: Fix error message disk numbering (RHBZ#1615885).
    
    The output method used the s_disk_id field assuming it was a unique,
    monotonically increasing number counting from 0.  However this is not
    the case, the input method simply has to set s_disk_id to be unique
    for each disk.
    
    Fixes commit cc04573927cca97de60d544d37467e67c25867a7.
    
    Thanks: Xiaodai Wang

commit f9745c8229c8880cdf5efabe8c4dcb9049be7e39
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 14 16:07:38 2018 +0100

    v2v: Verify that ’source.s_disks.s_disk_id‘s are all unique.

commit c486f0cf4ab9ed8c32797eaae1db834a9a03ad17
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Aug 10 13:58:04 2018 +0200

    Change wording from "twice" to "more than once" in error messages
    
    When erroring out about duplicated parameters, say "more than once"
    instead of "twice", since there can be more than two repeated
    parameters.
    
    Thanks to: Xiaodai Wang

commit c9abaa3e96e7209595f0982c1f2f97e37f3369a6
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 9 15:01:37 2018 +0200

    v2v: parse_libvirt_xml: handle srN CDROM devices (RHBZ#1612785)
    
    This device naming is mostly written by virt-p2v, so get the slot from
    it directly without using the drive_index "decoding" function.

commit a3e8871705958342a4a75b675cd8f9c53ea30978
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Thu Aug 9 12:14:04 2018 +0200

    daemon: utils: add a couple of checks for split_device_partition
    
    Mostly to check the behaviour of the function with cases like in
    RHBZ#1611690.

commit 71b588bab0f52d9701ba97aa7bc76217796fe556
Author: Tomáš Golembiovský <tgolembi@redhat.com>
Date:   Tue Aug 7 14:03:07 2018 +0200

    v2v: Add --mac option to machine-readable
    
    Patch fe1a8866 added --mac option that allows mapping bridges/networks
    based on the MAC address. It would be nice to have that listed in
    machine-readable output
    
    Signed-off-by: Tomáš Golembiovský <tgolembi@redhat.com>

commit 389e165519c33b5234db50ea26dcb267321ee152
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Aug 7 09:06:46 2018 +0100

    v2v: -o rhv-upload: Properly replace SD_UUID in OVF (RHBZ#1612653).
    
    The @SD_UUID@ pattern was not being replaced correctly.
    
    Thanks: Daniel Erez.

commit 31ee088812f3dbe280006549358896145b0d5c46
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Mon Aug 6 15:36:46 2018 +0200

    btrfs_balance_status: delay allocation of 'ret'
    
    Allocate 'ret' as late as possible, so there is no risk that early
    returns will leak it.

commit c4a0d64f63449fc471290df4bcca229909fabbcb
Author: Nir Soffer <nirsof@gmail.com>
Date:   Sun Aug 5 16:37:31 2018 +0300

    v2v: rhv-plugin: Use string literal concatenation
    
    When splitting long strings over multiple lines, we can use string
    literal concatenation instead of +.
    
    See https://docs.python.org/3/reference/lexical_analysis.html#string-literal-concatenation

commit 8f4a8ae71c102d7aa4bb1ccd67e5569831c5045f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Aug 3 12:00:01 2018 +0100

    v2v: python_script: Use correct syntax for array slices in documentation.
    
    Fixes commit 3d4df397320e8e86932f0b0b4d100644eefc99b4.

commit cf9995bae4aee85294c8bc6545d8d1cbcb4907fb
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jul 31 18:55:07 2018 +0200

    v2v: -o rhv-upload: PEP8 fixes for rhv-upload-plugin.py
    
    - wrap a too long line
    - join strings in multiple lines using + (plus) instead of \ (backslash)

commit eb66dafe2e30cb92c2350f57d2a87748e8ce60c9
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sun Jul 29 10:33:01 2018 +0100

    v2v: Add more detailed documentation for input methods.
    
    Just comment changes.

commit f9898e12abaea9f99b2a6da1858ae71fdd8e952b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Jul 27 17:47:43 2018 +0100

    v2v: Add more detailed documentation for output methods.
    
    Just comment changes.

commit 67c36779c3bd383f8c550d9c43b0884d1a108c4d
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jul 27 12:10:38 2018 +0200

    daemon: inspect: ignore fstab devs that cannot be resolved (RHBZ#1608131)
    
    If the /etc/fstab of a guest contains devices specified with UUID or
    LABEL, then the new OCaml inspection code will report the findfs failure
    as general failure of the inspection.  OTOH, the old C inspection code
    simply ignored all the devices that cannot be resolved.
    
    Hence, restore the old behaviour by ignoring unresolvable devices.

commit 040cb937170139a91222840d52fda9725ff86f6a
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Jul 27 12:06:04 2018 +0100

    Version 1.39.8.

commit 3d4df397320e8e86932f0b0b4d100644eefc99b4
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 10:53:09 2018 +0100

    v2v: Factor out code to call python scripts into a separate module.
    
    Just refactoring, no change in functionality.

commit 5f1bc725fe450b0036b0070a2cdfb9bf0c567997
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 16:59:49 2018 +0100

    v2v: Pass all metadata to #prepare_targets.
    
    In commit 2894b8f3924835b6d41c0990a9df5033c2be5249, #prepare_metadata
    was added then later removed.
    
    This commit provides the same data to #prepare_targets so that output
    methods can create metadata early if necessary.  (Note that creating
    metadata here is optional, it should normally be created
    by #create_metadata method after the copying step).

commit 91132416c4f2bdd0c3e1a3bff1602678367f7270
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 16:47:12 2018 +0100

    v2v: Move target bus assignment earlier.
    
    By not storing the target pointer in the target bus assignment data
    struct we can move target bus assignment earlier.

commit 45a525d8340b6112ca9d93da17ab42b3ed18b739
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 16:31:17 2018 +0100

    Revert "v2v: Add output#prepare_metadata method to prepare metadata before copying."
    
    This reverts commit 2894b8f3924835b6d41c0990a9df5033c2be5249.

commit b7681215934897934d09110f2b5ff5d739cade6c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 16:26:25 2018 +0100

    Revert "v2v: Add --print-target to display overlay and target information."
    
    Remove this function (not available in any released stable version of
    virt-v2v).  It complicates the code and is not used anywhere.
    
    This reverts commit 9ac4f99fdc69dfd40f89b0ac14fc8ad8d53cd11c.

commit 82c6f6e31f48ad5b243ecad0b1e4f2bfe1cdba1b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 15:53:26 2018 +0100

    v2v: Remove init_targets function completely.
    
    The init_targets function is pretty odd, responsible for at least two
    rather different functions: calculating the final format of each
    target, and calling output#prepare_targets to get the output mode to
    create each target.
    
    Factor out the calculation of format into a separate function.  This
    allows us to enhance this feature, so that -o null can now properly
    override the output format (whereas previously it relied on some
    internals).
    
    After this, init_targets becomes mostly a small wrapper around calling
    output#prepare_targets and we can remove init_targets completely.

commit 72caa8ff2f1d805aabf9cd446a4a2b92218baa63
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 15:27:55 2018 +0100

    v2v: Move output#prepare_targets call to just before the copy.
    
    Previously we initialized the targets and called #prepare_targets very
    early on.  However this causes various problems:
    
     - the targets struct is only half-initialized
       (target_file is set to a dummy value)
     - the targets struct is passed around unnecessarily
    
    The ostensible reason for this was so that #prepare_targets is called
    very early on so that errors can be displayed quickly.  This is
    important, but in practice it doesn't really matter if the user has to
    wait for a few seconds for the conversion to happen first.
    
    We also have the #precheck method which can do some pre-checking
    functions, and that does run very early.
    
    This is just refactoring, but it will allow some more significant
    changes in how targets get initialized.  There are some large
    whitespace changes in this patch so it is better to look at it using
    ‘git show -w’.

commit 4294b34b193c1e30acf21de3c728f00b640a3a79
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 15:20:28 2018 +0100

    v2v: Move target_stats structure into overlay.
    
    As there is a 1-1 relationship between overlays and targets, it
    doesn't matter where this structure actually lives.  Move it from the
    target struct to the overlay struct.

commit 3abacc3021b284e79da9f9802e7ead6a3ff755c7
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Thu Jul 26 14:00:28 2018 +0100

    v2v: Remove output#check_target_free_space method.
    
    Commit 5a620137bf48251c3deab93492e8b7156eb9e282 (in 2014) introduced
    an output#check_target_free_space method but noted that it was not
    used:
    
        Provide an extra output method (#check_target_free_space) which output
        modules may use to check that there is sufficient free space to
        proceed, before conversion starts.  None of the output modules
        actually implement this at the moment.
    
    As this method has never been used in nearly 4 years, remove it.

commit 4b9c64ef341b5da7c573183ecd5327d95c0cebfe
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Jun 22 17:49:02 2018 +0100

    p2v: Generate the code and docs for parsing the kernel command line.
    
    As a side effect, a lot more fields are now settable on the
    kernel command line.
    
    Existing kernel command lines & corresponding documentation should
    still remain backwards compatible.

commit 98e2f8d7e9be12306d423a3dd62e93170dbca5b0
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Jun 22 15:58:31 2018 +0100

    p2v: Group configuration settings in sections.
    
    Since the previous commit introduced configuration sections, we can
    now group more configuration settings together in these sections.
    
    The largest part of this commit is a simple renaming of fields in the
    struct.

commit 818fd1e197a50d9f9dce8993d906b1d46e46cece
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Jun 22 13:53:17 2018 +0100

    p2v: Generate config struct and p2v/config.c.
    
    Mostly refactoring to make it easier to add fields to this struct in
    future.
    
    I'd like to call the header p2v/config.h but that's not possible since
    it conflicts with the autoconf-generated file.

commit ec2228ea05c0f482bc00df63586e8be36b591bfb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jul 18 13:37:30 2018 +0100

    inspector: Add a regression test for LUKS images (RHBZ#1602353).

commit 55dfcb2211a6af949d46f8c05adab01e35ae283c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jul 18 14:27:20 2018 +0100

    New API: lvm_scan, deprecate vgscan (RHBZ#1602353).
    
    The old vgscan API literally ran vgscan.  When we switched to using
    lvmetad (in commit dd162d2cd56a2ecf4bcd40a7f463940eaac875b8) this
    stopped working because lvmetad now ignores plain *scan commands
    without the --cache option.
    
    We documented that vgscan would rescan PVs, VGs and LVs, but without
    activating them.
    
    I have introduced a new API (lvm_scan) which scans or rescans PVs, VGs
    and LVs.  It has an optional activate parameter allowing activation of
    any new LVs that are found.
    
    With lvmetad this nicely maps to the single command:
    
     pvscan --cache [--activate ay]

commit 16e64b8988a7768aa78ff200ca46878b151dbd1f
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jul 18 13:11:43 2018 +0100

    test-data/phony-guests: Add Fedora LUKS phony image for testing.
    
    This is not added to guests-all-good since it cannot be used in
    automated tests -- a password must be supplied.

commit 83fb657bec7f4de8392cd28d29185afdd46ae9bb
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jul 25 12:39:02 2018 +0100

    Revert "lvm: do not pass --cache to vgscan"
    
    This reverts commit 19b0ae6c6502c4833c73e1b1bfa47b43a40f21e9.

commit 55879b2f2c5b205352f48f999e20efd9b455ea43
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Tue Jun 19 10:44:57 2018 +0100

    v2v: Model machine type explicitly.
    
    QEMU for x86 supports two machine types, "pc" (emulating the ancient
    Intel i440FX chipset originally used by the Pentium Pro), and "q35"
    (https://wiki.qemu.org/Features/Q35).
    
    Currently virt-v2v does not set any machine type, so libvirt or the
    target hypervisor will choose some default, probably i440fx.  The
    latest advice from the QEMU and libvirt communities is not to rely on
    the default machine type but to specify what we need explicitly, but
    it may also be that the libvirt configuration file has been changed to
    set the default machine type to Q35 (either by the distro or the end
    user).
    
    None of this matters for reasonably new guests since they can boot
    with either chipset.  However there are some very old guests (notably
    Windows XP) which cannot handle Q35.
    
    This commit changes virt-v2v so it always tries to specify the machine
    type explicitly (assuming the target supports that, and not all of
    them do).  For x86_64 guests this patch always selects i440fx (pc).
    In future we hope to get the correct machine type for the guest from
    libosinfo but this is not available yet.
    
    For non-x86 architectures we select the "virt" model which will
    probably only work for AArch64.  More work is needed for POWER.
    
    For secure boot we still have to force the machine type to Q35.  In a
    future version this forcing can be removed since any guest which is
    using secure boot will be new enough that it'll be using Q35 anyway
    (on x86).

commit 23b62f391b098b74e2de6c2d2a911b8ef91543a2
Author: Daniel Erez <derez@redhat.com>
Date:   Wed Jul 25 11:24:33 2018 +0300

    v2v: rhv plugin - case-sensitive search queries
    
    Changed both search queries to case-sensitive (to ensure an exact match).

commit 2547df8a0de46bb1447396e07ee0989bc3f8f31e
Author: Daniel Erez <derez@redhat.com>
Date:   Tue Jul 24 19:16:10 2018 +0300

    v2v: rhv plugin - fix DC search string
    
    Search for DC by 'storage.name=' to make it explicit.
    I.e. "storage=" uses regex, so similar names can be
    found in the search query. For example, searching for
    a domain named FCSD, will find FCSD1 as well.

commit 3a87c4bb441430c9cef9223e67d10bf51a4e865c
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jul 18 12:36:36 2018 +0100

    test-data/phony-guests: Add comment to Makefile above Fedora btrfs image.
    
    Fixes commit 754e8194382a9ed265c7fa172e438049e4eb8389.

commit fe1a886612aa1f930070b321ef57aa4012224026
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Wed Jul 4 12:00:58 2018 +0100

    v2v: Implement MAC address to network/bridge mapping.
    
    This allows specific NICs (identified by their source MAC address) to
    be mapped to networks or bridges on the target.  You can use the --mac
    parameter to select this mapping, eg:
    
     $ virt-v2v ... \
        --mac 52:54:00:d0:cf:0e:network:mgmt \
        --mac 52:54:00:d0:cf:0f:network:clientdata
    
    The old --network and --bridge mappings can also be used but --mac
    takes precedence.
    
    Note this does not adjust MAC addresses inside the guest which is a
    hard problem to solve.  For this to work you must still carry over the
    MAC addresses from the source to target hypervisor as that is how most
    guests identify and associate functions with specific network
    interfaces.

commit 682d3f8b01bcf8260b4ddeb7e4bc7ea276f38f35
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jul 17 17:12:38 2018 +0200

    v2v: -o rhv-upload: check for ovirtsdk4 (RHBZ#1601943)
    
    Check earlier whether the ovirtsdk4 Python can be imported correctly,
    to avoid errors later on during the migration.

commit 4167ee21736f44b6cd527eefc488f218a901323c
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Tue Jul 17 15:21:41 2018 +0200

    uefi: add non-deprecated Fedora paths for OVMF w/ secboot
    
    Add new paths for the Secure Boot variant of OVMF as found in Fedora.

commit 0521a2f9b72cd78a6648e0cab3529c2eb04ced4b
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Sat Jul 14 10:23:45 2018 +0100

    Version 1.39.7.

commit 2280c501ffaf812a1b27c62e5365b94431b1cc51
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Jul 13 20:39:04 2018 +0100

    build: Disable warnings about attribute malloc functions.

commit fa2107e49e0b4f0efb8380eb7c2cd17608ca0702
Author: Richard W.M. Jones <rjones@redhat.com>
Date:   Fri Jul 13 14:19:00 2018 +0100

    maintainer: Update to latest gnulib.

commit aa9e18f6d1fd503822dfd2124b92a2c67704c4c1
Author: Pino Toscano <ptoscano@redhat.com>
Date:   Fri Jul 13 13:24:07 2018 +0200

    v2v: change QXL ResourceType in OVirt flavour (RHBZ#1598715)
    
    Due to a conflict with the IDs of the OVF standard, and the existing
    implementation in ovirt-engine, the ID of QXL devices changed to a
    different value.
    
    As a consequence, change the ResourceType of QXL devices, but only in
    OVirt flavour to avoid breaking vdsm mode.
    
